function [T, Y, FLUX, x, met_f_2, met_c_2, met_p] = BLMAGHN_700_model(x, xsearch, Tend, condition, optimization, plotdata, writedata, outfile_xlsx, pathology)
% [T, Y, FLUX, x,met_f_2, met_c_2, met_p] = BLMAGHN_700_model([], [], 600, 1, 0, 1, 1, 'result.xlsx', []);
%derived from BLMAGHN_634_model()
%input_file='met_BLMAGHN_7.xlsx';
%input_file_2 = 'math_eq_BLMAGHN_7.txt';

tic;
if isempty(x)
    [x] = input_parameter(pathology);
end

if optimization == 1
    if ~isempty(xsearch)
 %begin_xsearch
 
 %fin_xsearch
    else
    end
end

%% parameter setting
Tsample = 150; %sampling time (min)

%begin_y0
y0(1)	=5e-08; %Ins_B
y0(2)	=5; %Glc_B
y0(3)	=0.68; %Pyr_B
y0(4)	=0.7; %Lac_B
y0(5)	=0.192; %Ala_B
y0(6)	=0.07; %Glyc_B
y0(7)	=0.01; %Bhb_B
y0(8)	=0.66; %FFA_B
y0(9)	=0.8; %TG_B
y0(10)	=5; %Chol_B
y0(11)	=5; %Glc_L
y0(12)	=1; %G6p_L
y0(13)	=200; %Glygn_L
y0(14)	=1; %Gap_L
y0(15)	=1; %Pyr_L
y0(16)	=1; %Lac_L
y0(17)	=1; %Ala_L
y0(18)	=1; %Accoa_LM
y0(19)	=0; %Bhb_L
y0(20)	=0; %Accoa_LC
y0(21)	=0; %Malcoa_L
y0(22)	=0; %Hmgcoa_L
y0(23)	=0; %Chol_L
y0(24)	=1; %FFA_L
y0(25)	=1; %Glyc_L
y0(26)	=1; %Glycp_L
y0(27)	=2.93; %TG_L
y0(28)	=2.74; %Atp_L
y0(29)	=1.22; %Adp_L
y0(30)	=0; %Amp_L
y0(31)	=0.29; %Gtp_L
y0(32)	=0.01; %Gdp_L
y0(33)	=0.27; %Utp_L
y0(34)	=0; %Udp_L
y0(35)	=0.45; %Nadh_L
y0(36)	=0.05; %Nad_L
y0(37)	=0.45; %Fadh_L
y0(38)	=0.05; %Fad_L
y0(39)	=0.25; %Nadph_L
y0(40)	=0.25; %Nadp_L
y0(41)	=0; %Cre_L
y0(42)	=0; %Crep_L
y0(43)	=4.28; %Glc_M
y0(44)	=8.22; %G6p_M
y0(45)	=10; %Glygn_M
y0(46)	=0.725; %Gap_M
y0(47)	=0.285; %Pyr_M
y0(48)	=0.722; %Lac_M
y0(49)	=0.196; %Ala_M
y0(50)	=0.0022; %Accoa_MM
y0(51)	=0; %Bhb_M
y0(52)	=0; %Accoa_MC
y0(53)	=0; %Malcoa_M
y0(54)	=0; %Hmgcoa_M
y0(55)	=0; %Chol_M
y0(56)	=0.53; %FFA_M
y0(57)	=1; %Glyc_M
y0(58)	=1; %Glycp_M
y0(59)	=4; %TG_M
y0(60)	=6.15; %Atp_M
y0(61)	=0.02; %Adp_M
y0(62)	=0; %Amp_M
y0(63)	=0.29; %Gtp_M
y0(64)	=0; %Gdp_M
y0(65)	=0.27; %Utp_M
y0(66)	=0; %Udp_M
y0(67)	=0.05; %Nadh_M
y0(68)	=0.45; %Nad_M
y0(69)	=0.3; %Fadh_M
y0(70)	=0.2; %Fad_M
y0(71)	=0.3; %Nadph_M
y0(72)	=0.2; %Nadp_M
y0(73)	=10.4; %Cre_M
y0(74)	=20.1; %Crep_M
y0(75)	=0.3; %Glc_A
y0(76)	=0; %G6p_A
y0(77)	=10; %Glygn_A
y0(78)	=0.11; %Gap_A
y0(79)	=0.37; %Pyr_A
y0(80)	=0.82; %Lac_A
y0(81)	=0.01; %Ala_A
y0(82)	=0.035; %Accoa_AM
y0(83)	=0; %Bhb_A
y0(84)	=0; %Accoa_AC
y0(85)	=0; %Malcoa_A
y0(86)	=0; %Hmgcoa_A
y0(87)	=0; %Chol_A
y0(88)	=0.57; %FFA_A
y0(89)	=0.22; %Glyc_A
y0(90)	=0.24; %Glycp_A
y0(91)	=500; %TG_A
y0(92)	=2.74; %Atp_A
y0(93)	=1.22; %Adp_A
y0(94)	=0.16; %Amp_A
y0(95)	=0; %Gtp_A
y0(96)	=0; %Gdp_A
y0(97)	=0; %Utp_A
y0(98)	=0; %Udp_A
y0(99)	=0.05; %Nadh_A
y0(100)	=0.45; %Nad_A
y0(101)	=0.45; %Fadh_A
y0(102)	=0.05; %Fad_A
y0(103)	=0.45; %Nadph_A
y0(104)	=0.05; %Nadp_A
y0(105)	=0; %Cre_A
y0(106)	=0; %Crep_A
y0(107)	=1; %Glc_G
y0(108)	=1; %G6p_G
y0(109)	=10; %Glygn_G
y0(110)	=1; %Gap_G
y0(111)	=1; %Pyr_G
y0(112)	=1; %Lac_G
y0(113)	=1; %Ala_G
y0(114)	=1; %Accoa_GM
y0(115)	=0; %Bhb_G
y0(116)	=0; %Accoa_GC
y0(117)	=0; %Malcoa_G
y0(118)	=0; %Hmgcoa_G
y0(119)	=0; %Chol_G
y0(120)	=1; %FFA_G
y0(121)	=1; %Glyc_G
y0(122)	=1; %Glycp_G
y0(123)	=200; %TG_G
y0(124)	=3; %Atp_G
y0(125)	=0.8; %Adp_G
y0(126)	=0; %Amp_G
y0(127)	=0.29; %Gtp_G
y0(128)	=0; %Gdp_G
y0(129)	=0.27; %Utp_G
y0(130)	=0; %Udp_G
y0(131)	=0.5; %Nadh_G
y0(132)	=0.05; %Nad_G
y0(133)	=0.25; %Fadh_G
y0(134)	=0.25; %Fad_G
y0(135)	=0.5; %Nadph_G
y0(136)	=0; %Nadp_G
y0(137)	=3.5; %Cre_G
y0(138)	=8.3; %Crep_G
y0(139)	=1; %Glc_H
y0(140)	=0.17; %G6p_H
y0(141)	=0; %Glygn_H
y0(142)	=0.01; %Gap_H
y0(143)	=0.2; %Pyr_H
y0(144)	=3.88; %Lac_H
y0(145)	=0; %Ala_H
y0(146)	=0.0012; %Accoa_HM
y0(147)	=0; %Bhb_H
y0(148)	=0; %Accoa_HC
y0(149)	=0; %Malcoa_H
y0(150)	=0; %Hmgcoa_H
y0(151)	=0; %Chol_H
y0(152)	=0.021; %FFA_H
y0(153)	=0.015; %Glyc_H
y0(154)	=0.29; %Glycp_H
y0(155)	=3.12; %TG_H
y0(156)	=3.4; %Atp_H
y0(157)	=0.02; %Adp_H
y0(158)	=0.16; %Amp_H
y0(159)	=0.29; %Gtp_H
y0(160)	=1; %Gdp_H
y0(161)	=0.27; %Utp_H
y0(162)	=1; %Udp_H
y0(163)	=0.4; %Nadh_H
y0(164)	=0.045; %Nad_H
y0(165)	=0.5; %Fadh_H
y0(166)	=0; %Fad_H
y0(167)	=0.5; %Nadph_H
y0(168)	=0; %Nadp_H
y0(169)	=10.4; %Cre_H
y0(170)	=20.1; %Crep_H
y0(171)	=1.12; %Glc_N
y0(172)	=0.16; %G6p_N
y0(173)	=2; %Glygn_N
y0(174)	=0.15; %Gap_N
y0(175)	=0.15; %Pyr_N
y0(176)	=0; %Lac_N
y0(177)	=0; %Ala_N
y0(178)	=0.068; %Accoa_NM
y0(179)	=0; %Bhb_N
y0(180)	=0; %Accoa_NC
y0(181)	=0; %Malcoa_N
y0(182)	=0; %Hmgcoa_N
y0(183)	=0; %Chol_N
y0(184)	=0; %FFA_N
y0(185)	=0; %Glyc_N
y0(186)	=0; %Glycp_N
y0(187)	=0; %TG_N
y0(188)	=2.54; %Atp_N
y0(189)	=0.54; %Adp_N
y0(190)	=0; %Amp_N
y0(191)	=0; %Gtp_N
y0(192)	=0; %Gdp_N
y0(193)	=0; %Utp_N
y0(194)	=0.8; %Udp_N
y0(195)	=0.026; %Nadh_N
y0(196)	=0.064; %Nad_N
y0(197)	=0.45; %Fadh_N
y0(198)	=0.05; %Fad_N
y0(199)	=0; %Nadph_N
y0(200)	=0; %Nadp_N
y0(201)	=5.6; %Cre_N
y0(202)	=4.6; %Crep_N

%fin_y0

% Starvation condition
switch condition
    case 1

    case 2
    y0(1)=	0;%Glc_B
    y0(3)=	0;%Lac_B
    y0(4)=	0;%Ala_B
    y0(5)=	0;%Glyc_B  TGɕKv
    y0(12)=	0;%Glygn_L
end

%% simulation
options = odeset('RelTol',1e-10,'AbsTol',1e-10);
lastwarn('');
[T,Y] = ode15s(@EQmet_model, [0:10:Tend], y0, options, x);
[msg,msgID] = lastwarn;
if ~isempty(msg)
        T=[0:10:Tend]';
        Y=zeros(length(T), length(y0));
end
    
for i=1:1:length(T)
    FLUX(i,:) = flux_met_model(T(i),Y(i,:), x);
end

for i=1:1:length(T)
    if T(i)> Tsample
        Tsample2=i; break;
    end
end

T=T/60;
%% save
load('met_cfp_700.mat','met_f','met_c','met_p');
met_f_2 = [met_f(1:1:end,2:3), num2cell(FLUX(Tsample2,1:1:end)'), num2cell(FLUX(end,1:1:end)')];
met_c_2 = [met_c(1:1:end,1:2), num2cell(Y(Tsample2,1:1:end)'),    num2cell(Y(end,1:1:end)')];

toc
%% data plot 

if writedata ==1
save('result.mat','T','Y','FLUX');
writetable(table(met_p(:,1:2)),outfile_xlsx,'Sheet', 'param','Range','A1','WriteVariableNames',false);
writetable(table(met_f_2),outfile_xlsx,'Sheet', 'flux','Range','A1','WriteVariableNames',false);
writetable(table(met_c_2),outfile_xlsx,'Sheet', 'conc','Range','A1','WriteVariableNames',false);
dyn_f=[['time', met_f(:,2)'];num2cell([T, FLUX])];
dyn_y=[['time', met_c(:,1)'];num2cell([T, Y])];
writetable(table(dyn_y),outfile_xlsx,'Sheet', 'dyn_y','Range','A1','WriteVariableNames',false);
writetable(table(dyn_f),outfile_xlsx,'Sheet', 'dyn_f','Range','A1','WriteVariableNames',false);
end

if plotdata == 1
    plot_sim_exp_conc();
end

end

function dydt = EQmet_model(t,y,x)
dydt=zeros(length(y),1);
flux = flux_met_model(t,y,x);
%begin_v_f
v_feed_Glc_B 	=	flux(1);
v_feed_TG_B  	=	flux(2);
v_inssyn_B	=	flux(3);
v_inssyn_Glc_B 	=	flux(4);
v_inssyn_FFA_B 	=	flux(5);
v_insdeg_Ins_B 	=	flux(6);
v_choluse_Chol_B	=	flux(7);
alpha_L	=	flux(8);
v_glut2_Glc_B_L	=	flux(9);
v_gk_Glc_L	=	flux(10);
v_g6pase_G6p_L	=	flux(11);
v_ppp_G6p_L	=	flux(12);
v_gs_G6p_L	=	flux(13);
v_gd_Glygn_L	=	flux(14);
v_pfk_G6p_L	=	flux(15);
v_fbp_Gap_L	=	flux(16);
v_pk_Gap_L	=	flux(17);
v_pepck_Pyr_L 	=	flux(18);
v_pyrt_Pyr_B_L	=	flux(19);
v_lact_Lac_B_L	=	flux(20);
v_ldh_Pyr_L 	=	flux(21);
v_alat_Ala_B_L	=	flux(22);
v_alata_Pyr_L 	=	flux(23);
v_pdh_Pyr_L 	=	flux(24);
v_tca_Accoa_LM 	=	flux(25);
v_accoat_Accoa_LM_LC	=	flux(26);
v_ffat_FFA_B_L	=	flux(27);
v_ffat_FFA_B_L_d	=	flux(28);
v_ffat_FFA_B_L_a 	=	flux(29);
v_tgsyn_FFA_L	=	flux(30);
v_tgdeg_TG_L	=	flux(31);
v_glyct_Glyc_B_L	=	flux(32);
v_glyk_Glyc_L	=	flux(33);
v_tgt_TG_B_L	=	flux(34);
v_tgt_TG_B_L_d	=	flux(35);
v_tgt_TG_B_L_a	=	flux(36);
v_g3pd_Gap_L	=	flux(37);
v_boxid_FFA_L	=	flux(38);
v_bhbsyn_Accoa_LM 	=	flux(39);
v_bhbdeg_Bhb_LM 	=	flux(40);
v_bhbt_Bhb_B_L	=	flux(41);
v_lipog1_Accoa_LC 	=	flux(42);
v_lipog2_Malcoa_L	=	flux(43);
v_cholsyn1_Accoa_LC 	=	flux(44);
v_cholsyn2_Hmgcoa_L	=	flux(45);
v_cholt_Chol_B_L	=	flux(46);
v_atpsynn_Nadh_L	=	flux(47);
v_atpsynf_Fadh_L	=	flux(48);
v_ampreg_Amp_L	=	flux(49);
v_gdpreg_Gdp_L	=	flux(50);
v_udpreg_Udp_L	=	flux(51);
v_nadhk_Nadh_L	=	flux(52);
v_atpuse_Atp_L	=	flux(53);
v_gtpuse_Gtp_L	=	flux(54);
v_utpuse_Utp_L	=	flux(55);
v_nadhuse_Nadh_L	=	flux(56);
v_nadphuse_Nadph_L	=	flux(57);
v_fadhuse_Fadh_L	=	flux(58);
v_ck_Cre_L	=	flux(59);
v_ck_for_Cre_L	=	flux(60);
v_ck_bac_Crep_L	=	flux(61);
alpha_M	=	flux(62);
v_glut4_Glc_B_M	=	flux(63);
v_hk_Glc_M	=	flux(64);
v_g6pase_G6p_M	=	flux(65);
v_ppp_G6p_M	=	flux(66);
v_gs_G6p_M	=	flux(67);
v_gd_Glygn_M	=	flux(68);
v_pfk_G6p_M	=	flux(69);
v_fbp_Gap_M	=	flux(70);
v_pk_Gap_M	=	flux(71);
v_pepck_Pyr_M 	=	flux(72);
v_pyrt_Pyr_B_M	=	flux(73);
v_lact_Lac_B_M	=	flux(74);
v_ldh_Pyr_M 	=	flux(75);
v_alat_Ala_B_M	=	flux(76);
v_alata_Pyr_M 	=	flux(77);
v_pdh_Pyr_M 	=	flux(78);
v_tca_Accoa_MM 	=	flux(79);
v_accoat_Accoa_MM_MC	=	flux(80);
v_ffat_FFA_B_M	=	flux(81);
v_ffat_FFA_B_M_d	=	flux(82);
v_ffat_FFA_B_M_a 	=	flux(83);
v_tgsyn_FFA_M	=	flux(84);
v_tgdeg_TG_M	=	flux(85);
v_glyct_Glyc_B_M	=	flux(86);
v_glyk_Glyc_M	=	flux(87);
v_tgt_TG_B_M	=	flux(88);
v_tgt_TG_B_M_d	=	flux(89);
v_tgt_TG_B_M_a	=	flux(90);
v_g3pd_Gap_M	=	flux(91);
v_boxid_FFA_M	=	flux(92);
v_bhbsyn_Accoa_MM 	=	flux(93);
v_bhbdeg_Bhb_MM 	=	flux(94);
v_bhbt_Bhb_B_M	=	flux(95);
v_lipog1_Accoa_MC 	=	flux(96);
v_lipog2_Malcoa_M	=	flux(97);
v_cholsyn1_Accoa_MC 	=	flux(98);
v_cholsyn2_Hmgcoa_M	=	flux(99);
v_cholt_Chol_B_M	=	flux(100);
v_atpsynn_Nadh_M	=	flux(101);
v_atpsynf_Fadh_M	=	flux(102);
v_ampreg_Amp_M	=	flux(103);
v_gdpreg_Gdp_M	=	flux(104);
v_udpreg_Udp_M	=	flux(105);
v_nadhk_Nadh_M	=	flux(106);
v_atpuse_Atp_M	=	flux(107);
v_gtpuse_Gtp_M	=	flux(108);
v_utpuse_Utp_M	=	flux(109);
v_nadhuse_Nadh_M	=	flux(110);
v_nadphuse_Nadph_M	=	flux(111);
v_fadhuse_Fadh_M	=	flux(112);
v_ck_Cre_M	=	flux(113);
v_ck_for_Cre_M	=	flux(114);
v_ck_bac_Crep_M	=	flux(115);
alpha_A	=	flux(116);
v_glut4_Glc_B_A	=	flux(117);
v_hk_Glc_A	=	flux(118);
v_g6pase_G6p_A	=	flux(119);
v_ppp_G6p_A	=	flux(120);
v_gs_G6p_A	=	flux(121);
v_gd_Glygn_A	=	flux(122);
v_pfk_G6p_A	=	flux(123);
v_fbp_Gap_A	=	flux(124);
v_pk_Gap_A	=	flux(125);
v_pepck_Pyr_A 	=	flux(126);
v_pyrt_Pyr_B_A	=	flux(127);
v_lact_Lac_B_A	=	flux(128);
v_ldh_Pyr_A 	=	flux(129);
v_alat_Ala_B_A	=	flux(130);
v_alata_Pyr_A 	=	flux(131);
v_pdh_Pyr_A 	=	flux(132);
v_tca_Accoa_AM 	=	flux(133);
v_accoat_Accoa_AM_AC	=	flux(134);
v_ffat_FFA_B_A	=	flux(135);
v_ffat_FFA_B_A_d	=	flux(136);
v_ffat_FFA_B_A_a 	=	flux(137);
v_tgsyn_FFA_A	=	flux(138);
v_tgdeg_TG_A	=	flux(139);
v_glyct_Glyc_B_A	=	flux(140);
v_glyk_Glyc_A	=	flux(141);
v_tgt_TG_B_A	=	flux(142);
v_tgt_TG_B_A_d	=	flux(143);
v_tgt_TG_B_A_a	=	flux(144);
v_g3pd_Gap_A	=	flux(145);
v_boxid_FFA_A	=	flux(146);
v_bhbsyn_Accoa_AM 	=	flux(147);
v_bhbdeg_Bhb_AM 	=	flux(148);
v_bhbt_Bhb_B_A	=	flux(149);
v_lipog1_Accoa_AC 	=	flux(150);
v_lipog2_Malcoa_A	=	flux(151);
v_cholsyn1_Accoa_AC 	=	flux(152);
v_cholsyn2_Hmgcoa_A	=	flux(153);
v_cholt_Chol_B_A	=	flux(154);
v_atpsynn_Nadh_A	=	flux(155);
v_atpsynf_Fadh_A	=	flux(156);
v_ampreg_Amp_A	=	flux(157);
v_gdpreg_Gdp_A	=	flux(158);
v_udpreg_Udp_A	=	flux(159);
v_nadhk_Nadh_A	=	flux(160);
v_atpuse_Atp_A	=	flux(161);
v_gtpuse_Gtp_A	=	flux(162);
v_utpuse_Utp_A	=	flux(163);
v_nadhuse_Nadh_A	=	flux(164);
v_nadphuse_Nadph_A	=	flux(165);
v_fadhuse_Fadh_A	=	flux(166);
v_ck_Cre_A	=	flux(167);
v_ck_for_Cre_A	=	flux(168);
v_ck_bac_Crep_A	=	flux(169);
alpha_G	=	flux(170);
v_glut2_Glc_B_G	=	flux(171);
v_hk_Glc_G	=	flux(172);
v_g6pase_G6p_G	=	flux(173);
v_ppp_G6p_G	=	flux(174);
v_gs_G6p_G	=	flux(175);
v_gd_Glygn_G	=	flux(176);
v_pfk_G6p_G	=	flux(177);
v_fbp_Gap_G	=	flux(178);
v_pk_Gap_G	=	flux(179);
v_pepck_Pyr_G 	=	flux(180);
v_pyrt_Pyr_B_G	=	flux(181);
v_lact_Lac_B_G	=	flux(182);
v_ldh_Pyr_G 	=	flux(183);
v_alat_Ala_B_G	=	flux(184);
v_alata_Pyr_G 	=	flux(185);
v_pdh_Pyr_G 	=	flux(186);
v_tca_Accoa_GM 	=	flux(187);
v_accoat_Accoa_GM_GC	=	flux(188);
v_ffat_FFA_B_G	=	flux(189);
v_ffat_FFA_B_G_d	=	flux(190);
v_ffat_FFA_B_G_a 	=	flux(191);
v_tgsyn_FFA_G	=	flux(192);
v_tgdeg_TG_G	=	flux(193);
v_glyct_Glyc_B_G	=	flux(194);
v_glyk_Glyc_G	=	flux(195);
v_tgt_TG_B_G	=	flux(196);
v_tgt_TG_B_G_d	=	flux(197);
v_tgt_TG_B_G_a	=	flux(198);
v_g3pd_Gap_G	=	flux(199);
v_boxid_FFA_G	=	flux(200);
v_bhbsyn_Accoa_GM 	=	flux(201);
v_bhbdeg_Bhb_GM 	=	flux(202);
v_bhbt_Bhb_B_G	=	flux(203);
v_lipog1_Accoa_GC 	=	flux(204);
v_lipog2_Malcoa_G	=	flux(205);
v_cholsyn1_Accoa_GC 	=	flux(206);
v_cholsyn2_Hmgcoa_G	=	flux(207);
v_cholt_Chol_B_G	=	flux(208);
v_atpsynn_Nadh_G	=	flux(209);
v_atpsynf_Fadh_G	=	flux(210);
v_ampreg_Amp_G	=	flux(211);
v_gdpreg_Gdp_G	=	flux(212);
v_udpreg_Udp_G	=	flux(213);
v_nadhk_Nadh_G	=	flux(214);
v_atpuse_Atp_G	=	flux(215);
v_gtpuse_Gtp_G	=	flux(216);
v_utpuse_Utp_G	=	flux(217);
v_nadhuse_Nadh_G	=	flux(218);
v_nadphuse_Nadph_G	=	flux(219);
v_fadhuse_Fadh_G	=	flux(220);
v_ck_Cre_G	=	flux(221);
v_ck_for_Cre_G	=	flux(222);
v_ck_bac_Crep_G	=	flux(223);
alpha_H	=	flux(224);
v_glut2_Glc_B_H	=	flux(225);
v_hk_Glc_H	=	flux(226);
v_g6pase_G6p_H	=	flux(227);
v_ppp_G6p_H	=	flux(228);
v_gs_G6p_H	=	flux(229);
v_gd_Glygn_H	=	flux(230);
v_pfk_G6p_H	=	flux(231);
v_fbp_Gap_H	=	flux(232);
v_pk_Gap_H	=	flux(233);
v_pepck_Pyr_H 	=	flux(234);
v_pyrt_Pyr_B_H	=	flux(235);
v_lact_Lac_B_H	=	flux(236);
v_ldh_Pyr_H 	=	flux(237);
v_alat_Ala_B_H	=	flux(238);
v_alata_Pyr_H 	=	flux(239);
v_pdh_Pyr_H 	=	flux(240);
v_tca_Accoa_HM 	=	flux(241);
v_accoat_Accoa_HM_HC 	=	flux(242);
v_ffat_FFA_B_H	=	flux(243);
v_ffat_FFA_B_H_d	=	flux(244);
v_ffat_FFA_B_H_a 	=	flux(245);
v_tgsyn_FFA_H	=	flux(246);
v_tgdeg_TG_H	=	flux(247);
v_glyct_Glyc_B_H	=	flux(248);
v_glyk_Glyc_H	=	flux(249);
v_tgt_TG_B_H	=	flux(250);
v_tgt_TG_B_H_d	=	flux(251);
v_tgt_TG_B_H_a	=	flux(252);
v_g3pd_Gap_H	=	flux(253);
v_boxid_FFA_H	=	flux(254);
v_bhbsyn_Accoa_HM 	=	flux(255);
v_bhbdeg_Bhb_HM 	=	flux(256);
v_bhbt_Bhb_B_H	=	flux(257);
v_lipog1_Accoa_HC 	=	flux(258);
v_lipog2_Malcoa_H	=	flux(259);
v_cholsyn1_Accoa_HC 	=	flux(260);
v_cholsyn2_Hmgcoa_H	=	flux(261);
v_cholt_Chol_B_H	=	flux(262);
v_atpsynn_Nadh_H	=	flux(263);
v_atpsynf_Fadh_H	=	flux(264);
v_ampreg_Amp_H	=	flux(265);
v_gdpreg_Gdp_H	=	flux(266);
v_udpreg_Udp_H	=	flux(267);
v_nadhk_Nadh_H	=	flux(268);
v_atpuse_Atp_H	=	flux(269);
v_gtpuse_Gtp_H	=	flux(270);
v_utpuse_Utp_H	=	flux(271);
v_nadhuse_Nadh_H	=	flux(272);
v_nadphuse_Nadph_H	=	flux(273);
v_fadhuse_Fadh_H	=	flux(274);
v_ck_Cre_H	=	flux(275);
v_ck_for_Cre_H	=	flux(276);
v_ck_bac_Crep_H	=	flux(277);
alpha_N	=	flux(278);
v_glut3_Glc_B_N	=	flux(279);
v_hk_Glc_N	=	flux(280);
v_g6pase_G6p_N	=	flux(281);
v_ppp_G6p_N	=	flux(282);
v_gs_G6p_N	=	flux(283);
v_gd_Glygn_N	=	flux(284);
v_pfk_G6p_N	=	flux(285);
v_fbp_Gap_N	=	flux(286);
v_pk_Gap_N	=	flux(287);
v_pepck_Pyr_N 	=	flux(288);
v_pyrt_Pyr_B_N	=	flux(289);
v_lact_Lac_B_N	=	flux(290);
v_ldh_Pyr_N 	=	flux(291);
v_alat_Ala_B_N	=	flux(292);
v_alata_Pyr_N 	=	flux(293);
v_pdh_Pyr_N 	=	flux(294);
v_tca_Accoa_NM 	=	flux(295);
v_accoat_Accoa_NM_NC	=	flux(296);
v_ffat_FFA_B_N	=	flux(297);
v_ffat_FFA_B_N_d	=	flux(298);
v_ffat_FFA_B_N_a 	=	flux(299);
v_tgsyn_FFA_N	=	flux(300);
v_tgdeg_TG_N	=	flux(301);
v_glyct_Glyc_B_N	=	flux(302);
v_glyk_Glyc_N	=	flux(303);
v_tgt_TG_B_N	=	flux(304);
v_tgt_TG_B_N_d	=	flux(305);
v_tgt_TG_B_N_a	=	flux(306);
v_g3pd_Gap_N	=	flux(307);
v_boxid_FFA_N	=	flux(308);
v_bhbsyn_Accoa_NM 	=	flux(309);
v_bhbdeg_Bhb_NM 	=	flux(310);
v_bhbt_Bhb_B_N	=	flux(311);
v_lipog1_Accoa_NC 	=	flux(312);
v_lipog2_Malcoa_N	=	flux(313);
v_cholsyn1_Accoa_NC 	=	flux(314);
v_cholsyn2_Hmgcoa_N	=	flux(315);
v_cholt_Chol_B_N	=	flux(316);
v_atpsynn_Nadh_N	=	flux(317);
v_atpsynf_Fadh_N	=	flux(318);
v_ampreg_Amp_N	=	flux(319);
v_gdpreg_Gdp_N	=	flux(320);
v_udpreg_Udp_N	=	flux(321);
v_nadhk_Nadh_N	=	flux(322);
v_atpuse_Atp_N	=	flux(323);
v_gtpuse_Gtp_N	=	flux(324);
v_utpuse_Utp_N	=	flux(325);
v_nadhuse_Nadh_N	=	flux(326);
v_nadphuse_Nadph_N	=	flux(327);
v_fadhuse_Fadh_N	=	flux(328);
v_ck_Cre_N	=	flux(329);
v_ck_for_Cre_N	=	flux(330);
v_ck_bac_Crep_N	=	flux(331);
alpha_T	=	flux(332);
v_glutT_Glc_B_T 	=	flux(333);
v_tgt_TG_B_T	=	flux(334);
v_ffat_FFA_B_T	=	flux(335);
v_lact_Lac_B_T	=	flux(336);
v_alat_Ala_B_T	=	flux(337);
v_glyct_Glyc_B_T	=	flux(338);
v_pyrt_Pyr_B_T	=	flux(339);
%fin_v_f

VoB=5; %
VoL=1.5;%
VoM=20;%
VoA=11; %
VoH=0.3; %
VoG=2; %
VoN=1.5; %

% Derivative calculation
%ODE_blood
dIns_B    = v_inssyn_B + v_inssyn_Glc_B + v_inssyn_FFA_B - v_insdeg_Ins_B;
dGlc_B	  = v_feed_Glc_B - v_glut2_Glc_B_L - v_glut4_Glc_B_M - v_glut4_Glc_B_A - v_glut2_Glc_B_G -v_glut2_Glc_B_H - v_glut3_Glc_B_N - v_glutT_Glc_B_T ;
dTG_B	=  v_feed_TG_B -v_tgt_TG_B_L-v_tgt_TG_B_M-v_tgt_TG_B_A-v_tgt_TG_B_G-v_tgt_TG_B_H-v_tgt_TG_B_N-v_tgt_TG_B_T;
dPyr_B	= - v_pyrt_Pyr_B_L -v_pyrt_Pyr_B_M -v_pyrt_Pyr_B_A -v_pyrt_Pyr_B_G -v_pyrt_Pyr_B_H -v_pyrt_Pyr_B_N -v_pyrt_Pyr_B_T;
dLac_B	= - v_lact_Lac_B_L -v_lact_Lac_B_M -v_lact_Lac_B_A -v_lact_Lac_B_G	-v_lact_Lac_B_H	-v_lact_Lac_B_N	-v_lact_Lac_B_T;  
dAla_B	= -v_alat_Ala_B_L -v_alat_Ala_B_M -v_alat_Ala_B_A -v_alat_Ala_B_G -v_alat_Ala_B_H -v_alat_Ala_B_N -v_alat_Ala_B_T;  
dGlyc_B	= -v_glyct_Glyc_B_L-v_glyct_Glyc_B_M-v_glyct_Glyc_B_A-v_glyct_Glyc_B_G-v_glyct_Glyc_B_H-v_glyct_Glyc_B_N-v_glyct_Glyc_B_T...
          +v_tgt_TG_B_L +v_tgt_TG_B_M + v_tgt_TG_B_A +v_tgt_TG_B_G +v_tgt_TG_B_H +v_tgt_TG_B_N; 
dFFA_B	= -v_ffat_FFA_B_L-v_ffat_FFA_B_M-v_ffat_FFA_B_A-v_ffat_FFA_B_G-v_ffat_FFA_B_H-v_ffat_FFA_B_N-v_ffat_FFA_B_T;
dBhb_B	= - v_bhbt_Bhb_B_L - v_bhbt_Bhb_B_M - v_bhbt_Bhb_B_A - v_bhbt_Bhb_B_G - v_bhbt_Bhb_B_H - v_bhbt_Bhb_B_N  ;
dChol_B	= - v_cholt_Chol_B_L -  v_choluse_Chol_B ;

%ODE_liver
%begin_organ_ODE
dGlc_L	  = v_glut2_Glc_B_L - v_gk_Glc_L + v_g6pase_G6p_L;
dG6p_L    = v_gk_Glc_L - v_g6pase_G6p_L - v_gs_G6p_L + v_gd_Glygn_L - v_pfk_G6p_L + 0.5*v_fbp_Gap_L - v_ppp_G6p_L;
dGlygn_L  =                               v_gs_G6p_L - v_gd_Glygn_L ;
dGap_L	  = 2*v_pfk_G6p_L - v_fbp_Gap_L -v_pk_Gap_L + v_pepck_Pyr_L - v_g3pd_Gap_L;
dPyr_L	  = v_pk_Gap_L - v_pepck_Pyr_L + v_pyrt_Pyr_B_L - v_ldh_Pyr_L - v_alata_Pyr_L  - v_pdh_Pyr_L;
dLac_L	=  v_lact_Lac_B_L + v_ldh_Pyr_L  ;
dAla_L	=  v_alat_Ala_B_L + v_alata_Pyr_L ;
dAccoa_LM = v_pdh_Pyr_L - v_tca_Accoa_LM - v_bhbsyn_Accoa_LM + 8*v_boxid_FFA_L - v_accoat_Accoa_LM_LC;
dBhb_L	= 0.5*v_bhbsyn_Accoa_LM + v_bhbt_Bhb_B_L;
dAccoa_LC	= v_accoat_Accoa_LM_LC - v_lipog1_Accoa_LC - v_cholsyn1_Accoa_LC  ;
dMalcoa_L	= v_lipog1_Accoa_LC - v_lipog2_Malcoa_L;
dHmgcoa_L	= 1/3*v_cholsyn1_Accoa_LC - v_cholsyn2_Hmgcoa_L ;
dChol_L	=   1/6*v_cholsyn2_Hmgcoa_L + v_cholt_Chol_B_L  ;
dFFA_L  = v_ffat_FFA_B_L - 3*v_tgsyn_FFA_L + 3*v_tgdeg_TG_L - v_boxid_FFA_L + 1/8*v_lipog2_Malcoa_L;
dGlyc_L = v_tgdeg_TG_L + v_glyct_Glyc_B_L - v_glyk_Glyc_L ;
dGlycp_L =              - v_tgsyn_FFA_L   + v_glyk_Glyc_L + v_g3pd_Gap_L;
dTG_L = v_tgsyn_FFA_L - v_tgdeg_TG_L + v_tgt_TG_B_L;

dAtp_L	= -v_gk_Glc_L - v_pfk_G6p_L + 2*v_pk_Gap_L - 2*v_pepck_Pyr_L + v_tca_Accoa_LM - v_accoat_Accoa_LM_LC - v_glyk_Glyc_L ...
        - v_boxid_FFA_L - v_lipog1_Accoa_LC + 1/8*v_lipog2_Malcoa_L...
        - 2*v_tgsyn_FFA_L - 3 * v_cholsyn2_Hmgcoa_L  + v_atpsynf_Fadh_L + 3*v_atpsynn_Nadh_L - v_ampreg_Amp_L - v_atpuse_Atp_L - v_nadhk_Nadh_L; 
dAdp_L	=  v_gk_Glc_L + v_pfk_G6p_L - 2*v_pk_Gap_L + 2*v_pepck_Pyr_L - v_tca_Accoa_LM + v_accoat_Accoa_LM_LC + v_glyk_Glyc_L ...
        + v_boxid_FFA_L + v_lipog1_Accoa_LC - 1/8*v_lipog2_Malcoa_L...
        -   v_tgsyn_FFA_L + 3 * v_cholsyn2_Hmgcoa_L  - v_atpsynf_Fadh_L - 3*v_atpsynn_Nadh_L + 2*v_ampreg_Amp_L + v_atpuse_Atp_L + v_nadhk_Nadh_L;   
dAmp_L	= 3*v_tgsyn_FFA_L - v_ampreg_Amp_L  ;
dNadh_L	=   v_pk_Gap_L - v_pepck_Pyr_L - v_ldh_Pyr_L  + v_pdh_Pyr_L + 3*v_tca_Accoa_LM...
    - v_g3pd_Gap_L - 0.5*v_bhbsyn_Accoa_LM  + 7*v_boxid_FFA_L - v_atpsynn_Nadh_L - v_nadhuse_Nadh_L - v_nadhk_Nadh_L;
dNad_L	= - v_pk_Gap_L + v_pepck_Pyr_L + v_ldh_Pyr_L  - v_pdh_Pyr_L - 3*v_tca_Accoa_LM...
    + v_g3pd_Gap_L + 0.5*v_bhbsyn_Accoa_LM  - 7*v_boxid_FFA_L + v_atpsynn_Nadh_L + v_nadhuse_Nadh_L;
dFadh_L	=  7*v_boxid_FFA_L + v_tca_Accoa_LM -1/6*v_cholsyn2_Hmgcoa_L - v_atpsynf_Fadh_L - v_fadhuse_Fadh_L;
dFad_L	= -7*v_boxid_FFA_L - v_tca_Accoa_LM +1/6*v_cholsyn2_Hmgcoa_L + v_atpsynf_Fadh_L + v_fadhuse_Fadh_L;
dGtp_L = - v_pepck_Pyr_L + v_gdpreg_Gdp_L;
dGdp_L =   v_pepck_Pyr_L - v_gdpreg_Gdp_L;
dUtp_L = - v_gs_G6p_L + v_udpreg_Udp_L - v_utpuse_Utp_L; 
dUdp_L =   v_gs_G6p_L - v_udpreg_Udp_L + v_utpuse_Utp_L; 
dNadph_L = - 14/8*v_lipog2_Malcoa_L - 21/6*v_cholsyn2_Hmgcoa_L + 2*v_ppp_G6p_L - v_nadphuse_Nadph_L + v_nadhk_Nadh_L; 
dNadp_L  =   14/8*v_lipog2_Malcoa_L + 21/6*v_cholsyn2_Hmgcoa_L - 2*v_ppp_G6p_L + v_nadphuse_Nadph_L ;
dCre_L	= 0  ;
dCrep_L	= 0  ;

%fin_organ_ODE

%ODE_muscle
%begin_organ_ODE
dGlc_M	  = v_glut4_Glc_B_M - v_hk_Glc_M ;
dG6p_M    = v_hk_Glc_M - v_gs_G6p_M + v_gd_Glygn_M - v_pfk_G6p_M ;
dGlygn_M  =              v_gs_G6p_M - v_gd_Glygn_M;
dGap_M	  = 2*v_pfk_G6p_M  -v_pk_Gap_M  - v_g3pd_Gap_M;
dPyr_M	  = v_pk_Gap_M  + v_pyrt_Pyr_B_M - v_ldh_Pyr_M - v_alata_Pyr_M  - v_pdh_Pyr_M;
dLac_M	=  v_lact_Lac_B_M + v_ldh_Pyr_M  ;
dAla_M	=  v_alat_Ala_B_M + v_alata_Pyr_M ;
dAccoa_MM = v_pdh_Pyr_M - v_tca_Accoa_MM  + 8*v_boxid_FFA_M - v_accoat_Accoa_MM_MC ;
dBhb_M	= 0;
dAccoa_MC	= 0 ;
dMalcoa_M	= 0;
dHmgcoa_M	= 0;
dChol_M	=   0;
dFFA_M = v_ffat_FFA_B_M - 3 *v_tgsyn_FFA_M + 3*v_tgdeg_TG_M - v_boxid_FFA_M + 3*v_tgt_TG_B_M;
dGlyc_M = v_tgdeg_TG_M + v_glyct_Glyc_B_M - v_glyk_Glyc_M ;
dGlycp_M =              - v_tgsyn_FFA_M   + v_glyk_Glyc_M + v_g3pd_Gap_M;
dTG_M = v_tgsyn_FFA_M - v_tgdeg_TG_M ;

dAtp_M	= -v_hk_Glc_M - v_pfk_G6p_M + 2*v_pk_Gap_M + v_tca_Accoa_MM - v_glyk_Glyc_M ...
        - v_boxid_FFA_M - 2*v_tgsyn_FFA_M + v_atpsynf_Fadh_M + 3*v_atpsynn_Nadh_M - v_ampreg_Amp_M - v_atpuse_Atp_M;
dAdp_M	=  v_hk_Glc_M + v_pfk_G6p_M - 2*v_pk_Gap_M - v_tca_Accoa_MM + v_glyk_Glyc_M ...
        + v_boxid_FFA_M  -  v_tgsyn_FFA_M - v_atpsynf_Fadh_M - 3*v_atpsynn_Nadh_M + 2*v_ampreg_Amp_M + v_atpuse_Atp_M; 
dAmp_M	= 3*v_tgsyn_FFA_M - v_ampreg_Amp_M  ;

dNadh_M	=   v_pk_Gap_M - v_ldh_Pyr_M  + v_pdh_Pyr_M + 3*v_tca_Accoa_MM...
    - v_g3pd_Gap_M + 7*v_boxid_FFA_M - v_atpsynn_Nadh_M - v_nadhuse_Nadh_M ;
dNad_M	= - v_pk_Gap_M + v_ldh_Pyr_M  - v_pdh_Pyr_M - 3*v_tca_Accoa_MM...
    + v_g3pd_Gap_M - 7*v_boxid_FFA_M + v_atpsynn_Nadh_M + v_nadhuse_Nadh_M ;
dFadh_M	=  7*v_boxid_FFA_M + v_tca_Accoa_MM - v_atpsynf_Fadh_M - v_fadhuse_Fadh_M;
dFad_M	= -7*v_boxid_FFA_M - v_tca_Accoa_MM + v_atpsynf_Fadh_M + v_fadhuse_Fadh_M;
dGtp_M = 0;
dGdp_M = 0;
dUtp_M = - v_gs_G6p_M + v_udpreg_Udp_M - v_utpuse_Utp_M; 
dUdp_M =   v_gs_G6p_M - v_udpreg_Udp_M + v_utpuse_Utp_M; 
dNadph_M = 0 ; 
dNadp_M  = 0 ; 
dCre_M = -v_ck_Cre_M;
dCrep_M = v_ck_Cre_M;

%fin_organ_ODE

%ODE_adipose
%begin_organ_ODE
dGlc_A	  = v_glut4_Glc_B_A - v_hk_Glc_A  + v_g6pase_G6p_A;
dG6p_A    = v_hk_Glc_A - v_pfk_G6p_A + 0.5*v_fbp_Gap_A;
dGlygn_A  = 0;
dGap_A	  = 2*v_pfk_G6p_A -v_pk_Gap_A - v_g3pd_Gap_A;
dPyr_A	  =  v_pk_Gap_A + v_pyrt_Pyr_B_A - v_ldh_Pyr_A - v_alata_Pyr_A  - v_pdh_Pyr_A;
dLac_A	=  v_lact_Lac_B_A + v_ldh_Pyr_A  ;
dAla_A	=  0 ;
dAccoa_AM = v_pdh_Pyr_A - v_tca_Accoa_AM + 8*v_boxid_FFA_A ;
dBhb_A	= 0;
dAccoa_AC	= 0 ;
dMalcoa_A	= 0;
dHmgcoa_A	= 0;
dChol_A	=  0 ;
dFFA_A = v_ffat_FFA_B_A - 3 *v_tgsyn_FFA_A + 3*v_tgdeg_TG_A -v_boxid_FFA_A + 3*v_tgt_TG_B_A  ;
dGlyc_A = v_tgdeg_TG_A + v_glyct_Glyc_B_A;
dGlycp_A =               - v_tgsyn_FFA_A  + v_g3pd_Gap_A;
dTG_A = v_tgsyn_FFA_A - v_tgdeg_TG_A ;
dAtp_A	= -v_hk_Glc_A - v_pfk_G6p_A + 2*v_pk_Gap_A + v_tca_Accoa_AM   ...
        - v_boxid_FFA_A - 2*v_tgsyn_FFA_A   + v_atpsynf_Fadh_A + 3*v_atpsynn_Nadh_A - v_ampreg_Amp_A - v_atpuse_Atp_A ;
dAdp_A	=  v_hk_Glc_A + v_pfk_G6p_A - 2*v_pk_Gap_A - v_tca_Accoa_AM   ...
        + v_boxid_FFA_A -   v_tgsyn_FFA_A   - v_atpsynf_Fadh_A - 3*v_atpsynn_Nadh_A + 2*v_ampreg_Amp_A + v_atpuse_Atp_A ;
dAmp_A	= 3*v_tgsyn_FFA_A - v_ampreg_Amp_A ;
dNadh_A	=   v_pk_Gap_A  - v_ldh_Pyr_A  + v_pdh_Pyr_A + 3*v_tca_Accoa_AM...
    - v_g3pd_Gap_A + 7*v_boxid_FFA_A - v_atpsynn_Nadh_A - v_nadhuse_Nadh_A;
dNad_A	= - v_pk_Gap_A  + v_ldh_Pyr_A  - v_pdh_Pyr_A - 3*v_tca_Accoa_AM...
    + v_g3pd_Gap_A - 7*v_boxid_FFA_A + v_atpsynn_Nadh_A + v_nadhuse_Nadh_A ;
dFadh_A	=  7*v_boxid_FFA_A + v_tca_Accoa_AM  - v_atpsynf_Fadh_A - v_fadhuse_Fadh_A ;
dFad_A	= -7*v_boxid_FFA_A - v_tca_Accoa_AM  + v_atpsynf_Fadh_A + v_fadhuse_Fadh_A ;
dGtp_A = 0;
dGdp_A = 0;
dUtp_A = 0; 
dUdp_A = 0; 
dNadph_A =   0;
dNadp_A =   0 ;
dCre_A	= 0  ;
dCrep_A	= 0  ;

%fin_organ_ODE

%ODE_heart
%begin_organ_ODE
dGlc_H	  = v_glut2_Glc_B_H - v_hk_Glc_H ;
dG6p_H    = v_hk_Glc_H  - v_gs_G6p_H + v_gd_Glygn_H - v_pfk_G6p_H ;
dGlygn_H  =             v_gs_G6p_H - v_gd_Glygn_H;
dGap_H	  = 2*v_pfk_G6p_H -v_pk_Gap_H  - v_g3pd_Gap_H;
dPyr_H	  = v_pk_Gap_H + v_pyrt_Pyr_B_H - v_ldh_Pyr_H - v_alata_Pyr_H  - v_pdh_Pyr_H;
dLac_H	=  v_lact_Lac_B_H + v_ldh_Pyr_H  ;
dAla_H	=  v_alat_Ala_B_H + v_alata_Pyr_H ;
dAccoa_HM = v_pdh_Pyr_H - v_tca_Accoa_HM + 8*v_boxid_FFA_H ;
dBhb_H	= 0;
dAccoa_HC	=0  ;
dMalcoa_H	= 0;
dHmgcoa_H	= 0 ;
dChol_H	=   0 ;
dFFA_H = v_ffat_FFA_B_H - 3*v_tgsyn_FFA_H + 3*v_tgdeg_TG_H - v_boxid_FFA_H + 3*v_tgt_TG_B_H;
dGlyc_H = v_tgdeg_TG_H + v_glyct_Glyc_B_H - v_glyk_Glyc_H ;
dGlycp_H =                - v_tgsyn_FFA_H + v_glyk_Glyc_H + v_g3pd_Gap_H;
dTG_H = v_tgsyn_FFA_H - v_tgdeg_TG_H;

dAtp_H	= -v_hk_Glc_H - v_pfk_G6p_H + 2*v_pk_Gap_H  + v_tca_Accoa_HM  - v_glyk_Glyc_H ...
        - v_boxid_FFA_H  - 2*v_tgsyn_FFA_H  + v_atpsynf_Fadh_H + 3*v_atpsynn_Nadh_H - v_ampreg_Amp_H - v_atpuse_Atp_H ;
dAdp_H	=  v_hk_Glc_H + v_pfk_G6p_H - 2*v_pk_Gap_H - v_tca_Accoa_HM  + v_glyk_Glyc_H ...
        + v_boxid_FFA_H -   v_tgsyn_FFA_H  - v_atpsynf_Fadh_H - 3*v_atpsynn_Nadh_H + 2*v_ampreg_Amp_H + v_atpuse_Atp_H;   
dAmp_H	= 3*v_tgsyn_FFA_H - v_ampreg_Amp_H  ;
dNadh_H	=   v_pk_Gap_H - v_ldh_Pyr_H  + v_pdh_Pyr_H + 3*v_tca_Accoa_HM...
    - v_g3pd_Gap_H + 7*v_boxid_FFA_H - v_atpsynn_Nadh_H - v_nadhuse_Nadh_H;
dNad_H	= - v_pk_Gap_H + v_ldh_Pyr_H  - v_pdh_Pyr_H - 3*v_tca_Accoa_HM...
    + v_g3pd_Gap_H - 7*v_boxid_FFA_H + v_atpsynn_Nadh_H + v_nadhuse_Nadh_H;
dFadh_H	=  7*v_boxid_FFA_H + v_tca_Accoa_HM  - v_atpsynf_Fadh_H - v_fadhuse_Fadh_H;
dFad_H	= -7*v_boxid_FFA_H - v_tca_Accoa_HM  + v_atpsynf_Fadh_H + v_fadhuse_Fadh_H;
dGtp_H = 0;
dGdp_H = 0;
dUtp_H = - v_gs_G6p_H + v_udpreg_Udp_H - v_utpuse_Utp_H; 
dUdp_H =   v_gs_G6p_H - v_udpreg_Udp_H + v_utpuse_Utp_H; 
dNadph_H = 0; 
dNadp_H = 0; 
dCre_H	= 0  ;
dCrep_H	= 0  ;
%fin_organ_ODE

%ODE_gi
%begin_organ_ODE
dGlc_G	  = v_glut2_Glc_B_G - v_hk_Glc_G ;
dG6p_G    = v_hk_Glc_G  - v_pfk_G6p_G ;
dGlygn_G  =  0 ;
dGap_G	  = 2*v_pfk_G6p_G  -v_pk_Gap_G  - v_g3pd_Gap_G;
dPyr_G	  = v_pk_Gap_G + v_pyrt_Pyr_B_G - v_ldh_Pyr_G - v_alata_Pyr_G  - v_pdh_Pyr_G;
dLac_G 	=  v_lact_Lac_B_G  + v_ldh_Pyr_G   ;
dAla_G 	=  0  ;
dAccoa_GM = v_pdh_Pyr_G - v_tca_Accoa_GM + 8*v_boxid_FFA_G;
dBhb_G	= 0;
dAccoa_GC= 0;
dMalcoa_G= 0;
dHmgcoa_G= 0;
dChol_G	 = 0;
dFFA_G 	= v_ffat_FFA_B_G - 3 *v_tgsyn_FFA_G + 3*v_tgdeg_TG_G - v_boxid_FFA_G + 3*v_tgt_TG_B_G;
dGlyc_G = v_tgdeg_TG_G + v_glyct_Glyc_B_G  ;
dGlycp_G =             - v_tgsyn_FFA_G + v_g3pd_Gap_G;
dTG_G   = v_tgsyn_FFA_G - v_tgdeg_TG_G ;

dAtp_G	= -v_hk_Glc_G - v_pfk_G6p_G + 2*v_pk_Gap_G  + v_tca_Accoa_GM ...
            - v_boxid_FFA_G - 2*v_tgsyn_FFA_G + v_atpsynf_Fadh_G...        
         + 3*v_atpsynn_Nadh_G - v_ampreg_Amp_G - v_atpuse_Atp_G  - v_ck_Cre_G ;  
dAdp_G	=  v_hk_Glc_G + v_pfk_G6p_G - 2*v_pk_Gap_G  - v_tca_Accoa_GM ...
         + v_boxid_FFA_G  - v_tgsyn_FFA_G - v_atpsynf_Fadh_G...       
         - 3*v_atpsynn_Nadh_G + 2*v_ampreg_Amp_G + v_atpuse_Atp_G + v_ck_Cre_G;    
dAmp_G	= 3*v_tgsyn_FFA_G - v_ampreg_Amp_G  ;
dNadh_G	=   v_pk_Gap_G - v_ldh_Pyr_G  + v_pdh_Pyr_G + 3*v_tca_Accoa_GM...
     - v_g3pd_Gap_G + 7*v_boxid_FFA_G  - v_atpsynn_Nadh_G - v_nadhuse_Nadh_G;
dNad_G	= - v_pk_Gap_G  + v_ldh_Pyr_G - v_pdh_Pyr_G - 3*v_tca_Accoa_GM...
     + v_g3pd_Gap_G - 7*v_boxid_FFA_G  + v_atpsynn_Nadh_G + v_nadhuse_Nadh_G;
dFadh_G	=   7*v_boxid_FFA_G + v_tca_Accoa_GM  - v_atpsynf_Fadh_G - v_fadhuse_Fadh_G;
dFad_G	=  -7*v_boxid_FFA_G - v_tca_Accoa_GM  + v_atpsynf_Fadh_G + v_fadhuse_Fadh_G;
dGtp_G =  0;
dGdp_G =  0;
dUtp_G =  - v_gs_G6p_G + v_udpreg_Udp_G - v_utpuse_Utp_G; 
dUdp_G =    v_gs_G6p_G - v_udpreg_Udp_G + v_utpuse_Utp_G; 
dNadph_G = 0; 
dNadp_G  = 0; 
dCre_G   =  - v_ck_Cre_G ; 
dCrep_G  =    v_ck_Cre_G ;

%fin_organ_ODE

%ODE_brain
%begin_organ_ODE
dGlc_N	  = v_glut3_Glc_B_N - v_hk_Glc_N ;
dG6p_N    = v_hk_Glc_N  - v_gs_G6p_N + v_gd_Glygn_N - v_pfk_G6p_N ;
dGlygn_N  =               v_gs_G6p_N - v_gd_Glygn_N;
dGap_N	  = 2*v_pfk_G6p_N  -v_pk_Gap_N  ;
dPyr_N	  = v_pk_Gap_N  + v_pyrt_Pyr_B_N  - v_alata_Pyr_N - v_ldh_Pyr_N - v_pdh_Pyr_N;
dLac_N	=  v_lact_Lac_B_N + v_ldh_Pyr_N  ;
dAla_N	=  v_alat_Ala_B_N + v_alata_Pyr_N ;

dAccoa_NM = v_pdh_Pyr_N - v_tca_Accoa_NM  - v_accoat_Accoa_NM_NC + 2*v_bhbdeg_Bhb_NM;
dBhb_N	=  v_bhbt_Bhb_B_N - v_bhbdeg_Bhb_NM;
dAccoa_NC	= 0; %v_accoat_Accoa_NM_NC
dMalcoa_N	= 0;
dHmgcoa_N	= 0;
dChol_N	=   0;
dFFA_N  = 0;
dGlyc_N = 0;
dGlycp_N =  0;
dTG_N = 0 ;

dAtp_N	= -v_hk_Glc_N - v_pfk_G6p_N + 2*v_pk_Gap_N  + v_tca_Accoa_NM - v_accoat_Accoa_NM_NC  ...
                + v_atpsynf_Fadh_N + 3*v_atpsynn_Nadh_N - v_atpuse_Atp_N  - v_bhbdeg_Bhb_NM;
dAdp_N	=  v_hk_Glc_N + v_pfk_G6p_N - 2*v_pk_Gap_N  - v_tca_Accoa_NM + v_accoat_Accoa_NM_NC  ...
                - v_atpsynf_Fadh_N - 3*v_atpsynn_Nadh_N  + v_atpuse_Atp_N + v_bhbdeg_Bhb_NM;   
dAmp_N	= 0 ;
dNadh_N	=   v_pk_Gap_N - v_ldh_Pyr_N  + v_pdh_Pyr_N + 3*v_tca_Accoa_NM...
    	   - v_atpsynn_Nadh_N - v_nadhuse_Nadh_N + v_bhbdeg_Bhb_NM;
dNad_N	= - v_pk_Gap_N + v_ldh_Pyr_N  - v_pdh_Pyr_N - 3*v_tca_Accoa_NM...
           + v_atpsynn_Nadh_N + v_nadhuse_Nadh_N - v_bhbdeg_Bhb_NM;
dFadh_N	= + v_tca_Accoa_NM  - v_atpsynf_Fadh_N - v_fadhuse_Fadh_N;
dFad_N	= - v_tca_Accoa_NM  + v_atpsynf_Fadh_N + v_fadhuse_Fadh_N;
dGtp_N = 0;
dGdp_N = 0;
dUtp_N = - v_gs_G6p_N + v_udpreg_Udp_N - v_utpuse_Utp_N; 
dUdp_N =   v_gs_G6p_N - v_udpreg_Udp_N + v_utpuse_Utp_N; 
dNadph_N = 0; 
dNadp_N  = 0;
dCre_N	=- v_ck_Cre_N ;
dCrep_N	=  v_ck_Cre_N ;

%fin_organ_ODE

%begin_dydt
dydt = [ ... 
dIns_B/VoB;	dGlc_B/VoB;	dPyr_B/VoB;	dLac_B/VoB;	dAla_B/VoB;	dGlyc_B/VoB;	dBhb_B/VoB;	dFFA_B/VoB;	dTG_B/VoB;	dChol_B/VoB; ...
dGlc_L/VoL;	dG6p_L/VoL;	dGlygn_L/VoL;	dGap_L/VoL;	dPyr_L/VoL;	dLac_L/VoL;	dAla_L/VoL;	dAccoa_LM/VoL;	dBhb_L/VoL;	dAccoa_LC/VoL; ...
dMalcoa_L/VoL;	dHmgcoa_L/VoL;	dChol_L/VoL;	dFFA_L/VoL;	dGlyc_L/VoL;	dGlycp_L/VoL;	dTG_L/VoL;	dAtp_L/VoL;	dAdp_L/VoL;	dAmp_L/VoL; ...
dGtp_L/VoL;	dGdp_L/VoL;	dUtp_L/VoL;	dUdp_L/VoL;	dNadh_L/VoL;	dNad_L/VoL;	dFadh_L/VoL;	dFad_L/VoL;	dNadph_L/VoL;	dNadp_L/VoL; ...
dCre_L/VoL;	dCrep_L/VoL;	dGlc_M/VoM;	dG6p_M/VoM;	dGlygn_M/VoM;	dGap_M/VoM;	dPyr_M/VoM;	dLac_M/VoM;	dAla_M/VoM;	dAccoa_MM/VoM; ...
dBhb_M/VoM;	dAccoa_MC/VoM;	dMalcoa_M/VoM;	dHmgcoa_M/VoM;	dChol_M/VoM;	dFFA_M/VoM;	dGlyc_M/VoM;	dGlycp_M/VoM;	dTG_M/VoM;	dAtp_M/VoM; ...
dAdp_M/VoM;	dAmp_M/VoM;	dGtp_M/VoM;	dGdp_M/VoM;	dUtp_M/VoM;	dUdp_M/VoM;	dNadh_M/VoM;	dNad_M/VoM;	dFadh_M/VoM;	dFad_M/VoM; ...
dNadph_M/VoM;	dNadp_M/VoM;	dCre_M/VoM;	dCrep_M/VoM;	dGlc_A/VoA;	dG6p_A/VoA;	dGlygn_A/VoA;	dGap_A/VoA;	dPyr_A/VoA;	dLac_A/VoA; ...
dAla_A/VoA;	dAccoa_AM/VoA;	dBhb_A/VoA;	dAccoa_AC/VoA;	dMalcoa_A/VoA;	dHmgcoa_A/VoA;	dChol_A/VoA;	dFFA_A/VoA;	dGlyc_A/VoA;	dGlycp_A/VoA; ...
dTG_A/VoA;	dAtp_A/VoA;	dAdp_A/VoA;	dAmp_A/VoA;	dGtp_A/VoA;	dGdp_A/VoA;	dUtp_A/VoA;	dUdp_A/VoA;	dNadh_A/VoA;	dNad_A/VoA; ...
dFadh_A/VoA;	dFad_A/VoA;	dNadph_A/VoA;	dNadp_A/VoA;	dCre_A/VoA;	dCrep_A/VoA;	dGlc_G/VoG;	dG6p_G/VoG;	dGlygn_G/VoG;	dGap_G/VoG; ...
dPyr_G/VoG;	dLac_G/VoG;	dAla_G/VoG;	dAccoa_GM/VoG;	dBhb_G/VoG;	dAccoa_GC/VoG;	dMalcoa_G/VoG;	dHmgcoa_G/VoG;	dChol_G/VoG;	dFFA_G/VoG; ...
dGlyc_G/VoG;	dGlycp_G/VoG;	dTG_G/VoG;	dAtp_G/VoG;	dAdp_G/VoG;	dAmp_G/VoG;	dGtp_G/VoG;	dGdp_G/VoG;	dUtp_G/VoG;	dUdp_G/VoG; ...
dNadh_G/VoG;	dNad_G/VoG;	dFadh_G/VoG;	dFad_G/VoG;	dNadph_G/VoG;	dNadp_G/VoG;	dCre_G/VoG;	dCrep_G/VoG;	dGlc_H/VoH;	dG6p_H/VoH; ...
dGlygn_H/VoH;	dGap_H/VoH;	dPyr_H/VoH;	dLac_H/VoH;	dAla_H/VoH;	dAccoa_HM/VoH;	dBhb_H/VoH;	dAccoa_HC/VoH;	dMalcoa_H/VoH;	dHmgcoa_H/VoH; ...
dChol_H/VoH;	dFFA_H/VoH;	dGlyc_H/VoH;	dGlycp_H/VoH;	dTG_H/VoH;	dAtp_H/VoH;	dAdp_H/VoH;	dAmp_H/VoH;	dGtp_H/VoH;	dGdp_H/VoH; ...
dUtp_H/VoH;	dUdp_H/VoH;	dNadh_H/VoH;	dNad_H/VoH;	dFadh_H/VoH;	dFad_H/VoH;	dNadph_H/VoH;	dNadp_H/VoH;	dCre_H/VoH;	dCrep_H/VoH; ...
dGlc_N/VoN;	dG6p_N/VoN;	dGlygn_N/VoN;	dGap_N/VoN;	dPyr_N/VoN;	dLac_N/VoN;	dAla_N/VoN;	dAccoa_NM/VoN;	dBhb_N/VoN;	dAccoa_NC/VoN; ...
dMalcoa_N/VoN;	dHmgcoa_N/VoN;	dChol_N/VoN;	dFFA_N/VoN;	dGlyc_N/VoN;	dGlycp_N/VoN;	dTG_N/VoN;	dAtp_N/VoN;	dAdp_N/VoN;	dAmp_N/VoN; ...
dGtp_N/VoN;	dGdp_N/VoN;	dUtp_N/VoN;	dUdp_N/VoN;	dNadh_N/VoN;	dNad_N/VoN;	dFadh_N/VoN;	dFad_N/VoN;	dNadph_N/VoN;	dNadp_N/VoN; ...
dCre_N/VoN;	dCrep_N/VoN	];
%fin_dydt

end

function flux = flux_met_model(t,y, x)
%begin_y
Ins_B	=	y(1);
Glc_B	=	y(2);
Pyr_B	=	y(3);
Lac_B	=	y(4);
Ala_B	=	y(5);
Glyc_B	=	y(6);
Bhb_B	=	y(7);
FFA_B	=	y(8);
TG_B	=	y(9);
Chol_B	=	y(10);
Glc_L	=	y(11);
G6p_L	=	y(12);
Glygn_L	=	y(13);
Gap_L	=	y(14);
Pyr_L	=	y(15);
Lac_L	=	y(16);
Ala_L	=	y(17);
Accoa_LM	=	y(18);
Bhb_L	=	y(19);
Accoa_LC	=	y(20);
Malcoa_L	=	y(21);
Hmgcoa_L	=	y(22);
Chol_L	=	y(23);
FFA_L	=	y(24);
Glyc_L	=	y(25);
Glycp_L	=	y(26);
TG_L	=	y(27);
Atp_L	=	y(28);
Adp_L	=	y(29);
Amp_L	=	y(30);
Gtp_L	=	y(31);
Gdp_L	=	y(32);
Utp_L	=	y(33);
Udp_L	=	y(34);
Nadh_L	=	y(35);
Nad_L	=	y(36);
Fadh_L	=	y(37);
Fad_L	=	y(38);
Nadph_L	=	y(39);
Nadp_L	=	y(40);
Cre_L	=	y(41);
Crep_L	=	y(42);
Glc_M	=	y(43);
G6p_M	=	y(44);
Glygn_M	=	y(45);
Gap_M	=	y(46);
Pyr_M	=	y(47);
Lac_M	=	y(48);
Ala_M	=	y(49);
Accoa_MM	=	y(50);
Bhb_M	=	y(51);
Accoa_MC	=	y(52);
Malcoa_M	=	y(53);
Hmgcoa_M	=	y(54);
Chol_M	=	y(55);
FFA_M	=	y(56);
Glyc_M	=	y(57);
Glycp_M	=	y(58);
TG_M	=	y(59);
Atp_M	=	y(60);
Adp_M	=	y(61);
Amp_M	=	y(62);
Gtp_M	=	y(63);
Gdp_M	=	y(64);
Utp_M	=	y(65);
Udp_M	=	y(66);
Nadh_M	=	y(67);
Nad_M	=	y(68);
Fadh_M	=	y(69);
Fad_M	=	y(70);
Nadph_M	=	y(71);
Nadp_M	=	y(72);
Cre_M	=	y(73);
Crep_M	=	y(74);
Glc_A	=	y(75);
G6p_A	=	y(76);
Glygn_A	=	y(77);
Gap_A	=	y(78);
Pyr_A	=	y(79);
Lac_A	=	y(80);
Ala_A	=	y(81);
Accoa_AM	=	y(82);
Bhb_A	=	y(83);
Accoa_AC	=	y(84);
Malcoa_A	=	y(85);
Hmgcoa_A	=	y(86);
Chol_A	=	y(87);
FFA_A	=	y(88);
Glyc_A	=	y(89);
Glycp_A	=	y(90);
TG_A	=	y(91);
Atp_A	=	y(92);
Adp_A	=	y(93);
Amp_A	=	y(94);
Gtp_A	=	y(95);
Gdp_A	=	y(96);
Utp_A	=	y(97);
Udp_A	=	y(98);
Nadh_A	=	y(99);
Nad_A	=	y(100);
Fadh_A	=	y(101);
Fad_A	=	y(102);
Nadph_A	=	y(103);
Nadp_A	=	y(104);
Cre_A	=	y(105);
Crep_A	=	y(106);
Glc_G	=	y(107);
G6p_G	=	y(108);
Glygn_G	=	y(109);
Gap_G	=	y(110);
Pyr_G	=	y(111);
Lac_G	=	y(112);
Ala_G	=	y(113);
Accoa_GM	=	y(114);
Bhb_G	=	y(115);
Accoa_GC	=	y(116);
Malcoa_G	=	y(117);
Hmgcoa_G	=	y(118);
Chol_G	=	y(119);
FFA_G	=	y(120);
Glyc_G	=	y(121);
Glycp_G	=	y(122);
TG_G	=	y(123);
Atp_G	=	y(124);
Adp_G	=	y(125);
Amp_G	=	y(126);
Gtp_G	=	y(127);
Gdp_G	=	y(128);
Utp_G	=	y(129);
Udp_G	=	y(130);
Nadh_G	=	y(131);
Nad_G	=	y(132);
Fadh_G	=	y(133);
Fad_G	=	y(134);
Nadph_G	=	y(135);
Nadp_G	=	y(136);
Cre_G	=	y(137);
Crep_G	=	y(138);
Glc_H	=	y(139);
G6p_H	=	y(140);
Glygn_H	=	y(141);
Gap_H	=	y(142);
Pyr_H	=	y(143);
Lac_H	=	y(144);
Ala_H	=	y(145);
Accoa_HM	=	y(146);
Bhb_H	=	y(147);
Accoa_HC	=	y(148);
Malcoa_H	=	y(149);
Hmgcoa_H	=	y(150);
Chol_H	=	y(151);
FFA_H	=	y(152);
Glyc_H	=	y(153);
Glycp_H	=	y(154);
TG_H	=	y(155);
Atp_H	=	y(156);
Adp_H	=	y(157);
Amp_H	=	y(158);
Gtp_H	=	y(159);
Gdp_H	=	y(160);
Utp_H	=	y(161);
Udp_H	=	y(162);
Nadh_H	=	y(163);
Nad_H	=	y(164);
Fadh_H	=	y(165);
Fad_H	=	y(166);
Nadph_H	=	y(167);
Nadp_H	=	y(168);
Cre_H	=	y(169);
Crep_H	=	y(170);
Glc_N	=	y(171);
G6p_N	=	y(172);
Glygn_N	=	y(173);
Gap_N	=	y(174);
Pyr_N	=	y(175);
Lac_N	=	y(176);
Ala_N	=	y(177);
Accoa_NM	=	y(178);
Bhb_N	=	y(179);
Accoa_NC	=	y(180);
Malcoa_N	=	y(181);
Hmgcoa_N	=	y(182);
Chol_N	=	y(183);
FFA_N	=	y(184);
Glyc_N	=	y(185);
Glycp_N	=	y(186);
TG_N	=	y(187);
Atp_N	=	y(188);
Adp_N	=	y(189);
Amp_N	=	y(190);
Gtp_N	=	y(191);
Gdp_N	=	y(192);
Utp_N	=	y(193);
Udp_N	=	y(194);
Nadh_N	=	y(195);
Nad_N	=	y(196);
Fadh_N	=	y(197);
Fad_N	=	y(198);
Nadph_N	=	y(199);
Nadp_N	=	y(200);
Cre_N	=	y(201);
Crep_N	=	y(202);
%fin_y
%%

%begin_p_x
tot_Glc_B 	=	x(1);
t_delay_Glc_B 	=	x(2);
tot_TG_B 	=	x(3);
t_delay_TG_B 	=	x(4);
k_inssyn_B 	=	x(5);
Vmax_inssyn_Glc_B 	=	x(6);
Km_inssyn_Glc_B	=	x(7);
n_inssyn_Glc_B	=	x(8);
k_inssyn_FFA_B	=	x(9);
k_insdeg_Ins_B	=	x(10);
k_choluse_Chol_B	=	x(11);
alpha_base_L 	=	x(12);
alpha_band_L 	=	x(13);
Km_Ins_B_L 	=	x(14);
n_Ins_B_L 	=	x(15);
Vdif_glut2_Glc_B_L	=	x(16);
Kdif_glut2_Glc_B_L	=	x(17);
Kdif_glut2_Glc_L	=	x(18);
Vmax_gk_Glc_L	=	x(19);
Km1_gk_Glc_L	=	x(20);
n1_gk_Glc_L	=	x(21);
Km2_gk_Glc_L	=	x(22);
n2_gk_Glc_L	=	x(23);
Km_gk_Atp_L	=	x(24);
Vmax_ppp_G6p_L	=	x(25);
Km_ppp_G6p_L	=	x(26);
Km_ppp_Nadp_L	=	x(27);
Vmax_g6pase_G6p_L	=	x(28);
Km_g6pase_G6p_L	=	x(29);
Vmax_gs_G6p_L	=	x(30);
Km_gs_G6p_L	=	x(31);
n_gs_G6p_L	=	x(32);
Km_gs_Utp_L	=	x(33);
Glygn_L_max	=	x(34);
Km_gs_Glygn_L	=	x(35);
Vmax_gd_Glygn_L	=	x(36);
Km_gd_Glygn_L	=	x(37);
Km_gd_Phos_L	=	x(38);
Vmax_pfk_G6p_L	=	x(39);
Km_pfk_G6p_L	=	x(40);
Km_pfk_Atp_L	=	x(41);
Ki_pfk_Atp_L	=	x(42);
Km_pfk_Adp_L	=	x(43);
Ki_pfk_Gap_L	=	x(44);
b_pfk_Gap_L	=	x(45);
Vmax_fbp_Gap_L	=	x(46);
Km_fbp_Gap_L	=	x(47);
Vmax_pk_Gap_L	=	x(48);
Km_pk_Gap_L	=	x(49);
b_pk_Accoa_LM	=	x(50);
Ki_pk_Accoa_LM	=	x(51);
Km_pk_Adp_L	=	x(52);
Vmax_pepck_Pyr_L	=	x(53);
Km_pepck_Pyr_L	=	x(54);
Km_pepck_Atp_L	=	x(55);
Km_pepck_Gtp_L	=	x(56);
Vdif_pyrt_Pyr_B_L	=	x(57);
Kdif_pyrt_Pyr_B_L	=	x(58);
Kdif_pyrt_Pyr_L	=	x(59);
Vdif_lact_Lac_B_L	=	x(60);
Kdif_lact_Lac_L	=	x(61);
Kdif_lact_Lac_B_L	=	x(62);
Vmax_ldh_Pyr_L	=	x(63);
Km_ldh_Pyr_L	=	x(64);
Km_ldh_Nadh_L	=	x(65);
Km_ldh_Lac_L	=	x(66);
Km_ldh_Nad_L	=	x(67);
Keq_ldh_Lac_L	=	x(68);
Vdif_alat_Ala_B_L	=	x(69);
Kdif_alat_Ala_L	=	x(70);
Kdif_alat_Ala_B_L	=	x(71);
Vmax_alata_Pyr_L	=	x(72);
Km_alata_Pyr_L	=	x(73);
Km_alata_Ala_L	=	x(74);
Keq_alata_Ala_L	=	x(75);
Vmax_pdh_Pyr_L	=	x(76);
Km_pdh_Pyr_L	=	x(77);
Ki_pdh_Accoa_LM	=	x(78);
Km_pdh_Nad_L	=	x(79);
Vmax_tca_Accoa_LM	=	x(80);
Km_tca_Accoa_LM	=	x(81);
Km_tca_Phos_L	=	x(82);
Km_tca_Adp_L	=	x(83);
Km_tca_Pyr_L	=	x(84);
Km_tca_Nad_L	=	x(85);
Km_tca_Fad_L	=	x(86);
Vdif_ffat_FFA_B_L	=	x(87);
Kdif_ffat_FFA_B_L	=	x(88);
Kdif_ffat_FFA_L	=	x(89);
Vmax_ffat_FFA_B_L	=	x(90);
Km_ffat_FFA_B_L	=	x(91);
Vmax_tgsyn_FFA_L	=	x(92);
Km_tgsyn_FFA_L	=	x(93);
Km_tgsyn_Glycp_L	=	x(94);
Km_tgsyn_Atp_L	=	x(95);
TG_L_max	=	x(96);
Km_tgsyn_TG_L	=	x(97);
Vmax_tgdeg_TG_L	=	x(98);
Km_tgdeg_TG_L	=	x(99);
Vdif_glyct_Glyc_B_L	=	x(100);
Kdif_glyct_Glyc_B_L	=	x(101);
Kdif_glyct_Glyc_L	=	x(102);
Vmax_glyk_Glyc_L	=	x(103);
Km_glyk_Glyc_L	=	x(104);
Km_glyk_Atp_L	=	x(105);
Ki_glyk_Gap_L	=	x(106);
Vdif_tgt_TG_B_L	=	x(107);
Kdif_tgt_TG_B_L	=	x(108);
Keq_tgt_TG_L	=	x(109);
Vmax_tgt_TG_B_L	=	x(110);
Km_tgt_TG_L	=	x(111);
Vmax_g3pd_Gap_L	=	x(112);
Km_g3pd_Gap_L	=	x(113);
Km_g3pd_Glycp_L	=	x(114);
Km_g3pd_Nadh_L	=	x(115);
Km_g3pd_Nad_L	=	x(116);
Keq_g3pd_Glycp_L	=	x(117);
Vmax_boxid_FFA_L	=	x(118);
Km_boxid_FFA_L	=	x(119);
Km_boxid_Atp_L	=	x(120);
Ki_boxid_Accoa_LM	=	x(121);
Ki_boxid_Malcoa_L	=	x(122);
Km_boxid_Nad_L	=	x(123);
Km_boxid_Fad_L	=	x(124);
Vmax_accoat_Accoa_LM_LC	=	x(125);
Km_accoat_Accoa_LM	=	x(126);
Km_accoat_Atp_L	=	x(127);
Km_accoat_Pyr_L	=	x(128);
Vmax_bhbsyn_Accoa_LM	=	x(129);
Km_bhbsyn_Accoa_LM	=	x(130);
Km_bhbsyn_Nadh_L	=	x(131);
n_bhbsyn_Pyr_L	=	x(132);
Ki_bhbsyn_Pyr_L	=	x(133);
Vmax_bhbdeg_Bhb_L	=	x(134);
Km_bhbdeg_Bhb_L	=	x(135);
Km_bhbdeg_Atp_L	=	x(136);
Km_bhbdeg_Nad_L	=	x(137);
Vdif_bhbt_Bhb_B_L 	=	x(138);
Kdif_bhbt_Bhb_B_L	=	x(139);
Kdif_bhbt_Bhb_L	=	x(140);
Vmax_lipog1_Accoa_LC	=	x(141);
Km_lipog1_Accoa_LC	=	x(142);
Km_lipog1_Atp_L	=	x(143);
Vmax_lipog2_Malcoa_L	=	x(144);
Km_lipog2_Malcoa_L	=	x(145);
Km_lipog2_Adp_L	=	x(146);
Km_lipog2_Nadph_L	=	x(147);
Vmax_cholsyn1_Accoa_LC	=	x(148);
Km_cholsyn1_Accoa_LC	=	x(149);
Vmax_cholsyn2_Hmgcoa_L	=	x(150);
Km_cholsyn2_Hmgcoa_L	=	x(151);
Km_cholsyn2_Atp_L	=	x(152);
Km_cholsyn2_Fadh_L	=	x(153);
Km_cholsyn2_Nadph_L	=	x(154);
Vmax_cholt_Chol_L	=	x(155);
Km_cholt_Chol_L	=	x(156);
Vmax_atpsynf_Fadh_L	=	x(157);
Km_atpsynf_Fadh_L	=	x(158);
Km_atpsynf_Adp_L	=	x(159);
Vmax_atpsynn_Nadh_L	=	x(160);
Km_atpsynn_Nadh_L	=	x(161);
Km_atpsynn_Adp_L	=	x(162);
Vmax_atpuse_Atp_L	=	x(163);
Km_atpuse_Atp_L	=	x(164);
Vmax_ampreg_Amp_L	=	x(165);
Km_ampreg_Amp_L	=	x(166);
Km_ampreg_Atp_L	=	x(167);
Km_ampreg_Adp_L	=	x(168);
Vmax_nadhk_Nadh_L	=	x(169);
Km_nadhk_Nadh_L	=	x(170);
Km_nadhk_Atp_L	=	x(171);
Vmax_nadhuse_Nadh_L	=	x(172);
Km_nadhuse_Nadh_L	=	x(173);
Vmax_gdpreg_Gdp_L	=	x(174);
Km_gdpreg_Gdp_L	=	x(175);
Km_gdpreg_Atp_L	=	x(176);
Km_gdpreg_Gtp_L	=	x(177);
Km_gdpreg_Adp_L	=	x(178);
Keq_gdpreg_Gtp_L	=	x(179);
Vmax_gtpuse_Gtp_L	=	x(180);
Km_gtpuse_Gtp_L	=	x(181);
Vmax_udpreg_Udp_L	=	x(182);
Km_udpreg_Udp_L	=	x(183);
Km_udpreg_Atp_L	=	x(184);
Km_udpreg_Utp_L	=	x(185);
Km_udpreg_Adp_L	=	x(186);
Keq_udpreg_Utp_L	=	x(187);
Vmax_utpuse_Utp_L	=	x(188);
Km_utpuse_Utp_L	=	x(189);
Vmax_nadphuse_Nadph_L	=	x(190);
Km_nadphuse_Nadph_L	=	x(191);
Vmax_fadhuse_Fadh_L	=	x(192);
Km_fadhuse_Fadh_L	=	x(193);
Vmax_ck_Cre_L	=	x(194);
Km_ck_Cre_L	=	x(195);
Km_ck_Atp_L	=	x(196);
Km_ck_Crep_L	=	x(197);
Km_ck_Adp_L	=	x(198);
Keq_ck_Crep_L	=	x(199);
Phos_L	=	x(200);
alpha_base_M 	=	x(201);
alpha_band_M 	=	x(202);
Km_Ins_B_M	=	x(203);
n_Ins_B_M 	=	x(204);
Vdif_glut4_Glc_B_M	=	x(205);
Kdif_glut4_Glc_B_M	=	x(206);
Kdif_glut4_Glc_M	=	x(207);
Vmax_hk_Glc_M	=	x(208);
Km_hk_Glc_M	=	x(209);
Ki_hk_G6p_M	=	x(210);
Km_hk_Atp_M	=	x(211);
Ki_hk_Atp_M	=	x(212);
Vmax_ppp_G6p_M	=	x(213);
Km_ppp_G6p_M	=	x(214);
Km_ppp_Nadp_M	=	x(215);
Vmax_g6pase_G6p_M	=	x(216);
Km_g6pase_G6p_M	=	x(217);
Vmax_gs_G6p_M	=	x(218);
Km_gs_G6p_M	=	x(219);
n_gs_G6p_M	=	x(220);
Km_gs_Utp_M	=	x(221);
Glygn_M_max	=	x(222);
Km_gs_Glygn_M	=	x(223);
Vmax_gd_Glygn_M	=	x(224);
Km_gd_Glygn_M	=	x(225);
Km_gd_Phos_M	=	x(226);
Vmax_pfk_G6p_M	=	x(227);
Km_pfk_G6p_M	=	x(228);
Km_pfk_Atp_M	=	x(229);
Ki_pfk_Atp_M	=	x(230);
Km_pfk_Adp_M	=	x(231);
Ki_pfk_Gap_M	=	x(232);
b_pfk_Gap_M	=	x(233);
Vmax_fbp_Gap_M	=	x(234);
Km_fbp_Gap_M	=	x(235);
Vmax_pk_Gap_M	=	x(236);
Km_pk_Gap_M	=	x(237);
b_pk_Accoa_MM	=	x(238);
Ki_pk_Accoa_MM	=	x(239);
Km_pk_Adp_M	=	x(240);
Vmax_pepck_Pyr_M	=	x(241);
Km_pepck_Pyr_M	=	x(242);
Km_pepck_Atp_M	=	x(243);
Km_pepck_Gtp_M	=	x(244);
Vdif_pyrt_Pyr_B_M	=	x(245);
Kdif_pyrt_Pyr_B_M	=	x(246);
Kdif_pyrt_Pyr_M	=	x(247);
Vdif_lact_Lac_B_M	=	x(248);
Kdif_lact_Lac_M	=	x(249);
Kdif_lact_Lac_B_M	=	x(250);
Vmax_ldh_Pyr_M	=	x(251);
Km_ldh_Pyr_M	=	x(252);
Km_ldh_Nadh_M	=	x(253);
Km_ldh_Lac_M	=	x(254);
Km_ldh_Nad_M	=	x(255);
Keq_ldh_Lac_M	=	x(256);
Vdif_alat_Ala_B_M	=	x(257);
Kdif_alat_Ala_M	=	x(258);
Kdif_alat_Ala_B_M	=	x(259);
Vmax_alata_Pyr_M	=	x(260);
Km_alata_Pyr_M	=	x(261);
Km_alata_Ala_M	=	x(262);
Keq_alata_Ala_M	=	x(263);
Vmax_pdh_Pyr_M	=	x(264);
Km_pdh_Pyr_M	=	x(265);
Ki_pdh_Accoa_MM	=	x(266);
Km_pdh_Nad_M	=	x(267);
Vmax_tca_Accoa_MM	=	x(268);
Km_tca_Accoa_MM	=	x(269);
Km_tca_Phos_M	=	x(270);
Km_tca_Adp_M	=	x(271);
Km_tca_Pyr_M	=	x(272);
Km_tca_Nad_M	=	x(273);
Km_tca_Fad_M	=	x(274);
Vdif_ffat_FFA_B_M	=	x(275);
Kdif_ffat_FFA_B_M	=	x(276);
Kdif_ffat_FFA_M	=	x(277);
Vmax_ffat_FFA_B_M	=	x(278);
Km_ffat_FFA_B_M	=	x(279);
Vmax_tgsyn_FFA_M	=	x(280);
Km_tgsyn_FFA_M	=	x(281);
Km_tgsyn_Glycp_M	=	x(282);
Km_tgsyn_Atp_M	=	x(283);
TG_M_max	=	x(284);
Km_tgsyn_TG_M	=	x(285);
Vmax_tgdeg_TG_M	=	x(286);
Km_tgdeg_TG_M	=	x(287);
Vdif_glyct_Glyc_B_M	=	x(288);
Kdif_glyct_Glyc_B_M	=	x(289);
Kdif_glyct_Glyc_M	=	x(290);
Vmax_glyk_Glyc_M	=	x(291);
Km_glyk_Glyc_M	=	x(292);
Km_glyk_Atp_M	=	x(293);
Ki_glyk_Gap_M	=	x(294);
Vdif_tgt_TG_B_M	=	x(295);
Kdif_tgt_TG_B_M	=	x(296);
Keq_tgt_TG_M	=	x(297);
Vmax_tgt_TG_B_M	=	x(298);
Km_tgt_TG_M	=	x(299);
Vmax_g3pd_Gap_M	=	x(300);
Km_g3pd_Gap_M	=	x(301);
Km_g3pd_Glycp_M	=	x(302);
Km_g3pd_Nadh_M	=	x(303);
Km_g3pd_Nad_M	=	x(304);
Keq_g3pd_Glycp_M	=	x(305);
Vmax_boxid_FFA_M	=	x(306);
Km_boxid_FFA_M	=	x(307);
Km_boxid_Atp_M	=	x(308);
Ki_boxid_Accoa_MM	=	x(309);
Ki_boxid_Malcoa_M	=	x(310);
Km_boxid_Nad_M	=	x(311);
Km_boxid_Fad_M	=	x(312);
Vmax_accoat_Accoa_MM_MC	=	x(313);
Km_accoat_Accoa_MM	=	x(314);
Km_accoat_Atp_M	=	x(315);
Km_accoat_Pyr_M	=	x(316);
Vmax_bhbsyn_Accoa_MM	=	x(317);
Km_bhbsyn_Accoa_MM	=	x(318);
Km_bhbsyn_Nadh_M	=	x(319);
n_bhbsyn_Pyr_M	=	x(320);
Ki_bhbsyn_Pyr_M	=	x(321);
Vmax_bhbdeg_Bhb_M	=	x(322);
Km_bhbdeg_Bhb_M	=	x(323);
Km_bhbdeg_Atp_M	=	x(324);
Km_bhbdeg_Nad_M	=	x(325);
Vdif_bhbt_Bhb_B_M 	=	x(326);
Kdif_bhbt_Bhb_B_M	=	x(327);
Kdif_bhbt_Bhb_M	=	x(328);
Vmax_lipog1_Accoa_MC	=	x(329);
Km_lipog1_Accoa_MC	=	x(330);
Km_lipog1_Atp_M	=	x(331);
Vmax_lipog2_Malcoa_M	=	x(332);
Km_lipog2_Malcoa_M	=	x(333);
Km_lipog2_Adp_M	=	x(334);
Km_lipog2_Nadph_M	=	x(335);
Vmax_cholsyn1_Accoa_MC	=	x(336);
Km_cholsyn1_Accoa_MC	=	x(337);
Vmax_cholsyn2_Hmgcoa_M	=	x(338);
Km_cholsyn2_Hmgcoa_M	=	x(339);
Km_cholsyn2_Atp_M	=	x(340);
Km_cholsyn2_Fadh_M	=	x(341);
Km_cholsyn2_Nadph_M	=	x(342);
Vmax_cholt_Chol_M	=	x(343);
Km_cholt_Chol_M	=	x(344);
Vmax_atpsynf_Fadh_M	=	x(345);
Km_atpsynf_Fadh_M	=	x(346);
Km_atpsynf_Adp_M	=	x(347);
Vmax_atpsynn_Nadh_M	=	x(348);
Km_atpsynn_Nadh_M	=	x(349);
Km_atpsynn_Adp_M	=	x(350);
Vmax_atpuse_Atp_M	=	x(351);
Km_atpuse_Atp_M	=	x(352);
Vmax_ampreg_Amp_M	=	x(353);
Km_ampreg_Amp_M	=	x(354);
Km_ampreg_Atp_M	=	x(355);
Km_ampreg_Adp_M	=	x(356);
Vmax_nadhk_Nadh_M	=	x(357);
Km_nadhk_Nadh_M	=	x(358);
Km_nadhk_Atp_M	=	x(359);
Vmax_nadhuse_Nadh_M	=	x(360);
Km_nadhuse_Nadh_M	=	x(361);
Vmax_gdpreg_Gdp_M	=	x(362);
Km_gdpreg_Gdp_M	=	x(363);
Km_gdpreg_Atp_M	=	x(364);
Km_gdpreg_Gtp_M	=	x(365);
Km_gdpreg_Adp_M	=	x(366);
Keq_gdpreg_Gtp_M	=	x(367);
Vmax_gtpuse_Gtp_M	=	x(368);
Km_gtpuse_Gtp_M	=	x(369);
Vmax_udpreg_Udp_M	=	x(370);
Km_udpreg_Udp_M	=	x(371);
Km_udpreg_Atp_M	=	x(372);
Km_udpreg_Utp_M	=	x(373);
Km_udpreg_Adp_M	=	x(374);
Keq_udpreg_Utp_M	=	x(375);
Vmax_utpuse_Utp_M	=	x(376);
Km_utpuse_Utp_M	=	x(377);
Vmax_nadphuse_Nadph_M	=	x(378);
Km_nadphuse_Nadph_M	=	x(379);
Vmax_fadhuse_Fadh_M	=	x(380);
Km_fadhuse_Fadh_M	=	x(381);
Vmax_ck_Cre_M	=	x(382);
Km_ck_Cre_M	=	x(383);
Km_ck_Atp_M	=	x(384);
Km_ck_Crep_M	=	x(385);
Km_ck_Adp_M	=	x(386);
Keq_ck_Crep_M	=	x(387);
Phos_M	=	x(388);
alpha_base_A 	=	x(389);
alpha_band_A 	=	x(390);
Km_Ins_B_A	=	x(391);
n_Ins_B_A 	=	x(392);
Vdif_glut4_Glc_B_A	=	x(393);
Kdif_glut4_Glc_B_A	=	x(394);
Kdif_glut4_Glc_A	=	x(395);
Vmax_hk_Glc_A	=	x(396);
Km_hk_Glc_A	=	x(397);
Ki_hk_G6p_A	=	x(398);
Km_hk_Atp_A	=	x(399);
Ki_hk_Atp_A	=	x(400);
Vmax_ppp_G6p_A	=	x(401);
Km_ppp_G6p_A	=	x(402);
Km_ppp_Nadp_A	=	x(403);
Vmax_g6pase_G6p_A	=	x(404);
Km_g6pase_G6p_A	=	x(405);
Vmax_gs_G6p_A	=	x(406);
Km_gs_G6p_A	=	x(407);
n_gs_G6p_A	=	x(408);
Km_gs_Utp_A	=	x(409);
Glygn_A_max	=	x(410);
Km_gs_Glygn_A	=	x(411);
Vmax_gd_Glygn_A	=	x(412);
Km_gd_Glygn_A	=	x(413);
Km_gd_Phos_A	=	x(414);
Vmax_pfk_G6p_A	=	x(415);
Km_pfk_G6p_A	=	x(416);
Km_pfk_Atp_A	=	x(417);
Ki_pfk_Atp_A	=	x(418);
Km_pfk_Adp_A	=	x(419);
Ki_pfk_Gap_A	=	x(420);
b_pfk_Gap_A	=	x(421);
Vmax_fbp_Gap_A	=	x(422);
Km_fbp_Gap_A	=	x(423);
Vmax_pk_Gap_A	=	x(424);
Km_pk_Gap_A	=	x(425);
b_pk_Accoa_AM	=	x(426);
Ki_pk_Accoa_AM	=	x(427);
Km_pk_Adp_A	=	x(428);
Vmax_pepck_Pyr_A	=	x(429);
Km_pepck_Pyr_A	=	x(430);
Km_pepck_Atp_A	=	x(431);
Km_pepck_Gtp_A	=	x(432);
Vdif_pyrt_Pyr_B_A	=	x(433);
Kdif_pyrt_Pyr_B_A	=	x(434);
Kdif_pyrt_Pyr_A	=	x(435);
Vdif_lact_Lac_B_A	=	x(436);
Kdif_lact_Lac_A	=	x(437);
Kdif_lact_Lac_B_A	=	x(438);
Vmax_ldh_Pyr_A	=	x(439);
Km_ldh_Pyr_A	=	x(440);
Km_ldh_Nadh_A	=	x(441);
Km_ldh_Lac_A	=	x(442);
Km_ldh_Nad_A	=	x(443);
Keq_ldh_Lac_A	=	x(444);
Vdif_alat_Ala_B_A	=	x(445);
Kdif_alat_Ala_A	=	x(446);
Kdif_alat_Ala_B_A	=	x(447);
Vmax_alata_Pyr_A	=	x(448);
Km_alata_Pyr_A	=	x(449);
Km_alata_Ala_A	=	x(450);
Keq_alata_Ala_A	=	x(451);
Vmax_pdh_Pyr_A	=	x(452);
Km_pdh_Pyr_A	=	x(453);
Ki_pdh_Accoa_AM	=	x(454);
Km_pdh_Nad_A	=	x(455);
Vmax_tca_Accoa_AM	=	x(456);
Km_tca_Accoa_AM	=	x(457);
Km_tca_Phos_A	=	x(458);
Km_tca_Adp_A	=	x(459);
Km_tca_Pyr_A	=	x(460);
Km_tca_Nad_A	=	x(461);
Km_tca_Fad_A	=	x(462);
Vdif_ffat_FFA_B_A	=	x(463);
Kdif_ffat_FFA_B_A	=	x(464);
Kdif_ffat_FFA_A	=	x(465);
Vmax_ffat_FFA_B_A	=	x(466);
Km_ffat_FFA_B_A	=	x(467);
Vmax_tgsyn_FFA_A	=	x(468);
Km_tgsyn_FFA_A	=	x(469);
Km_tgsyn_Glycp_A	=	x(470);
Km_tgsyn_Atp_A	=	x(471);
TG_A_max	=	x(472);
Km_tgsyn_TG_A	=	x(473);
Vmax_tgdeg_TG_A	=	x(474);
Km_tgdeg_TG_A	=	x(475);
Vdif_glyct_Glyc_B_A	=	x(476);
Kdif_glyct_Glyc_B_A	=	x(477);
Kdif_glyct_Glyc_A	=	x(478);
Vmax_glyk_Glyc_A	=	x(479);
Km_glyk_Glyc_A	=	x(480);
Km_glyk_Atp_A	=	x(481);
Ki_glyk_Gap_A	=	x(482);
Vdif_tgt_TG_B_A	=	x(483);
Kdif_tgt_TG_B_A	=	x(484);
Keq_tgt_TG_A	=	x(485);
Vmax_tgt_TG_B_A	=	x(486);
Km_tgt_TG_A	=	x(487);
Vmax_g3pd_Gap_A	=	x(488);
Km_g3pd_Gap_A	=	x(489);
Km_g3pd_Glycp_A	=	x(490);
Km_g3pd_Nadh_A	=	x(491);
Km_g3pd_Nad_A	=	x(492);
Keq_g3pd_Glycp_A	=	x(493);
Vmax_boxid_FFA_A	=	x(494);
Km_boxid_FFA_A	=	x(495);
Km_boxid_Atp_A	=	x(496);
Ki_boxid_Accoa_AM	=	x(497);
Ki_boxid_Malcoa_A	=	x(498);
Km_boxid_Nad_A	=	x(499);
Km_boxid_Fad_A	=	x(500);
Vmax_accoat_Accoa_AM_AC	=	x(501);
Km_accoat_Accoa_AM	=	x(502);
Km_accoat_Atp_A	=	x(503);
Km_accoat_Pyr_A	=	x(504);
Vmax_bhbsyn_Accoa_AM	=	x(505);
Km_bhbsyn_Accoa_AM	=	x(506);
Km_bhbsyn_Nadh_A	=	x(507);
n_bhbsyn_Pyr_A	=	x(508);
Ki_bhbsyn_Pyr_A	=	x(509);
Vmax_bhbdeg_Bhb_A	=	x(510);
Km_bhbdeg_Bhb_A	=	x(511);
Km_bhbdeg_Atp_A	=	x(512);
Km_bhbdeg_Nad_A	=	x(513);
Vdif_bhbt_Bhb_B_A 	=	x(514);
Kdif_bhbt_Bhb_B_A	=	x(515);
Kdif_bhbt_Bhb_A	=	x(516);
Vmax_lipog1_Accoa_AC	=	x(517);
Km_lipog1_Accoa_AC	=	x(518);
Km_lipog1_Atp_A	=	x(519);
Vmax_lipog2_Malcoa_A	=	x(520);
Km_lipog2_Malcoa_A	=	x(521);
Km_lipog2_Adp_A	=	x(522);
Km_lipog2_Nadph_A	=	x(523);
Vmax_cholsyn1_Accoa_AC	=	x(524);
Km_cholsyn1_Accoa_AC	=	x(525);
Vmax_cholsyn2_Hmgcoa_A	=	x(526);
Km_cholsyn2_Hmgcoa_A	=	x(527);
Km_cholsyn2_Atp_A	=	x(528);
Km_cholsyn2_Fadh_A	=	x(529);
Km_cholsyn2_Nadph_A	=	x(530);
Vmax_cholt_Chol_A	=	x(531);
Km_cholt_Chol_A	=	x(532);
Vmax_atpsynf_Fadh_A	=	x(533);
Km_atpsynf_Fadh_A	=	x(534);
Km_atpsynf_Adp_A	=	x(535);
Vmax_atpsynn_Nadh_A	=	x(536);
Km_atpsynn_Nadh_A	=	x(537);
Km_atpsynn_Adp_A	=	x(538);
Vmax_atpuse_Atp_A	=	x(539);
Km_atpuse_Atp_A	=	x(540);
Vmax_ampreg_Amp_A	=	x(541);
Km_ampreg_Amp_A	=	x(542);
Km_ampreg_Atp_A	=	x(543);
Km_ampreg_Adp_A	=	x(544);
Vmax_nadhk_Nadh_A	=	x(545);
Km_nadhk_Nadh_A	=	x(546);
Km_nadhk_Atp_A	=	x(547);
Vmax_nadhuse_Nadh_A	=	x(548);
Km_nadhuse_Nadh_A	=	x(549);
Vmax_gdpreg_Gdp_A	=	x(550);
Km_gdpreg_Gdp_A	=	x(551);
Km_gdpreg_Atp_A	=	x(552);
Km_gdpreg_Gtp_A	=	x(553);
Km_gdpreg_Adp_A	=	x(554);
Keq_gdpreg_Gtp_A	=	x(555);
Vmax_gtpuse_Gtp_A	=	x(556);
Km_gtpuse_Gtp_A	=	x(557);
Vmax_udpreg_Udp_A	=	x(558);
Km_udpreg_Udp_A	=	x(559);
Km_udpreg_Atp_A	=	x(560);
Km_udpreg_Utp_A	=	x(561);
Km_udpreg_Adp_A	=	x(562);
Keq_udpreg_Utp_A	=	x(563);
Vmax_utpuse_Utp_A	=	x(564);
Km_utpuse_Utp_A	=	x(565);
Vmax_nadphuse_Nadph_A	=	x(566);
Km_nadphuse_Nadph_A	=	x(567);
Vmax_fadhuse_Fadh_A	=	x(568);
Km_fadhuse_Fadh_A	=	x(569);
Vmax_ck_Cre_A	=	x(570);
Km_ck_Cre_A	=	x(571);
Km_ck_Atp_A	=	x(572);
Km_ck_Crep_A	=	x(573);
Km_ck_Adp_A	=	x(574);
Keq_ck_Crep_A	=	x(575);
Phos_A	=	x(576);
alpha_base_G 	=	x(577);
alpha_band_G 	=	x(578);
Km_Ins_B_G	=	x(579);
n_Ins_B_G	=	x(580);
Vdif_glut2_Glc_B_G	=	x(581);
Kdif_glut2_Glc_B_G	=	x(582);
Kdif_glut2_Glc_G	=	x(583);
Vmax_hk_Glc_G	=	x(584);
Km_hk_Glc_G	=	x(585);
Ki_hk_G6p_G	=	x(586);
Km_hk_Atp_G	=	x(587);
Ki_hk_Atp_G	=	x(588);
Vmax_ppp_G6p_G	=	x(589);
Km_ppp_G6p_G	=	x(590);
Km_ppp_Nadp_G	=	x(591);
Vmax_g6pase_G6p_G	=	x(592);
Km_g6pase_G6p_G	=	x(593);
Vmax_gs_G6p_G	=	x(594);
Km_gs_G6p_G	=	x(595);
n_gs_G6p_G	=	x(596);
Km_gs_Utp_G	=	x(597);
Glygn_G_max	=	x(598);
Km_gs_Glygn_G	=	x(599);
Vmax_gd_Glygn_G	=	x(600);
Km_gd_Glygn_G	=	x(601);
Km_gd_Phos_G	=	x(602);
Vmax_pfk_G6p_G	=	x(603);
Km_pfk_G6p_G	=	x(604);
Km_pfk_Atp_G	=	x(605);
Ki_pfk_Atp_G	=	x(606);
Km_pfk_Adp_G	=	x(607);
Ki_pfk_Gap_G	=	x(608);
b_pfk_Gap_G	=	x(609);
Vmax_fbp_Gap_G	=	x(610);
Km_fbp_Gap_G	=	x(611);
Vmax_pk_Gap_G	=	x(612);
Km_pk_Gap_G	=	x(613);
b_pk_Accoa_GM	=	x(614);
Ki_pk_Accoa_GM	=	x(615);
Km_pk_Adp_G	=	x(616);
Vmax_pepck_Pyr_G	=	x(617);
Km_pepck_Pyr_G	=	x(618);
Km_pepck_Atp_G	=	x(619);
Km_pepck_Gtp_G	=	x(620);
Vdif_pyrt_Pyr_B_G	=	x(621);
Kdif_pyrt_Pyr_B_G	=	x(622);
Kdif_pyrt_Pyr_G	=	x(623);
Vdif_lact_Lac_B_G	=	x(624);
Kdif_lact_Lac_G	=	x(625);
Kdif_lact_Lac_B_G	=	x(626);
Vmax_ldh_Pyr_G	=	x(627);
Km_ldh_Pyr_G	=	x(628);
Km_ldh_Nadh_G	=	x(629);
Km_ldh_Lac_G	=	x(630);
Km_ldh_Nad_G	=	x(631);
Keq_ldh_Lac_G	=	x(632);
Vdif_alat_Ala_B_G	=	x(633);
Kdif_alat_Ala_G	=	x(634);
Kdif_alat_Ala_B_G	=	x(635);
Vmax_alata_Pyr_G	=	x(636);
Km_alata_Pyr_G	=	x(637);
Km_alata_Ala_G	=	x(638);
Keq_alata_Ala_G	=	x(639);
Vmax_pdh_Pyr_G	=	x(640);
Km_pdh_Pyr_G	=	x(641);
Ki_pdh_Accoa_GM	=	x(642);
Km_pdh_Nad_G	=	x(643);
Vmax_tca_Accoa_GM	=	x(644);
Km_tca_Accoa_GM	=	x(645);
Km_tca_Phos_G	=	x(646);
Km_tca_Adp_G	=	x(647);
Km_tca_Pyr_G	=	x(648);
Km_tca_Nad_G	=	x(649);
Km_tca_Fad_G	=	x(650);
Vdif_ffat_FFA_B_G	=	x(651);
Kdif_ffat_FFA_B_G	=	x(652);
Kdif_ffat_FFA_G	=	x(653);
Vmax_ffat_FFA_B_G	=	x(654);
Km_ffat_FFA_B_G	=	x(655);
Vmax_tgsyn_FFA_G	=	x(656);
Km_tgsyn_FFA_G	=	x(657);
Km_tgsyn_Glycp_G	=	x(658);
Km_tgsyn_Atp_G	=	x(659);
TG_G_max	=	x(660);
Km_tgsyn_TG_G	=	x(661);
Vmax_tgdeg_TG_G	=	x(662);
Km_tgdeg_TG_G	=	x(663);
Vdif_glyct_Glyc_B_G	=	x(664);
Kdif_glyct_Glyc_B_G	=	x(665);
Kdif_glyct_Glyc_G	=	x(666);
Vmax_glyk_Glyc_G	=	x(667);
Km_glyk_Glyc_G	=	x(668);
Km_glyk_Atp_G	=	x(669);
Ki_glyk_Gap_G	=	x(670);
Vdif_tgt_TG_B_G	=	x(671);
Kdif_tgt_TG_B_G	=	x(672);
Keq_tgt_TG_G	=	x(673);
Vmax_tgt_TG_B_G	=	x(674);
Km_tgt_TG_G	=	x(675);
Vmax_g3pd_Gap_G	=	x(676);
Km_g3pd_Gap_G	=	x(677);
Km_g3pd_Glycp_G	=	x(678);
Km_g3pd_Nadh_G	=	x(679);
Km_g3pd_Nad_G	=	x(680);
Keq_g3pd_Glycp_G	=	x(681);
Vmax_boxid_FFA_G	=	x(682);
Km_boxid_FFA_G	=	x(683);
Km_boxid_Atp_G	=	x(684);
Ki_boxid_Accoa_GM	=	x(685);
Ki_boxid_Malcoa_G	=	x(686);
Km_boxid_Nad_G	=	x(687);
Km_boxid_Fad_G	=	x(688);
Vmax_accoat_Accoa_GM_GC	=	x(689);
Km_accoat_Accoa_GM	=	x(690);
Km_accoat_Atp_G	=	x(691);
Km_accoat_Pyr_G	=	x(692);
Vmax_bhbsyn_Accoa_GM	=	x(693);
Km_bhbsyn_Accoa_GM	=	x(694);
Km_bhbsyn_Nadh_G	=	x(695);
n_bhbsyn_Pyr_G	=	x(696);
Ki_bhbsyn_Pyr_G	=	x(697);
Vmax_bhbdeg_Bhb_G	=	x(698);
Km_bhbdeg_Bhb_G	=	x(699);
Km_bhbdeg_Atp_G	=	x(700);
Km_bhbdeg_Nad_G	=	x(701);
Vdif_bhbt_Bhb_B_G 	=	x(702);
Kdif_bhbt_Bhb_B_G	=	x(703);
Kdif_bhbt_Bhb_G	=	x(704);
Vmax_lipog1_Accoa_GC	=	x(705);
Km_lipog1_Accoa_GC	=	x(706);
Km_lipog1_Atp_G	=	x(707);
Vmax_lipog2_Malcoa_G	=	x(708);
Km_lipog2_Malcoa_G	=	x(709);
Km_lipog2_Adp_G	=	x(710);
Km_lipog2_Nadph_G	=	x(711);
Vmax_cholsyn1_Accoa_GC	=	x(712);
Km_cholsyn1_Accoa_GC	=	x(713);
Vmax_cholsyn2_Hmgcoa_G	=	x(714);
Km_cholsyn2_Hmgcoa_G	=	x(715);
Km_cholsyn2_Atp_G	=	x(716);
Km_cholsyn2_Fadh_G	=	x(717);
Km_cholsyn2_Nadph_G	=	x(718);
Vmax_cholt_Chol_G	=	x(719);
Km_cholt_Chol_G	=	x(720);
Vmax_atpsynf_Fadh_G	=	x(721);
Km_atpsynf_Fadh_G	=	x(722);
Km_atpsynf_Adp_G	=	x(723);
Vmax_atpsynn_Nadh_G	=	x(724);
Km_atpsynn_Nadh_G	=	x(725);
Km_atpsynn_Adp_G	=	x(726);
Vmax_atpuse_Atp_G	=	x(727);
Km_atpuse_Atp_G	=	x(728);
Vmax_ampreg_Amp_G	=	x(729);
Km_ampreg_Amp_G	=	x(730);
Km_ampreg_Atp_G	=	x(731);
Km_ampreg_Adp_G	=	x(732);
Vmax_nadhk_Nadh_G	=	x(733);
Km_nadhk_Nadh_G	=	x(734);
Km_nadhk_Atp_A	=	x(735);
Vmax_nadhuse_Nadh_G	=	x(736);
Km_nadhuse_Nadh_G	=	x(737);
Vmax_gdpreg_Gdp_G	=	x(738);
Km_gdpreg_Gdp_G	=	x(739);
Km_gdpreg_Atp_G	=	x(740);
Km_gdpreg_Gtp_G	=	x(741);
Km_gdpreg_Adp_G	=	x(742);
Keq_gdpreg_Gtp_G	=	x(743);
Vmax_gtpuse_Gtp_G	=	x(744);
Km_gtpuse_Gtp_G	=	x(745);
Vmax_udpreg_Udp_G	=	x(746);
Km_udpreg_Udp_G	=	x(747);
Km_udpreg_Atp_G	=	x(748);
Km_udpreg_Utp_G	=	x(749);
Km_udpreg_Adp_G	=	x(750);
Keq_udpreg_Utp_G	=	x(751);
Vmax_utpuse_Utp_G	=	x(752);
Km_utpuse_Utp_G	=	x(753);
Vmax_nadphuse_Nadph_G	=	x(754);
Km_nadphuse_Nadph_G	=	x(755);
Vmax_fadhuse_Fadh_G	=	x(756);
Km_fadhuse_Fadh_G	=	x(757);
Vmax_ck_Cre_G	=	x(758);
Km_ck_Cre_G	=	x(759);
Km_ck_Atp_G	=	x(760);
Km_ck_Crep_G	=	x(761);
Km_ck_Adp_G	=	x(762);
Keq_ck_Crep_G	=	x(763);
Phos_G	=	x(764);
alpha_base_H 	=	x(765);
alpha_band_H 	=	x(766);
Km_Ins_B_H	=	x(767);
n_Ins_B_H 	=	x(768);
Vdif_glut2_Glc_B_H	=	x(769);
Kdif_glut2_Glc_B_H	=	x(770);
Kdif_glut2_Glc_H	=	x(771);
Vmax_hk_Glc_H	=	x(772);
Km_hk_Glc_H	=	x(773);
Ki_hk_G6p_H	=	x(774);
Km_hk_Atp_H	=	x(775);
Ki_hk_Atp_H	=	x(776);
Vmax_ppp_G6p_H	=	x(777);
Km_ppp_G6p_H	=	x(778);
Km_ppp_Nadp_H	=	x(779);
Vmax_g6pase_G6p_H	=	x(780);
Km_g6pase_G6p_H	=	x(781);
Vmax_gs_G6p_H	=	x(782);
Km_gs_G6p_H	=	x(783);
n_gs_G6p_H	=	x(784);
Km_gs_Utp_H	=	x(785);
Glygn_H_max	=	x(786);
Km_gs_Glygn_H	=	x(787);
Vmax_gd_Glygn_H	=	x(788);
Km_gd_Glygn_H	=	x(789);
Km_gd_Phos_H	=	x(790);
Vmax_pfk_G6p_H	=	x(791);
Km_pfk_G6p_H	=	x(792);
Km_pfk_Atp_H	=	x(793);
Ki_pfk_Atp_H	=	x(794);
Km_pfk_Adp_H	=	x(795);
Ki_pfk_Gap_H	=	x(796);
b_pfk_Gap_H	=	x(797);
Vmax_fbp_Gap_H	=	x(798);
Km_fbp_Gap_H	=	x(799);
Vmax_pk_Gap_H	=	x(800);
Km_pk_Gap_H	=	x(801);
b_pk_Accoa_HM	=	x(802);
Ki_pk_Accoa_HM	=	x(803);
Km_pk_Adp_H	=	x(804);
Vmax_pepck_Pyr_H	=	x(805);
Km_pepck_Pyr_H	=	x(806);
Km_pepck_Atp_H	=	x(807);
Km_pepck_Gtp_H	=	x(808);
Vdif_pyrt_Pyr_B_H	=	x(809);
Kdif_pyrt_Pyr_B_H	=	x(810);
Kdif_pyrt_Pyr_H	=	x(811);
Vdif_lact_Lac_B_H	=	x(812);
Kdif_lact_Lac_H	=	x(813);
Kdif_lact_Lac_B_H	=	x(814);
Vmax_ldh_Pyr_H	=	x(815);
Km_ldh_Pyr_H	=	x(816);
Km_ldh_Nadh_H	=	x(817);
Km_ldh_Lac_H	=	x(818);
Km_ldh_Nad_H	=	x(819);
Keq_ldh_Lac_H	=	x(820);
Vdif_alat_Ala_B_H	=	x(821);
Kdif_alat_Ala_H	=	x(822);
Kdif_alat_Ala_B_H	=	x(823);
Vmax_alata_Pyr_H	=	x(824);
Km_alata_Pyr_H	=	x(825);
Km_alata_Ala_H	=	x(826);
Keq_alata_Ala_H	=	x(827);
Vmax_pdh_Pyr_H	=	x(828);
Km_pdh_Pyr_H	=	x(829);
Ki_pdh_Accoa_HM	=	x(830);
Km_pdh_Nad_H	=	x(831);
Vmax_tca_Accoa_HM	=	x(832);
Km_tca_Accoa_HM	=	x(833);
Km_tca_Phos_H	=	x(834);
Km_tca_Adp_H	=	x(835);
Km_tca_Pyr_H	=	x(836);
Km_tca_Nad_H	=	x(837);
Km_tca_Fad_H	=	x(838);
Vdif_ffat_FFA_B_H	=	x(839);
Kdif_ffat_FFA_B_H	=	x(840);
Kdif_ffat_FFA_H	=	x(841);
Vmax_ffat_FFA_B_H	=	x(842);
Km_ffat_FFA_B_H	=	x(843);
Vmax_tgsyn_FFA_H	=	x(844);
Km_tgsyn_FFA_H	=	x(845);
Km_tgsyn_Glycp_H	=	x(846);
Km_tgsyn_Atp_H	=	x(847);
TG_H_max	=	x(848);
Km_tgsyn_TG_H	=	x(849);
Vmax_tgdeg_TG_H	=	x(850);
Km_tgdeg_TG_H	=	x(851);
Vdif_glyct_Glyc_B_H	=	x(852);
Kdif_glyct_Glyc_B_H	=	x(853);
Kdif_glyct_Glyc_H	=	x(854);
Vmax_glyk_Glyc_H	=	x(855);
Km_glyk_Glyc_H	=	x(856);
Km_glyk_Atp_H	=	x(857);
Ki_glyk_Gap_H	=	x(858);
Vdif_tgt_TG_B_H	=	x(859);
Kdif_tgt_TG_B_H	=	x(860);
Keq_tgt_TG_H	=	x(861);
Vmax_tgt_TG_B_H	=	x(862);
Km_tgt_TG_H	=	x(863);
Vmax_g3pd_Gap_H	=	x(864);
Km_g3pd_Gap_H	=	x(865);
Km_g3pd_Glycp_H	=	x(866);
Km_g3pd_Nadh_H	=	x(867);
Km_g3pd_Nad_H	=	x(868);
Keq_g3pd_Glycp_H	=	x(869);
Vmax_boxid_FFA_H	=	x(870);
Km_boxid_FFA_H	=	x(871);
Km_boxid_Atp_H	=	x(872);
Ki_boxid_Accoa_HM	=	x(873);
Ki_boxid_Malcoa_H	=	x(874);
Km_boxid_Nad_H	=	x(875);
Km_boxid_Fad_H	=	x(876);
Vmax_accoat_Accoa_HM_HC	=	x(877);
Km_accoat_Accoa_HM	=	x(878);
Km_accoat_Atp_H	=	x(879);
Km_accoat_Pyr_H	=	x(880);
Vmax_bhbsyn_Accoa_HM	=	x(881);
Km_bhbsyn_Accoa_HM	=	x(882);
Km_bhbsyn_Nadh_H	=	x(883);
n_bhbsyn_Pyr_H	=	x(884);
Ki_bhbsyn_Pyr_H	=	x(885);
Vmax_bhbdeg_Bhb_H	=	x(886);
Km_bhbdeg_Bhb_H	=	x(887);
Km_bhbdeg_Atp_H	=	x(888);
Km_bhbdeg_Nad_H	=	x(889);
Vdif_bhbt_Bhb_B_H	=	x(890);
Kdif_bhbt_Bhb_B_H	=	x(891);
Kdif_bhbt_Bhb_H	=	x(892);
Vmax_lipog1_Accoa_HC	=	x(893);
Km_lipog1_Accoa_HC	=	x(894);
Km_lipog1_Atp_H	=	x(895);
Vmax_lipog2_Malcoa_H	=	x(896);
Km_lipog2_Malcoa_H	=	x(897);
Km_lipog2_Adp_H	=	x(898);
Km_lipog2_Nadph_H	=	x(899);
Vmax_cholsyn1_Accoa_HC	=	x(900);
Km_cholsyn1_Accoa_HC	=	x(901);
Vmax_cholsyn2_Hmgcoa_H	=	x(902);
Km_cholsyn2_Hmgcoa_H	=	x(903);
Km_cholsyn2_Atp_H	=	x(904);
Km_cholsyn2_Fadh_H	=	x(905);
Km_cholsyn2_Nadph_H	=	x(906);
Vmax_cholt_Chol_H	=	x(907);
Km_cholt_Chol_H	=	x(908);
Vmax_atpsynf_Fadh_H	=	x(909);
Km_atpsynf_Fadh_H	=	x(910);
Km_atpsynf_Adp_H	=	x(911);
Vmax_atpsynn_Nadh_H	=	x(912);
Km_atpsynn_Nadh_H	=	x(913);
Km_atpsynn_Adp_H	=	x(914);
Vmax_atpuse_Atp_H	=	x(915);
Km_atpuse_Atp_H	=	x(916);
Vmax_ampreg_Amp_H	=	x(917);
Km_ampreg_Amp_H	=	x(918);
Km_ampreg_Atp_H	=	x(919);
Km_ampreg_Adp_H	=	x(920);
Vmax_nadhk_Nadh_H	=	x(921);
Km_nadhk_Nadh_H	=	x(922);
Km_nadhk_Atp_H	=	x(923);
Vmax_nadhuse_Nadh_H	=	x(924);
Km_nadhuse_Nadh_H	=	x(925);
Vmax_gdpreg_Gdp_H	=	x(926);
Km_gdpreg_Gdp_H	=	x(927);
Km_gdpreg_Atp_H	=	x(928);
Km_gdpreg_Gtp_H	=	x(929);
Km_gdpreg_Adp_H	=	x(930);
Keq_gdpreg_Gtp_H	=	x(931);
Vmax_gtpuse_Gtp_H	=	x(932);
Km_gtpuse_Gtp_H	=	x(933);
Vmax_udpreg_Udp_H	=	x(934);
Km_udpreg_Udp_H	=	x(935);
Km_udpreg_Atp_H	=	x(936);
Km_udpreg_Utp_H	=	x(937);
Km_udpreg_Adp_H	=	x(938);
Keq_udpreg_Utp_H	=	x(939);
Vmax_utpuse_Utp_H	=	x(940);
Km_utpuse_Utp_H	=	x(941);
Vmax_nadphuse_Nadph_H	=	x(942);
Km_nadphuse_Nadph_H	=	x(943);
Vmax_fadhuse_Fadh_H	=	x(944);
Km_fadhuse_Fadh_H	=	x(945);
Vmax_ck_Cre_H	=	x(946);
Km_ck_Cre_H	=	x(947);
Km_ck_Atp_H	=	x(948);
Km_ck_Crep_H	=	x(949);
Km_ck_Adp_H	=	x(950);
Keq_ck_Crep_H	=	x(951);
Phos_H	=	x(952);
alpha_base_N 	=	x(953);
alpha_band_N 	=	x(954);
Km_Ins_B_N	=	x(955);
n_Ins_B_N	=	x(956);
Vdif_glut3_Glc_B_N	=	x(957);
Kdif_glut3_Glc_B_N	=	x(958);
Kdif_glut3_Glc_N	=	x(959);
Vmax_hk_Glc_N	=	x(960);
Km_hk_Glc_N	=	x(961);
Ki_hk_G6p_N	=	x(962);
Km_hk_Atp_N	=	x(963);
Ki_hk_Atp_N	=	x(964);
Vmax_ppp_G6p_N	=	x(965);
Km_ppp_G6p_N	=	x(966);
Km_ppp_Nadp_N	=	x(967);
Vmax_g6pase_G6p_N	=	x(968);
Km_g6pase_G6p_N	=	x(969);
Vmax_gs_G6p_N	=	x(970);
Km_gs_G6p_N	=	x(971);
n_gs_G6p_N	=	x(972);
Km_gs_Utp_N	=	x(973);
Glygn_N_max	=	x(974);
Km_gs_Glygn_N	=	x(975);
Vmax_gd_Glygn_N	=	x(976);
Km_gd_Glygn_N	=	x(977);
Km_gd_Phos_N	=	x(978);
Vmax_pfk_G6p_N	=	x(979);
Km_pfk_G6p_N	=	x(980);
Km_pfk_Atp_N	=	x(981);
Ki_pfk_Atp_N	=	x(982);
Km_pfk_Adp_N	=	x(983);
Ki_pfk_Gap_N	=	x(984);
b_pfk_Gap_N	=	x(985);
Vmax_fbp_Gap_N	=	x(986);
Km_fbp_Gap_N	=	x(987);
Vmax_pk_Gap_N	=	x(988);
Km_pk_Gap_N	=	x(989);
b_pk_Accoa_NM	=	x(990);
Ki_pk_Accoa_NM	=	x(991);
Km_pk_Adp_N	=	x(992);
Vmax_pepck_Pyr_N	=	x(993);
Km_pepck_Pyr_N	=	x(994);
Km_pepck_Atp_N	=	x(995);
Km_pepck_Gtp_N	=	x(996);
Vdif_pyrt_Pyr_B_N	=	x(997);
Kdif_pyrt_Pyr_B_N	=	x(998);
Kdif_pyrt_Pyr_N	=	x(999);
Vdif_lact_Lac_B_N	=	x(1000);
Kdif_lact_Lac_N	=	x(1001);
Kdif_lact_Lac_B_N	=	x(1002);
Vmax_ldh_Pyr_N	=	x(1003);
Km_ldh_Pyr_N	=	x(1004);
Km_ldh_Nadh_N	=	x(1005);
Km_ldh_Lac_N	=	x(1006);
Km_ldh_Nad_N	=	x(1007);
Keq_ldh_Lac_N	=	x(1008);
Vdif_alat_Ala_B_N	=	x(1009);
Kdif_alat_Ala_N	=	x(1010);
Kdif_alat_Ala_B_N	=	x(1011);
Vmax_alata_Pyr_N	=	x(1012);
Km_alata_Pyr_N	=	x(1013);
Km_alata_Ala_N	=	x(1014);
Keq_alata_Ala_N	=	x(1015);
Vmax_pdh_Pyr_N	=	x(1016);
Km_pdh_Pyr_N	=	x(1017);
Ki_pdh_Accoa_NM	=	x(1018);
Km_pdh_Nad_N	=	x(1019);
Vmax_tca_Accoa_NM	=	x(1020);
Km_tca_Accoa_NM	=	x(1021);
Km_tca_Phos_N	=	x(1022);
Km_tca_Adp_N	=	x(1023);
Km_tca_Pyr_N	=	x(1024);
Km_tca_Nad_N	=	x(1025);
Km_tca_Fad_N	=	x(1026);
Vdif_ffat_FFA_B_N	=	x(1027);
Kdif_ffat_FFA_B_N	=	x(1028);
Kdif_ffat_FFA_N	=	x(1029);
Vmax_ffat_FFA_B_N	=	x(1030);
Km_ffat_FFA_B_N	=	x(1031);
Vmax_tgsyn_FFA_N	=	x(1032);
Km_tgsyn_FFA_N	=	x(1033);
Km_tgsyn_Glycp_N	=	x(1034);
Km_tgsyn_Atp_N	=	x(1035);
TG_N_max	=	x(1036);
Km_tgsyn_TG_N	=	x(1037);
Vmax_tgdeg_TG_N	=	x(1038);
Km_tgdeg_TG_N	=	x(1039);
Vdif_glyct_Glyc_B_N	=	x(1040);
Kdif_glyct_Glyc_B_N	=	x(1041);
Kdif_glyct_Glyc_N	=	x(1042);
Vmax_glyk_Glyc_N	=	x(1043);
Km_glyk_Glyc_N	=	x(1044);
Km_glyk_Atp_N	=	x(1045);
Ki_glyk_Gap_N	=	x(1046);
Vdif_tgt_TG_B_N	=	x(1047);
Kdif_tgt_TG_B_N	=	x(1048);
Keq_tgt_TG_N	=	x(1049);
Vmax_tgt_TG_B_N	=	x(1050);
Km_tgt_TG_N	=	x(1051);
Vmax_g3pd_Gap_N	=	x(1052);
Km_g3pd_Gap_N	=	x(1053);
Km_g3pd_Glycp_N	=	x(1054);
Km_g3pd_Nadh_N	=	x(1055);
Km_g3pd_Nad_N	=	x(1056);
Keq_g3pd_Glycp_N	=	x(1057);
Vmax_boxid_FFA_N	=	x(1058);
Km_boxid_FFA_N	=	x(1059);
Km_boxid_Atp_N	=	x(1060);
Ki_boxid_Accoa_NM	=	x(1061);
Ki_boxid_Malcoa_N	=	x(1062);
Km_boxid_Nad_N	=	x(1063);
Km_boxid_Fad_N	=	x(1064);
Vmax_accoat_Accoa_NM_NC	=	x(1065);
Km_accoat_Accoa_NM	=	x(1066);
Km_accoat_Atp_N	=	x(1067);
Km_accoat_Pyr_N	=	x(1068);
Vmax_bhbsyn_Accoa_NM	=	x(1069);
Km_bhbsyn_Accoa_NM	=	x(1070);
Km_bhbsyn_Nadh_N	=	x(1071);
n_bhbsyn_Pyr_N	=	x(1072);
Ki_bhbsyn_Pyr_N	=	x(1073);
Vmax_bhbdeg_Bhb_N	=	x(1074);
Km_bhbdeg_Bhb_N	=	x(1075);
Km_bhbdeg_Atp_N	=	x(1076);
Km_bhbdeg_Nad_N	=	x(1077);
Vdif_bhbt_Bhb_B_N 	=	x(1078);
Kdif_bhbt_Bhb_B_N	=	x(1079);
Kdif_bhbt_Bhb_N	=	x(1080);
Vmax_lipog1_Accoa_NC	=	x(1081);
Km_lipog1_Accoa_NC	=	x(1082);
Km_lipog1_Atp_N	=	x(1083);
Vmax_lipog2_Malcoa_N	=	x(1084);
Km_lipog2_Malcoa_N	=	x(1085);
Km_lipog2_Adp_N	=	x(1086);
Km_lipog2_Nadph_N	=	x(1087);
Vmax_cholsyn1_Accoa_NC	=	x(1088);
Km_cholsyn1_Accoa_NC	=	x(1089);
Vmax_cholsyn2_Hmgcoa_N	=	x(1090);
Km_cholsyn2_Hmgcoa_N	=	x(1091);
Km_cholsyn2_Atp_N	=	x(1092);
Km_cholsyn2_Fadh_N	=	x(1093);
Km_cholsyn2_Nadph_N	=	x(1094);
Vmax_cholt_Chol_N	=	x(1095);
Km_cholt_Chol_N	=	x(1096);
Vmax_atpsynf_Fadh_N	=	x(1097);
Km_atpsynf_Fadh_N	=	x(1098);
Km_atpsynf_Adp_N	=	x(1099);
Vmax_atpsynn_Nadh_N	=	x(1100);
Km_atpsynn_Nadh_N	=	x(1101);
Km_atpsynn_Adp_N	=	x(1102);
Vmax_atpuse_Atp_N	=	x(1103);
Km_atpuse_Atp_N	=	x(1104);
Vmax_ampreg_Amp_N	=	x(1105);
Km_ampreg_Amp_N	=	x(1106);
Km_ampreg_Atp_N	=	x(1107);
Km_ampreg_Adp_N	=	x(1108);
Vmax_nadhk_Nadh_N	=	x(1109);
Km_nadhk_Nadh_N	=	x(1110);
Km_nadhk_Atp_N	=	x(1111);
Vmax_nadhuse_Nadh_N	=	x(1112);
Km_nadhuse_Nadh_N	=	x(1113);
Vmax_gdpreg_Gdp_N	=	x(1114);
Km_gdpreg_Gdp_N	=	x(1115);
Km_gdpreg_Atp_N	=	x(1116);
Km_gdpreg_Gtp_N	=	x(1117);
Km_gdpreg_Adp_N	=	x(1118);
Keq_gdpreg_Gtp_N	=	x(1119);
Vmax_gtpuse_Gtp_N	=	x(1120);
Km_gtpuse_Gtp_N	=	x(1121);
Vmax_udpreg_Udp_N	=	x(1122);
Km_udpreg_Udp_N	=	x(1123);
Km_udpreg_Atp_N	=	x(1124);
Km_udpreg_Utp_N	=	x(1125);
Km_udpreg_Adp_N	=	x(1126);
Keq_udpreg_Utp_N	=	x(1127);
Vmax_utpuse_Utp_N	=	x(1128);
Km_utpuse_Utp_N	=	x(1129);
Vmax_nadphuse_Nadph_N	=	x(1130);
Km_nadphuse_Nadph_N	=	x(1131);
Vmax_fadhuse_Fadh_N	=	x(1132);
Km_fadhuse_Fadh_N	=	x(1133);
Vmax_ck_Cre_N	=	x(1134);
Km_ck_Cre_N	=	x(1135);
Km_ck_Atp_N	=	x(1136);
Km_ck_Crep_N	=	x(1137);
Km_ck_Adp_N	=	x(1138);
Keq_ck_Crep_N	=	x(1139);
Phos_N	=	x(1140);
%fin_p_x

%% kinetic parameter input
alpha_T =0;
%flux_blood
v_feed_Glc_B 	= 	tot_Glc_B *t/(t_delay_Glc_B^2) *exp(-t^2/(2 * t_delay_Glc_B^2));
v_feed_TG_B  	= 	tot_TG_B *t /(t_delay_TG_B^2)  *exp(-t^2/(2 * t_delay_TG_B^2));

v_inssyn_B 	= 	k_inssyn_B;
v_inssyn_Glc_B 	= 	hill(Glc_B, Vmax_inssyn_Glc_B, Km_inssyn_Glc_B, n_inssyn_Glc_B);
v_inssyn_FFA_B 	= 	k_inssyn_FFA_B * FFA_B;
v_insdeg_Ins_B 	= 	k_insdeg_Ins_B * Ins_B;

v_glutT_Glc_B_T 	=	0.062	;%
v_tgt_TG_B_T	=	0	;%
v_ffat_FFA_B_T	=	0.04	;%
v_lact_Lac_B_T	=	-0.142	;%
v_alat_Ala_B_T	=	-0.28	;%
v_glyct_Glyc_B_T	=	0	;%
v_pyrt_Pyr_B_T	    = -0.005	;%

v_choluse_Chol_B = k_choluse_Chol_B * Chol_B;

%flux_liver
alpha_L = alpha_base_L + alpha_band_L *  hill(Ins_B, 1, Km_Ins_B_L, n_Ins_B_L) ;
%begin_organ_flux	
v_glut2_Glc_B_L	=  diff(Glc_B, Glc_L, Vdif_glut2_Glc_B_L, Kdif_glut2_Glc_B_L , Kdif_glut2_Glc_L);

v_gk_Glc_L    = hill(Glc_L, Vmax_gk_Glc_L, Km1_gk_Glc_L, n1_gk_Glc_L)*hill(Glc_L, 1, Km2_gk_Glc_L,  n2_gk_Glc_L) * hill(Atp_L, 1, Km_gk_Atp_L, 1) ;

v_g6pase_G6p_L	=  hill(G6p_L, Vmax_g6pase_G6p_L, Km_g6pase_G6p_L, 1) ;
v_ppp_G6p_L = hill(G6p_L, Vmax_ppp_G6p_L, Km_ppp_G6p_L, 1) * hill(Nadp_L, 1, Km_ppp_Nadp_L, 1);
v_gs_G6p_L   =     alpha_L * hill(G6p_L,  Vmax_gs_G6p_L, Km_gs_G6p_L, n_gs_G6p_L) *hill(Glygn_L_max-Glygn_L, 1, Km_gs_Glygn_L, 1) * hill(Utp_L, 1,Km_gs_Utp_L,1);% 
v_gd_Glygn_L = (1-alpha_L) * hill(Glygn_L, Vmax_gd_Glygn_L, Km_gd_Glygn_L, 1)*hill(Phos_L, 1, Km_gd_Phos_L, 1);
v_pfk_G6p_L  =  hill(G6p_L, Vmax_pfk_G6p_L, Km_pfk_G6p_L, 1)* hill(Atp_L, 1, Km_pfk_Atp_L,1) ...
  * hill_inh(Atp_L, 1, Ki_pfk_Atp_L,1)*hill(Adp_L, 1, Km_pfk_Adp_L,1)...
  *(1 - hill(Gap_L, b_pfk_Gap_L, Ki_pfk_Gap_L,1));
v_fbp_Gap_L	 = hill(Gap_L, Vmax_fbp_Gap_L, Km_fbp_Gap_L,1);
v_pk_Gap_L	 = alpha_L * hill(Gap_L, Vmax_pk_Gap_L, Km_pk_Gap_L, 1)*(1 - hill(Accoa_LM, b_pk_Accoa_LM, Ki_pk_Accoa_LM, 1)) *hill(Adp_L, 1, Km_pk_Adp_L, 1);
v_pepck_Pyr_L= (1-alpha_L) * hill(Pyr_L, Vmax_pepck_Pyr_L, Km_pepck_Pyr_L, 1) * hill(Atp_L, 1, Km_pepck_Atp_L, 1)* hill(Gtp_L, 1, Km_pepck_Gtp_L, 1);

v_pyrt_Pyr_B_L	=  diff(Pyr_B, Pyr_L, Vdif_pyrt_Pyr_B_L, Kdif_pyrt_Pyr_B_L, Kdif_pyrt_Pyr_L);
v_lact_Lac_B_L    = diff(Lac_B, Lac_L, Vdif_lact_Lac_B_L, Kdif_lact_Lac_B_L, Kdif_lact_Lac_L);
v_ldh_Pyr_L     = Vmax_ldh_Pyr_L* (Pyr_L*Nadh_L - Lac_L*Nad_L/Keq_ldh_Lac_L)/((1 +Nadh_L/Km_ldh_Nadh_L)*(1+Pyr_L/Km_ldh_Pyr_L)+(1+Lac_L/Km_ldh_Lac_L)*(1+Nad_L/Km_ldh_Nad_L) -1);
v_alat_Ala_B_L	=  diff(Ala_B, Ala_L, Vdif_alat_Ala_B_L, Kdif_alat_Ala_B_L, Kdif_alat_Ala_L);
%note
v_alata_Pyr_L	=  Vmax_alata_Pyr_L* (  - Ala_L/Keq_alata_Ala_L)/((1+Pyr_L/Km_alata_Pyr_L)+(1+Ala_L/Km_alata_Ala_L) -1);
v_pdh_Pyr_L  =  hill(Pyr_L, Vmax_pdh_Pyr_L, Km_pdh_Pyr_L, 1) * hill(Nad_L, 1, Km_pdh_Nad_L, 1)* hill_inh(Accoa_LM, 1, Ki_pdh_Accoa_LM, 1) ; 
v_tca_Accoa_LM = hill(Accoa_LM, Vmax_tca_Accoa_LM, Km_tca_Accoa_LM,1)*hill(Adp_L,1, Km_tca_Adp_L, 1)...
        * hill(Phos_L, 1, Km_tca_Phos_L, 1) * hill(Pyr_L, 1, Km_tca_Pyr_L, 1)...
        * hill(Nad_L, 1, Km_tca_Nad_L, 1) * hill(Fad_L, 1, Km_tca_Fad_L, 1);
    
 v_ffat_FFA_B_L_d = diff(FFA_B, FFA_L, Vdif_ffat_FFA_B_L,  Kdif_ffat_FFA_B_L,  Kdif_ffat_FFA_L);
 v_ffat_FFA_B_L_a = hill(FFA_B, Vmax_ffat_FFA_B_L, Km_ffat_FFA_B_L, 1);
v_ffat_FFA_B_L= v_ffat_FFA_B_L_d + v_ffat_FFA_B_L_a;

v_tgsyn_FFA_L =  hill(FFA_L, Vmax_tgsyn_FFA_L, Km_tgsyn_FFA_L, 1)*hill(Glycp_L,1,Km_tgsyn_Glycp_L,1)*hill(Atp_L, 1, Km_tgsyn_Atp_L,1);%
v_tgdeg_TG_L  =  hill(TG_L, Vmax_tgdeg_TG_L, Km_tgdeg_TG_L, 1);

v_glyk_Glyc_L = hill(Glyc_L, Vmax_glyk_Glyc_L, Km_glyk_Glyc_L*(1+Gap_L/Ki_glyk_Gap_L),1)*hill(Atp_L, 1, Km_glyk_Glyc_L, 1);
 v_tgt_TG_B_L_d = Vdif_tgt_TG_B_L*(TG_B - TG_L/Keq_tgt_TG_L)/(Kdif_tgt_TG_B_L + TG_B + TG_L/Keq_tgt_TG_L);
 v_tgt_TG_B_L_a = - (1-alpha_L) * hill(TG_L, Vmax_tgt_TG_B_L, Km_tgt_TG_L, 1);
v_tgt_TG_B_L    = v_tgt_TG_B_L_d + v_tgt_TG_B_L_a;

v_g3pd_Gap_L = Vmax_g3pd_Gap_L*(Gap_L*Nadh_L - Glycp_L*Nad_L/Keq_g3pd_Glycp_L)...
 /((1 + Gap_L/Km_g3pd_Gap_L)*(1 + Nadh_L/ Km_g3pd_Nadh_L) + (1+ Glycp_L/Km_g3pd_Glycp_L)* (1+ Nad_L/Km_g3pd_Nad_L) -1 );
v_boxid_FFA_L = hill(FFA_L, Vmax_boxid_FFA_L, Km_boxid_FFA_L, 1)*hill(Atp_L, 1, Km_boxid_Atp_L, 1)...
                * hill_inh(Accoa_LM, 1, Ki_boxid_Accoa_LM,1) * hill_inh(Malcoa_L, 1, Ki_boxid_Malcoa_L,1)...
                *hill(Nad_L, 1, Km_boxid_Nad_L, 1)*hill(Fad_L, 1, Km_boxid_Fad_L, 1);
v_glyct_Glyc_B_L = diff(Glyc_B, Glyc_L, Vdif_glyct_Glyc_B_L, Kdif_glyct_Glyc_B_L, Kdif_glyct_Glyc_L); 
v_accoat_Accoa_LM_LC 	=  hill(Accoa_LM, Vmax_accoat_Accoa_LM_LC, Km_accoat_Accoa_LM, 1) ...
            * hill(Atp_L, 1, Km_accoat_Atp_L, 1) * hill(Pyr_L, 1, Km_accoat_Pyr_L, 1) ;	
v_bhbsyn_Accoa_LM 	=  hill(Accoa_LM, Vmax_bhbsyn_Accoa_LM, Km_bhbsyn_Accoa_LM, 1) * hill(Nadh_L, 1, Km_bhbsyn_Nadh_L, 1) ...
                       * hill_inh(Pyr_L, 1, Ki_bhbsyn_Pyr_L, n_bhbsyn_Pyr_L);
v_bhbdeg_Bhb_LM = 0;
v_bhbt_Bhb_B_L	=  diff(Bhb_B, Bhb_L, Vdif_bhbt_Bhb_B_L, Kdif_bhbt_Bhb_B_L, Kdif_bhbt_Bhb_L) ;
v_lipog1_Accoa_LC 	=  hill(Accoa_LC, Vmax_lipog1_Accoa_LC, Km_lipog1_Accoa_LC, 1) * hill(Atp_L, 1, Km_lipog1_Atp_L, 1) ;	
v_lipog2_Malcoa_L	=  hill(Malcoa_L, Vmax_lipog2_Malcoa_L, Km_lipog2_Malcoa_L, 1) * hill(Adp_L, 1, Km_lipog2_Adp_L, 1) * hill(Nadph_L, 1, Km_lipog2_Nadph_L, 1) ;	
v_cholsyn1_Accoa_LC 	=  hill(Accoa_LC, Vmax_cholsyn1_Accoa_LC , Km_cholsyn1_Accoa_LC, 1) ;	

v_cholsyn2_Hmgcoa_L	=  hill(Hmgcoa_L, Vmax_cholsyn2_Hmgcoa_L , Km_cholsyn2_Hmgcoa_L, 1)...
    * hill(Atp_L, 1, Km_cholsyn2_Atp_L, 1)* hill(Fadh_L, 1, Km_cholsyn2_Fadh_L, 1)* hill(Nadph_L, 1, Km_cholsyn2_Nadph_L, 1) ;
v_cholt_Chol_B_L	=  -hill(Chol_L, Vmax_cholt_Chol_L, Km_cholt_Chol_L, 1);
v_atpsynf_Fadh_L	=  hill(Fadh_L, Vmax_atpsynf_Fadh_L, Km_atpsynf_Fadh_L, 1)*hill(Adp_L, 1, Km_atpsynf_Adp_L, 1) ;	
v_atpsynn_Nadh_L	=  hill(Nadh_L, Vmax_atpsynn_Nadh_L, Km_atpsynn_Nadh_L, 1)*hill(Adp_L, 1, Km_atpsynn_Adp_L, 1)  ;

v_nadhk_Nadh_L	= hill(Nadh_L, Vmax_nadhk_Nadh_L, Km_nadhk_Nadh_L, 1)*hill(Atp_L, 1, Km_nadhk_Atp_L, 1);
v_atpuse_Atp_L	=  hill(Atp_L, Vmax_atpuse_Atp_L, Km_atpuse_Atp_L, 1) ;	
v_utpuse_Utp_L	=  hill(Utp_L, Vmax_utpuse_Utp_L, Km_utpuse_Utp_L, 1) ;
v_gtpuse_Gtp_L	=  hill(Gtp_L, Vmax_gtpuse_Gtp_L, Km_gtpuse_Gtp_L, 1) ;
v_nadhuse_Nadh_L =  hill(Nadh_L, Vmax_nadhuse_Nadh_L, Km_nadhuse_Nadh_L, 1); 
v_nadphuse_Nadph_L	=  hill(Nadph_L, Vmax_nadphuse_Nadph_L, Km_nadphuse_Nadph_L, 1) ;
v_fadhuse_Fadh_L	=  hill(Fadh_L, Vmax_fadhuse_Fadh_L, Km_fadhuse_Fadh_L, 1) ;

v_ampreg_Amp_L = hill(Atp_L, Vmax_ampreg_Amp_L, Km_ampreg_Atp_L,1)...
 * hill(Amp_L, 1, Km_ampreg_Amp_L,1) - hill(Adp_L, Vmax_ampreg_Amp_L, Km_ampreg_Adp_L,1)* hill(Adp_L, 1, Km_ampreg_Adp_L,1);
v_gdpreg_Gdp_L = Vmax_gdpreg_Gdp_L*(Atp_L*Gdp_L - Adp_L*Gtp_L/Keq_gdpreg_Gtp_L)...
 /((1+ Atp_L/Km_gdpreg_Atp_L)*(1+ Gdp_L/Km_gdpreg_Gdp_L) + (1+ Adp_L/Km_gdpreg_Adp_L)*(1+ Gtp_L/Km_gdpreg_Gtp_L) -1);
v_udpreg_Udp_L = Vmax_udpreg_Udp_L*(Atp_L*Udp_L - Adp_L*Utp_L/Keq_udpreg_Utp_L)...
 /((1+ Atp_L/Km_udpreg_Atp_L)*(1+ Udp_L/Km_udpreg_Udp_L) + (1+ Adp_L/Km_udpreg_Adp_L)*(1+ Utp_L/Km_udpreg_Utp_L) -1);
v_ck_Cre_L = Vmax_ck_Cre_L* (Cre_L*Atp_L - Crep_L*Adp_L/Keq_ck_Crep_L) ...
/((1 + Atp_L/Km_ck_Atp_L)*(1 + Cre_L/Km_ck_Cre_L) + (1+Crep_L/Km_ck_Crep_L)*(1+Adp_L/Km_ck_Adp_L) - 1);
v_ck_for_Cre_L = Vmax_ck_Cre_L* (Cre_L*Atp_L)/((1 + Atp_L/Km_ck_Atp_L)*(1 + Cre_L/Km_ck_Cre_L) + (1+Crep_L/Km_ck_Crep_L)*(1+Adp_L/Km_ck_Adp_L) - 1);
v_ck_bac_Crep_L = Vmax_ck_Cre_L* (Crep_L*Adp_L/Keq_ck_Crep_L)/((1 + Atp_L/Km_ck_Atp_L)*(1 + Cre_L/Km_ck_Cre_L) + (1+Crep_L/Km_ck_Crep_L)*(1+Adp_L/Km_ck_Adp_L) - 1);

%fin_organ_flux	

%flux_muscle
alpha_M = alpha_base_M + alpha_band_M *  hill(Ins_B, 1, Km_Ins_B_M, n_Ins_B_M) ;
%begin_organ_flux		
v_glut4_Glc_B_M	=  alpha_M *diff(Glc_B, Glc_M, Vdif_glut4_Glc_B_M, Kdif_glut4_Glc_B_M, Kdif_glut4_Glc_M);
v_hk_Glc_M = Vmax_hk_Glc_M *Glc_M/(Glc_M +Km_hk_Glc_M*(1 +G6p_M/Ki_hk_G6p_M))*Atp_M/(Atp_M + Km_hk_Atp_M*(1 +G6p_M/Ki_hk_Atp_M));
v_g6pase_G6p_M	=  0 ;
v_ppp_G6p_M = 0;
v_gs_G6p_M   =     alpha_M * hill(G6p_M,  Vmax_gs_G6p_M, Km_gs_G6p_M, n_gs_G6p_M) *hill(Glygn_M_max-Glygn_M, 1, Km_gs_Glygn_M, 1) * hill(Utp_M, 1,Km_gs_Utp_M,1);% 
v_gd_Glygn_M =  hill(Glygn_M, Vmax_gd_Glygn_M, Km_gd_Glygn_M, 1)*hill(Phos_M, 1, Km_gd_Phos_M, 1);
v_pfk_G6p_M  =  hill(G6p_M, Vmax_pfk_G6p_M, Km_pfk_G6p_M, 1)* hill(Atp_M, 1, Km_pfk_Atp_M,1) ...
  * hill_inh(Atp_M, 1, Ki_pfk_Atp_M,1)*hill(Adp_M, 1, Km_pfk_Adp_M,1)...
  *(1 - hill(Gap_M, b_pfk_Gap_M, Ki_pfk_Gap_M,1));
v_fbp_Gap_M	 = 0;
v_pk_Gap_M	 = alpha_M * hill(Gap_M, Vmax_pk_Gap_M, Km_pk_Gap_M, 1)*(1 - hill(Accoa_MM, b_pk_Accoa_MM, Ki_pk_Accoa_MM, 1)) *hill(Adp_M, 1, Km_pk_Adp_M, 1);
v_pepck_Pyr_M = 0;
v_pyrt_Pyr_B_M	=  diff(Pyr_B, Pyr_M, Vdif_pyrt_Pyr_B_M, Kdif_pyrt_Pyr_B_M, Kdif_pyrt_Pyr_M);
v_lact_Lac_B_M    = diff(Lac_B, Lac_M, Vdif_lact_Lac_B_M, Kdif_lact_Lac_B_M, Kdif_lact_Lac_M);
v_ldh_Pyr_M     = Vmax_ldh_Pyr_M* (Pyr_M*Nadh_M - Lac_M*Nad_M/Keq_ldh_Lac_M)/((1 +Nadh_M/Km_ldh_Nadh_M)*(1+Pyr_M/Km_ldh_Pyr_M)+(1+Lac_M/Km_ldh_Lac_M)*(1+Nad_M/Km_ldh_Nad_M) -1);
v_alat_Ala_B_M	=  diff(Ala_B, Ala_M, Vdif_alat_Ala_B_M, Kdif_alat_Ala_B_M, Kdif_alat_Ala_M);
v_alata_Pyr_M	=  Vmax_alata_Pyr_M* (Pyr_M - Ala_M/Keq_alata_Ala_M)/((1+Pyr_M/Km_alata_Pyr_M)+(1+Ala_M/Km_alata_Ala_M) -1);
v_pdh_Pyr_M  =  hill(Pyr_M, Vmax_pdh_Pyr_M, Km_pdh_Pyr_M, 1) * hill(Nad_M, 1, Km_pdh_Nad_M, 1)* hill_inh(Accoa_MM, 1, Ki_pdh_Accoa_MM, 1) ; 
v_tca_Accoa_MM = hill(Accoa_MM, Vmax_tca_Accoa_MM, Km_tca_Accoa_MM,1)*hill(Adp_M,1, Km_tca_Adp_M, 1)...
        * hill(Phos_M, 1, Km_tca_Phos_M, 1) * hill(Pyr_M, 1, Km_tca_Pyr_M, 1)...
        * hill(Nad_M, 1, Km_tca_Nad_M, 1) * hill(Fad_M, 1, Km_tca_Fad_M, 1);
 v_ffat_FFA_B_M_d = diff(FFA_B, FFA_M, Vdif_ffat_FFA_B_M,  Kdif_ffat_FFA_B_M,  Kdif_ffat_FFA_M);
 v_ffat_FFA_B_M_a = 0; 
v_ffat_FFA_B_M= v_ffat_FFA_B_M_d + v_ffat_FFA_B_M_a;
v_tgsyn_FFA_M = hill(FFA_M, Vmax_tgsyn_FFA_M, Km_tgsyn_FFA_M, 1)*hill(Glycp_M,1,Km_tgsyn_Glycp_M,1)*hill(TG_M_max-TG_M, 1, Km_tgsyn_TG_M, 1)*hill(Atp_M, 1, Km_tgsyn_Atp_M,1);
v_tgdeg_TG_M  = hill(TG_M, Vmax_tgdeg_TG_M, Km_tgdeg_TG_M, 1);
v_glyk_Glyc_M = hill(Glyc_M, Vmax_glyk_Glyc_M, Km_glyk_Glyc_M*(1+Gap_M/Ki_glyk_Gap_M),1)*hill(Atp_M,1,Km_glyk_Glyc_M,1);      
v_tgt_TG_B_M_d = Vdif_tgt_TG_B_M*(TG_B - TG_M/Keq_tgt_TG_M)/(Kdif_tgt_TG_B_M + TG_B + TG_M/Keq_tgt_TG_M);
 v_tgt_TG_B_M_a = alpha_M * hill(TG_B, Vmax_tgt_TG_B_M, Km_tgt_TG_M, 1);
v_g3pd_Gap_M = Vmax_g3pd_Gap_M*(Gap_M*Nadh_M - Glycp_M*Nad_M/Keq_g3pd_Glycp_M)...
 /((1 + Gap_M/Km_g3pd_Gap_M)*(1 + Nadh_M/ Km_g3pd_Nadh_M) + (1+ Glycp_M/Km_g3pd_Glycp_M)* (1+ Nad_M/Km_g3pd_Nad_M) -1 );
v_tgt_TG_B_M    = v_tgt_TG_B_M_d + v_tgt_TG_B_M_a;
v_boxid_FFA_M = hill(FFA_M, Vmax_boxid_FFA_M, Km_boxid_FFA_M, 1)*hill(Atp_M, 1, Km_boxid_Atp_M, 1)...
                * hill_inh(Accoa_MM, 1, Ki_boxid_Accoa_MM,1) ...
                *hill(Nad_M, 1, Km_boxid_Nad_M, 1)*hill(Fad_M, 1, Km_boxid_Fad_M, 1);    
v_glyct_Glyc_B_M = diff(Glyc_B, Glyc_M, Vdif_glyct_Glyc_B_M, Kdif_glyct_Glyc_B_M, Kdif_glyct_Glyc_M); 
v_accoat_Accoa_MM_MC 	= 0 ;	
v_bhbsyn_Accoa_MM 	= 0;
v_bhbdeg_Bhb_MM = 0;
v_bhbt_Bhb_B_M	= 0;
v_lipog1_Accoa_MC 	=  0;	
v_lipog2_Malcoa_M	=  0;	
v_cholsyn1_Accoa_MC 	=  0;	
v_cholsyn2_Hmgcoa_M	=  0;	
v_cholt_Chol_B_M	=  0;

v_atpsynf_Fadh_M	=  hill(Fadh_M, Vmax_atpsynf_Fadh_M, Km_atpsynf_Fadh_M, 1)*hill(Adp_M, 1, Km_atpsynf_Adp_M, 1) ;	
v_atpsynn_Nadh_M	=  hill(Nadh_M, Vmax_atpsynn_Nadh_M, Km_atpsynn_Nadh_M, 1)*hill(Adp_M, 1, Km_atpsynn_Adp_M, 1)  ;
v_nadhk_Nadh_M	= 0;
v_ampreg_Amp_M = hill(Atp_M, Vmax_ampreg_Amp_M, Km_ampreg_Atp_M,1)...
 * hill(Amp_M, 1, Km_ampreg_Amp_M,1) - hill(Adp_M, Vmax_ampreg_Amp_M, Km_ampreg_Adp_M,1)* hill(Adp_M, 1, Km_ampreg_Adp_M,1);
v_gdpreg_Gdp_M = 0;
v_udpreg_Udp_M = Vmax_udpreg_Udp_M*(Atp_M*Udp_M - Adp_M*Utp_M/Keq_udpreg_Utp_M)...
 /((1+ Atp_M/Km_udpreg_Atp_M)*(1+ Udp_M/Km_udpreg_Udp_M) + (1+ Adp_M/Km_udpreg_Adp_M)*(1+ Utp_M/Km_udpreg_Utp_M) -1);
v_atpuse_Atp_M	=  hill(Atp_M, Vmax_atpuse_Atp_M, Km_atpuse_Atp_M, 1) ;	
v_utpuse_Utp_M	=  hill(Utp_M, Vmax_utpuse_Utp_M, Km_utpuse_Utp_M, 1) ;
v_gtpuse_Gtp_M	=  hill(Gtp_M, Vmax_gtpuse_Gtp_M, Km_gtpuse_Gtp_M, 1) ;
v_nadhuse_Nadh_M =  hill(Nadh_M, Vmax_nadhuse_Nadh_M, Km_nadhuse_Nadh_M, 1); 
v_nadphuse_Nadph_M	= hill(Nadph_M, Vmax_nadphuse_Nadph_M, Km_nadphuse_Nadph_M, 1) ;
v_fadhuse_Fadh_M	= hill(Fadh_M, Vmax_fadhuse_Fadh_M, Km_fadhuse_Fadh_M, 1) ;
v_ck_Cre_M = Vmax_ck_Cre_M* (Cre_M*Atp_M - Crep_M*Adp_M/Keq_ck_Crep_M)/((1 + Atp_M/Km_ck_Atp_M)*(1 + Cre_M/Km_ck_Cre_M) + (1+Crep_M/Km_ck_Crep_M)*(1+Adp_M/Km_ck_Adp_M) - 1);
v_ck_for_Cre_M = Vmax_ck_Cre_M* (Cre_M*Atp_M)/((1 + Atp_M/Km_ck_Atp_M)*(1 + Cre_M/Km_ck_Cre_M) + (1+Crep_M/Km_ck_Crep_M)*(1+Adp_M/Km_ck_Adp_M) - 1);
v_ck_bac_Crep_M = Vmax_ck_Cre_M* (Crep_M*Adp_M/Keq_ck_Crep_M)/((1 + Atp_M/Km_ck_Atp_M)*(1 + Cre_M/Km_ck_Cre_M) + (1+Crep_M/Km_ck_Crep_M)*(1+Adp_M/Km_ck_Adp_M) - 1);


%fin_organ_flux

%flux_adipose
alpha_A = alpha_base_A + alpha_band_A *  hill(Ins_B, 1, Km_Ins_B_A, n_Ins_B_A) ;
%begin_organ_flux		
v_glut4_Glc_B_A	=  alpha_A * diff(Glc_B, Glc_A, Vdif_glut4_Glc_B_A, Kdif_glut4_Glc_B_A, Kdif_glut4_Glc_A);
v_hk_Glc_A = Vmax_hk_Glc_A *Glc_A/(Glc_A +Km_hk_Glc_A*(1 +G6p_A/Ki_hk_G6p_A))*Atp_A/(Atp_A + Km_hk_Atp_A*(1 +G6p_A/Ki_hk_Atp_A));
v_g6pase_G6p_A	= 0;
v_ppp_G6p_A = 0;
v_gs_G6p_A   = 0;
v_gd_Glygn_A = 0;
v_pfk_G6p_A  =  alpha_A * hill(G6p_A, Vmax_pfk_G6p_A, Km_pfk_G6p_A, 1)* hill(Atp_A, 1, Km_pfk_Atp_A,1) ...
  * hill_inh(Atp_A, 1, Ki_pfk_Atp_A,1)*hill(Adp_A, 1, Km_pfk_Adp_A,1)...
  *(1 - hill(Gap_A, b_pfk_Gap_A, Ki_pfk_Gap_A,1));
v_fbp_Gap_A	 = 0;
v_pk_Gap_A	 = hill(Gap_A, Vmax_pk_Gap_A, Km_pk_Gap_A, 1)*(1 - hill(Accoa_AM, b_pk_Accoa_AM, Ki_pk_Accoa_AM, 1)) *hill(Adp_A, 1, Km_pk_Adp_A, 1);
v_pepck_Pyr_A= 0;
v_pyrt_Pyr_B_A	=  0;
v_lact_Lac_B_A    = diff(Lac_B, Lac_A, Vdif_lact_Lac_B_A, Kdif_lact_Lac_B_A, Kdif_lact_Lac_A);
v_ldh_Pyr_A     = Vmax_ldh_Pyr_A* (Pyr_A*Nadh_A - Lac_A*Nad_A/Keq_ldh_Lac_A)/((1 +Nadh_A/Km_ldh_Nadh_A)*(1+Pyr_A/Km_ldh_Pyr_A)+(1+Lac_A/Km_ldh_Lac_A)*(1+Nad_A/Km_ldh_Nad_A) -1);
v_alat_Ala_B_A	=  0;
v_alata_Pyr_A	=  0;
v_pdh_Pyr_A  =  hill(Pyr_A, Vmax_pdh_Pyr_A, Km_pdh_Pyr_A, 1) * hill(Nad_A, 1, Km_pdh_Nad_A, 1)* hill_inh(Accoa_AM, 1, Ki_pdh_Accoa_AM, 1) ; 
v_tca_Accoa_AM = hill(Accoa_AM, Vmax_tca_Accoa_AM, Km_tca_Accoa_AM,1)*hill(Adp_A,1, Km_tca_Adp_A, 1)...
        * hill(Phos_A, 1, Km_tca_Phos_A, 1) * hill(Pyr_A, 1, Km_tca_Pyr_A, 1)...
        * hill(Nad_A, 1, Km_tca_Nad_A, 1) * hill(Fad_A, 1, Km_tca_Fad_A, 1);
    
 v_ffat_FFA_B_A_d = diff(FFA_B, FFA_A, Vdif_ffat_FFA_B_A,  Kdif_ffat_FFA_B_A,  Kdif_ffat_FFA_A);
%note
 v_ffat_FFA_B_A_a = -hill(FFA_A, Vmax_ffat_FFA_B_A, Km_ffat_FFA_B_A, 1);
v_ffat_FFA_B_A= v_ffat_FFA_B_A_d + v_ffat_FFA_B_A_a;
v_tgsyn_FFA_A = alpha_A * hill(FFA_A, Vmax_tgsyn_FFA_A, Km_tgsyn_FFA_A, 1)*hill(Glycp_A,1,Km_tgsyn_Glycp_A,1)*hill(TG_A_max-TG_A, 1, Km_tgsyn_TG_A,1)*hill(Atp_A, 1, Km_tgsyn_Atp_A,1);
v_tgdeg_TG_A  = (1-alpha_A) * hill(TG_A, Vmax_tgdeg_TG_A, Km_tgdeg_TG_A, 1);
v_glyct_Glyc_B_A = diff(Glyc_B, Glyc_A, Vdif_glyct_Glyc_B_A, Kdif_glyct_Glyc_B_A, Kdif_glyct_Glyc_A); 
v_glyk_Glyc_A = 0;
v_g3pd_Gap_A = Vmax_g3pd_Gap_A*(Gap_A*Nadh_A - Glycp_A*Nad_A/Keq_g3pd_Glycp_A)...
 /((1 + Gap_A/Km_g3pd_Gap_A)*(1 + Nadh_A/ Km_g3pd_Nadh_A) + (1+ Glycp_A/Km_g3pd_Glycp_A)* (1+ Nad_A/Km_g3pd_Nad_A) -1 );
v_tgt_TG_B_A_d = alpha_A*Vdif_tgt_TG_B_A*(TG_B - TG_A/Keq_tgt_TG_A)/(Kdif_tgt_TG_B_A + TG_B + TG_A/Keq_tgt_TG_A);
 v_tgt_TG_B_A_a = alpha_A*hill(TG_B, Vmax_tgt_TG_B_A, Km_tgt_TG_A, 1); 
v_tgt_TG_B_A    = v_tgt_TG_B_A_d + v_tgt_TG_B_A_a;
v_boxid_FFA_A = hill(FFA_A, Vmax_boxid_FFA_A, Km_boxid_FFA_A, 1)*hill(Atp_A, 2, Km_boxid_Atp_A, 1)...
                * hill_inh(Accoa_AM, 1, Ki_boxid_Accoa_AM,1)...
                *hill(Nad_A, 1, Km_boxid_Nad_A, 1)*hill(Fad_A, 1, Km_boxid_Fad_A, 1);
v_accoat_Accoa_AM_AC 	= 0;
v_bhbsyn_Accoa_AM 	= 0;
v_bhbdeg_Bhb_AM	= 0; 
v_bhbt_Bhb_B_A	=  0;
v_lipog1_Accoa_AC 	= 0;
v_lipog2_Malcoa_A	= 0;	
v_cholsyn1_Accoa_AC 	= 0;	
v_cholsyn2_Hmgcoa_A	= 0;
v_cholt_Chol_B_A	= 0;

v_atpsynf_Fadh_A	=  hill(Fadh_A, Vmax_atpsynf_Fadh_A, Km_atpsynf_Fadh_A, 1)*hill(Adp_A, 1, Km_atpsynf_Adp_A, 1) ;	
v_atpsynn_Nadh_A	=  hill(Nadh_A, Vmax_atpsynn_Nadh_A, Km_atpsynn_Nadh_A, 1)*hill(Adp_A, 1, Km_atpsynn_Adp_A, 1)  ;
v_nadhk_Nadh_A	= 0;
v_ampreg_Amp_A = hill(Atp_A, Vmax_ampreg_Amp_A, Km_ampreg_Atp_A,1)...
 * hill(Amp_A, 1, Km_ampreg_Amp_A,1) - hill(Adp_A, Vmax_ampreg_Amp_A, Km_ampreg_Adp_A,1)* hill(Adp_A, 1, Km_ampreg_Adp_A,1);
v_gdpreg_Gdp_A	= 0;
v_udpreg_Udp_A	= 0;
v_utpuse_Utp_A	= 0;
v_atpuse_Atp_A	=  hill(Atp_A, Vmax_atpuse_Atp_A, Km_atpuse_Atp_A, 1) ;	
v_gtpuse_Gtp_A	= 0;
v_nadhuse_Nadh_A =  hill(Nadh_A, Vmax_nadhuse_Nadh_A, Km_nadhuse_Nadh_A, 1); 
v_nadphuse_Nadph_A	=  hill(Nadph_A, Vmax_nadphuse_Nadph_A, Km_nadphuse_Nadph_A, 1) ;
v_fadhuse_Fadh_A	=  hill(Fadh_A, Vmax_fadhuse_Fadh_A, Km_fadhuse_Fadh_A, 1) ;

v_ck_Cre_A =0;
v_ck_for_Cre_A	= 0;
v_ck_bac_Crep_A	= 0;

%fin_organ_flux	

%flux_heart
alpha_H = alpha_base_H + alpha_band_H *  hill(Ins_B, 1, Km_Ins_B_H, n_Ins_B_H) ;
%begin_organ_flux		
v_glut2_Glc_B_H	=  diff(Glc_B, Glc_H, Vdif_glut2_Glc_B_H, Kdif_glut2_Glc_B_H, Kdif_glut2_Glc_H);
v_hk_Glc_H = Vmax_hk_Glc_H *Glc_H/(Glc_H +Km_hk_Glc_H*(1 +G6p_H/Ki_hk_G6p_H))*Atp_H/(Atp_H + Km_hk_Atp_H*(1 +G6p_H/Ki_hk_Atp_H));
v_g6pase_G6p_H	=  0;
v_ppp_G6p_H = 0;
v_gs_G6p_H   =     alpha_H * hill(G6p_H,  Vmax_gs_G6p_H, Km_gs_G6p_H, n_gs_G6p_H) *hill(Glygn_H_max-Glygn_H, 1, Km_gs_Glygn_H, 1) * hill(Utp_H, 1,Km_gs_Utp_H,1);% 
v_gd_Glygn_H = (1-alpha_H) * hill(Glygn_H, Vmax_gd_Glygn_H, Km_gd_Glygn_H, 1)*hill(Phos_H, 1, Km_gd_Phos_H, 1);
v_pfk_G6p_H  =  hill(G6p_H, Vmax_pfk_G6p_H, Km_pfk_G6p_H, 1)* hill(Atp_H, 1, Km_pfk_Atp_H,1) ...
  * hill_inh(Atp_H, 1, Ki_pfk_Atp_H,1)*hill(Adp_H, 1, Km_pfk_Adp_H,1)...
  *(1 - hill(Gap_H, b_pfk_Gap_H, Ki_pfk_Gap_H,1));
v_fbp_Gap_H	 = 0;
v_pk_Gap_H	 = alpha_H * hill(Gap_H, Vmax_pk_Gap_H, Km_pk_Gap_H, 1)*(1 - hill(Accoa_HM, b_pk_Accoa_HM, Ki_pk_Accoa_HM, 1)) *hill(Adp_H, 1, Km_pk_Adp_H, 1);
v_pepck_Pyr_H = 0;
v_pyrt_Pyr_B_H	=  0;
v_lact_Lac_B_H    = diff(Lac_B, Lac_H, Vdif_lact_Lac_B_H, Kdif_lact_Lac_B_H, Kdif_lact_Lac_H);
v_ldh_Pyr_H     = Vmax_ldh_Pyr_H* (Pyr_H*Nadh_H - Lac_H*Nad_H/Keq_ldh_Lac_H)/((1 +Nadh_H/Km_ldh_Nadh_H)*(1+Pyr_H/Km_ldh_Pyr_H)+(1+Lac_H/Km_ldh_Lac_H)*(1+Nad_H/Km_ldh_Nad_H) -1);
v_alat_Ala_B_H	= 0;
v_alata_Pyr_H	= 0;
v_pdh_Pyr_H  =  hill(Pyr_H, Vmax_pdh_Pyr_H, Km_pdh_Pyr_H, 1) * hill(Nad_H, 1, Km_pdh_Nad_H, 1)* hill_inh(Accoa_HM, 1, Ki_pdh_Accoa_HM, 1) ; 
v_tca_Accoa_HM = hill(Accoa_HM, Vmax_tca_Accoa_HM, Km_tca_Accoa_HM,1)*hill(Adp_H,1, Km_tca_Adp_H, 1)...
        * hill(Phos_H, 1, Km_tca_Phos_H, 1) * hill(Pyr_H, 1, Km_tca_Pyr_H, 1)...
        * hill(Nad_H, 1, Km_tca_Nad_H, 1) * hill(Fad_H, 1, Km_tca_Fad_H, 1);
      
v_ffat_FFA_B_H_d = diff(FFA_B, FFA_H, Vdif_ffat_FFA_B_H,  Kdif_ffat_FFA_B_H,  Kdif_ffat_FFA_H);
v_ffat_FFA_B_H_a = hill(FFA_B, Vmax_ffat_FFA_B_H, Km_ffat_FFA_B_H, 1);
v_ffat_FFA_B_H= v_ffat_FFA_B_H_d + v_ffat_FFA_B_H_a;
v_tgsyn_FFA_H = hill(FFA_H, Vmax_tgsyn_FFA_H, Km_tgsyn_FFA_H, 1)*hill(Glycp_H,1,Km_tgsyn_Glycp_H,1)*hill(Atp_H,1,Km_tgsyn_Atp_H,1);
v_tgdeg_TG_H  = hill(TG_H, Vmax_tgdeg_TG_H, Km_tgdeg_TG_H, 1);
v_glyk_Glyc_H = hill(Glyc_H, Vmax_glyk_Glyc_H, Km_glyk_Glyc_H*(1+Gap_H/Ki_glyk_Gap_H), 1)*hill(Atp_H,1,Km_glyk_Atp_H,1);
 v_tgt_TG_B_H_d = 0;
 v_tgt_TG_B_H_a = 0;
v_tgt_TG_B_H    = v_tgt_TG_B_H_d + v_tgt_TG_B_H_a;
v_g3pd_Gap_H  = 0;
v_boxid_FFA_H = hill(FFA_H, Vmax_boxid_FFA_H, Km_boxid_FFA_H, 1)*hill(Atp_H, 1, Km_boxid_Atp_H, 1)...
                * hill_inh(Accoa_HM, 1, Ki_boxid_Accoa_HM,1) * hill_inh(Malcoa_H, 1, Ki_boxid_Malcoa_H,1)...
                *hill(Nad_H, 1, Km_boxid_Nad_H, 1)*hill(Fad_H, 1, Km_boxid_Fad_H, 1);
v_glyct_Glyc_B_H = diff(Glyc_B, Glyc_H, Vdif_glyct_Glyc_B_H, Kdif_glyct_Glyc_B_H, Kdif_glyct_Glyc_H); 
v_accoat_Accoa_HM_HC =  0;
v_lipog1_Accoa_HC 	= 0;	
v_lipog2_Malcoa_H	= 0;
v_cholsyn1_Accoa_HC = 0;	
v_cholsyn2_Hmgcoa_H	= 0;
v_cholt_Chol_B_H	= 0;
v_bhbsyn_Accoa_HM 	= 0;
v_bhbdeg_Bhb_HM 	= 0;
v_bhbt_Bhb_B_H	=  0;
v_atpsynf_Fadh_H	=  hill(Fadh_H, Vmax_atpsynf_Fadh_H, Km_atpsynf_Fadh_H, 1)*hill(Adp_H, 1, Km_atpsynf_Adp_H, 1) ;	
v_atpsynn_Nadh_H	=  hill(Nadh_H, Vmax_atpsynn_Nadh_H, Km_atpsynn_Nadh_H, 1)*hill(Adp_H, 1, Km_atpsynn_Adp_H, 1)  ;
v_nadhk_Nadh_H	= 0;
v_ampreg_Amp_H	=  hill(Amp_H, Vmax_ampreg_Amp_H, Km_ampreg_Amp_H, 1) * hill(Amp_H, 1, Km_ampreg_Atp_H, 1)...
    -hill(Adp_H, Vmax_ampreg_Amp_H, Km_ampreg_Adp_H,1)* hill(Adp_H, 1, Km_ampreg_Adp_H,1);
v_gdpreg_Gdp_H	=  0;
v_udpreg_Udp_H = Vmax_udpreg_Udp_H*(Atp_H*Udp_H - Adp_H*Utp_H/Keq_udpreg_Utp_H)...
/((1+ Atp_H/Km_udpreg_Atp_H)*(1+ Udp_H /Km_udpreg_Udp_H) + (1+ Adp_H /Km_udpreg_Adp_H)*(1+ Utp_H /Km_udpreg_Utp_H) -1);
v_atpuse_Atp_H	=  hill(Atp_H, Vmax_atpuse_Atp_H, Km_atpuse_Atp_H, 1) ;	
v_gtpuse_Gtp_H	=  hill(Gtp_H, Vmax_gtpuse_Gtp_H, Km_gtpuse_Gtp_H, 1) ;
v_utpuse_Utp_H	=  hill(Utp_H, Vmax_utpuse_Utp_H, Km_utpuse_Utp_H, 1) ;
v_nadhuse_Nadh_H =  hill(Nadh_H, Vmax_nadhuse_Nadh_H, Km_nadhuse_Nadh_H, 1); 
v_nadphuse_Nadph_H	=  hill(Nadph_H, Vmax_nadphuse_Nadph_H, Km_nadphuse_Nadph_H, 1) ;
v_fadhuse_Fadh_H	=  hill(Fadh_H, Vmax_fadhuse_Fadh_H, Km_fadhuse_Fadh_H, 1) ;
v_ck_Cre_H = Vmax_ck_Cre_H* (Cre_H*Atp_H - Crep_H*Adp_H/Keq_ck_Crep_H) ...
/((1 + Atp_H/Km_ck_Atp_H)*(1 + Cre_H/Km_ck_Cre_H) + (1+Crep_H/Km_ck_Crep_H)*(1+Adp_H/Km_ck_Adp_H) - 1);
v_ck_for_Cre_H = Vmax_ck_Cre_H* (Cre_H*Atp_H)/((1 + Atp_H/Km_ck_Atp_H)*(1 + Cre_H/Km_ck_Cre_H) + (1+Crep_H/Km_ck_Crep_H)*(1+Adp_H/Km_ck_Adp_H) - 1);
v_ck_bac_Crep_H = Vmax_ck_Cre_H* (Crep_H*Adp_H/Keq_ck_Crep_H)/((1 + Atp_H/Km_ck_Atp_H)*(1 + Cre_H/Km_ck_Cre_H) + (1+Crep_H/Km_ck_Crep_H)*(1+Adp_H/Km_ck_Adp_H) - 1);

%fin_organ_flux	

%flux_gi	
alpha_G = alpha_base_G + alpha_band_G *  hill(Ins_B, 1, Km_Ins_B_G, n_Ins_B_G) ;
%begin_organ_flux		
v_glut2_Glc_B_G	=  diff(Glc_B, Glc_G, Vdif_glut2_Glc_B_G, Kdif_glut2_Glc_B_G, Kdif_glut2_Glc_G);
v_hk_Glc_G = Vmax_hk_Glc_G *Glc_G/(Glc_G +Km_hk_Glc_G*(1 +G6p_G/Ki_hk_G6p_G))*Atp_G/(Atp_G + Km_hk_Atp_G*(1 +G6p_G/Ki_hk_Atp_G));
v_g6pase_G6p_G	=  0;
v_ppp_G6p_G = 0;
v_gs_G6p_G   = 0;
v_gd_Glygn_G = 0;
v_pfk_G6p_G  =  alpha_G * hill(G6p_G, Vmax_pfk_G6p_G, Km_pfk_G6p_G, 1)* hill(Atp_G, 1, Km_pfk_Atp_G,1) ...
  * hill_inh(Atp_G, 1, Ki_pfk_Atp_G,1)*hill(Adp_G, 1, Km_pfk_Adp_G,1)...
  *(1 - hill(Gap_G,b_pfk_Gap_G,Ki_pfk_Gap_G,1));  
v_fbp_Gap_G	 = 0;
v_pk_Gap_G	 = alpha_G * hill(Gap_G, Vmax_pk_Gap_G, Km_pk_Gap_G, 1)*(1 - hill(Accoa_GM, b_pk_Accoa_GM, Ki_pk_Accoa_GM, 1)) *hill(Adp_G, 1, Km_pk_Adp_G, 1);
v_pepck_Pyr_G    = 0;
v_pyrt_Pyr_B_G	=  0;
v_lact_Lac_B_G    = diff(Lac_B, Lac_G, Vdif_lact_Lac_B_G, Kdif_lact_Lac_B_G, Kdif_lact_Lac_G);
v_ldh_Pyr_G     = Vmax_ldh_Pyr_G* (Pyr_G*Nadh_G - Lac_G*Nad_G/Keq_ldh_Lac_G)/((1 +Nadh_G/Km_ldh_Nadh_G)*(1+Pyr_G/Km_ldh_Pyr_G)+(1+Lac_G/Km_ldh_Lac_G)*(1+Nad_G/Km_ldh_Nad_G) -1);
v_alat_Ala_B_G	=  0;
v_alata_Pyr_G	=  0;
v_pdh_Pyr_G  =  hill(Pyr_G, Vmax_pdh_Pyr_G, Km_pdh_Pyr_G, 1) * hill(Nad_G, 1, Km_pdh_Nad_G, 1) * hill_inh(Accoa_GM, 1, Ki_pdh_Accoa_GM, 1) ; 
v_tca_Accoa_GM = hill(Accoa_GM, Vmax_tca_Accoa_GM, Km_tca_Accoa_GM, 1)*hill(Adp_G,1, Km_tca_Adp_G, 1)...
    * hill(Phos_G, 1, Km_tca_Phos_G, 1) * hill(Pyr_G, 1, Km_tca_Pyr_G, 1)...
    * hill(Nad_G, 1, Km_tca_Nad_G, 1) * hill(Fad_G, 1, Km_tca_Fad_G, 1);
 v_ffat_FFA_B_G_d = diff(FFA_B, FFA_G, Vdif_ffat_FFA_B_G,  Kdif_ffat_FFA_B_G,  Kdif_ffat_FFA_G);
 v_ffat_FFA_B_G_a = hill(FFA_B, Vmax_ffat_FFA_B_G, Kdif_ffat_FFA_B_G, 1);
v_ffat_FFA_B_G= v_ffat_FFA_B_G_d + v_ffat_FFA_B_G_a;
v_tgsyn_FFA_G = alpha_G * hill(FFA_G, Vmax_tgsyn_FFA_G, Km_tgsyn_FFA_G, 1)*hill(Glycp_G,1,Km_tgsyn_Glycp_G,1)*hill(TG_G_max-TG_G, 1, Km_tgsyn_TG_G,1)*hill(Atp_G,1,Km_tgsyn_Atp_G,1);
v_tgdeg_TG_G  = (1-alpha_G) * hill(TG_G, Vmax_tgdeg_TG_G, Km_tgdeg_TG_G, 1);
 v_tgt_TG_B_G_d =  Vdif_tgt_TG_B_G*(TG_B - TG_G/Keq_tgt_TG_G)/(Kdif_tgt_TG_B_G + TG_B + TG_G/Keq_tgt_TG_G);
 v_tgt_TG_B_G_a =  alpha_G *hill(TG_B, Vmax_tgt_TG_B_G, Km_tgt_TG_G, 1);
v_tgt_TG_B_G    = v_tgt_TG_B_G_d + v_tgt_TG_B_G_a;
v_glyk_Glyc_G = 0;
v_glyct_Glyc_B_G = diff(Glyc_B, Glyc_G, Vdif_glyct_Glyc_B_G, Kdif_glyct_Glyc_B_G, Kdif_glyct_Glyc_G);
v_g3pd_Gap_G = Vmax_g3pd_Gap_G*(Gap_G*Nadh_G - Glycp_G*Nad_G/Keq_g3pd_Glycp_G)...
 /((1 + Gap_G/Km_g3pd_Gap_G)*(1 + Nadh_G/ Km_g3pd_Nadh_G) + (1+ Glycp_G/Km_g3pd_Glycp_G)* (1+ Nad_G/Km_g3pd_Nad_G) -1 );
v_boxid_FFA_G = hill(FFA_G, Vmax_boxid_FFA_G, Km_boxid_FFA_G, 1)*hill(Atp_G, 1, Km_boxid_Atp_G, 1)...
                 * hill_inh(Accoa_GM, 1, Ki_boxid_Accoa_GM,1) * hill_inh(Malcoa_G, 1, Ki_boxid_Malcoa_G,1)...
                 * hill(Nad_G, 1, Km_boxid_Nad_G, 1) * hill(Fad_G, 1, Km_boxid_Fad_G, 1);
v_accoat_Accoa_GM_GC 	=  0 ;	
v_lipog1_Accoa_GC 	=  0 ;	
v_lipog2_Malcoa_G	=  0 ;	
v_cholsyn1_Accoa_GC =  0 ;	
v_cholsyn2_Hmgcoa_G	=  0 ;	
v_cholt_Chol_B_G	=  0;
v_bhbsyn_Accoa_GM 	=  0;
v_bhbdeg_Bhb_GM	= 0;
v_bhbt_Bhb_B_G	= 0 ;
v_atpsynn_Nadh_G	=  hill(Nadh_G, Vmax_atpsynn_Nadh_G, Km_atpsynn_Nadh_G, 1)*hill(Adp_G, 1, Km_atpsynn_Adp_G, 1) ;	
v_atpsynf_Fadh_G	=  hill(Fadh_G, Vmax_atpsynf_Fadh_G, Km_atpsynf_Fadh_G, 1)*hill(Adp_G, 1, Km_atpsynf_Adp_G, 1) ;
v_nadhk_Nadh_G	= 0;	
v_ampreg_Amp_G  = hill(Atp_G, Vmax_ampreg_Amp_G, Km_ampreg_Atp_G,1)* hill(Amp_G, 1, Km_ampreg_Amp_G,1) - hill(Adp_G, Vmax_ampreg_Amp_G, Km_ampreg_Adp_G,1)* hill(Adp_G, 1, Km_ampreg_Adp_G,1);
v_udpreg_Udp_G = Vmax_udpreg_Udp_G*(Atp_G*Udp_G - Adp_G*Utp_G/Keq_udpreg_Utp_G)/((1+ Atp_G/Km_udpreg_Atp_G)*(1+ Udp_G /Km_udpreg_Udp_G) + (1+ Adp_G /Km_udpreg_Adp_G)*(1+ Utp_G /Km_udpreg_Utp_G) -1);
v_gdpreg_Gdp_G = 0;
v_atpuse_Atp_G	=  hill(Atp_G, Vmax_atpuse_Atp_G, Km_atpuse_Atp_G, 1) ;	
v_utpuse_Utp_G	=  hill(Utp_G, Vmax_utpuse_Utp_G, Km_utpuse_Utp_G, 1) ;
v_gtpuse_Gtp_G	=  hill(Gtp_G, Vmax_gtpuse_Gtp_G, Km_gtpuse_Gtp_G, 1) ;
v_nadhuse_Nadh_G =  hill(Nadh_G, Vmax_nadhuse_Nadh_G, Km_nadhuse_Nadh_G, 1); 
v_nadphuse_Nadph_G	=  hill(Nadph_G, Vmax_nadphuse_Nadph_G, Km_nadphuse_Nadph_G, 1) ;
v_fadhuse_Fadh_G	=  hill(Fadh_G, Vmax_fadhuse_Fadh_G, Km_fadhuse_Fadh_G, 1) ;
v_ck_Cre_G = Vmax_ck_Cre_G* (Cre_G*Atp_G - Crep_G*Adp_G/Keq_ck_Crep_G)/((1 + Atp_G/Km_ck_Atp_G)*(1 + Cre_G/Km_ck_Cre_G) + (1+Crep_G/Km_ck_Crep_G)*(1+Adp_G/Km_ck_Adp_G) - 1);
v_ck_for_Cre_G  = Vmax_ck_Cre_G* (Cre_G*Atp_G)/((1 + Atp_G/Km_ck_Atp_G)*(1 + Cre_G/Km_ck_Cre_G) + (1+Crep_G/Km_ck_Crep_G)*(1+Adp_G/Km_ck_Adp_G) - 1);
v_ck_bac_Crep_G = Vmax_ck_Cre_G* (Crep_G*Adp_G/Keq_ck_Crep_G)/((1 + Atp_G/Km_ck_Atp_G)*(1 + Cre_G/Km_ck_Cre_G) + (1+Crep_G/Km_ck_Crep_G)*(1+Adp_G/Km_ck_Adp_G) - 1);

%fin_organ_flux

%flux_brain
alpha_N = alpha_base_N + alpha_band_N *  hill(Ins_B, 1, Km_Ins_B_N, n_Ins_B_N) ;
%begin_organ_flux		
v_glut3_Glc_B_N	=  diff(Glc_B, Glc_N, Vdif_glut3_Glc_B_N, Kdif_glut3_Glc_B_N , Kdif_glut3_Glc_N);
v_hk_Glc_N = Vmax_hk_Glc_N *Glc_N/(Glc_N +Km_hk_Glc_N*(1 +G6p_N/Ki_hk_G6p_N))*Atp_N/(Atp_N + Km_hk_Atp_N*(1 +G6p_N/Ki_hk_Atp_N));
v_g6pase_G6p_N	=  0; 
v_ppp_G6p_N = 0 ; 
v_gs_G6p_N   =   hill(G6p_N,  Vmax_gs_G6p_N, Km_gs_G6p_N, n_gs_G6p_N) *hill(Glygn_N_max-Glygn_N, 1, Km_gs_Glygn_N, 1) * hill(Utp_N, 1,Km_gs_Utp_N,1);% 
v_gd_Glygn_N = hill(Glygn_N, Vmax_gd_Glygn_N, Km_gd_Glygn_N, 1)*hill(Phos_N, 1, Km_gd_Phos_N, 1);
v_pfk_G6p_N  =  hill(G6p_N, Vmax_pfk_G6p_N, Km_pfk_G6p_N, 1)* hill(Atp_N, 1, Km_pfk_Atp_N,1) ...
  * hill_inh(Atp_N, 1, Ki_pfk_Atp_N,1)*hill(Adp_N, 1, Km_pfk_Adp_N,1)...
  *(1 - hill(Gap_N, b_pfk_Gap_N, Ki_pfk_Gap_N,1));
v_fbp_Gap_N	 = 0 ; 
v_pk_Gap_N	 = hill(Gap_N, Vmax_pk_Gap_N, Km_pk_Gap_N, 1)*(1 - hill(Accoa_NM, b_pk_Accoa_NM, Ki_pk_Accoa_NM, 1)) *hill(Adp_N, 1, Km_pk_Adp_N, 1);
v_pepck_Pyr_N = 0 ; 
v_pyrt_Pyr_B_N	=  0; 
v_lact_Lac_B_N  =  0;
v_ldh_Pyr_N     =  0;
v_alat_Ala_B_N	=  0;
v_alata_Pyr_N	=  0;
v_pdh_Pyr_N  =  hill(Pyr_N, Vmax_pdh_Pyr_N, Km_pdh_Pyr_N, 1) * hill(Nad_N, 1, Km_pdh_Nad_N, 1)* hill_inh(Accoa_NM, 1, Ki_pdh_Accoa_NM, 1) ; 
v_tca_Accoa_NM = hill(Accoa_NM, Vmax_tca_Accoa_NM, Km_tca_Accoa_NM,1)*hill(Adp_N,1, Km_tca_Adp_N, 1)...
        * hill(Phos_N, 1, Km_tca_Phos_N, 1) * hill(Pyr_N, 1, Km_tca_Pyr_N, 1)...
        * hill(Nad_N, 1, Km_tca_Nad_N, 1) * hill(Fad_N, 1, Km_tca_Fad_N, 1);
 v_ffat_FFA_B_N_d = 0 ; 
 v_ffat_FFA_B_N_a = 0 ;
v_ffat_FFA_B_N= 0 ; 
v_tgsyn_FFA_N = 0 ;
v_tgdeg_TG_N  = 0 ;

v_glyk_Glyc_N = 0 ; 
 v_tgt_TG_B_N_d = 0 ; 
 v_tgt_TG_B_N_a = 0 ;
v_tgt_TG_B_N    = 0 ; 
v_g3pd_Gap_N  = 0 ; 
v_boxid_FFA_N = 0 ;
v_glyct_Glyc_B_N = 0 ;  
%note Accoa_NM leak
v_accoat_Accoa_NM_NC 	= hill(Accoa_NM, Vmax_accoat_Accoa_NM_NC, Km_accoat_Accoa_NM, 1) * hill(Atp_N, 1, Km_accoat_Atp_N, 1) ;
v_lipog1_Accoa_NC 	=  0 ;
v_lipog2_Malcoa_N	=  0 ; 
v_cholsyn1_Accoa_NC 	=  0 ;
v_cholsyn2_Hmgcoa_N	=  0 ; 
v_cholt_Chol_B_N	=  0 ;
v_bhbsyn_Accoa_NM 	=  0 ; 
v_bhbdeg_Bhb_NM 	=  hill(Bhb_N, Vmax_bhbdeg_Bhb_N, Km_bhbdeg_Bhb_N, 1) * hill(Nad_N, 1, Km_bhbdeg_Nad_N, 1) * hill(Atp_N, 1, Km_bhbdeg_Atp_N, 1);
v_bhbt_Bhb_B_N	= diff(Bhb_B, Bhb_N, Vdif_bhbt_Bhb_B_N, Kdif_bhbt_Bhb_B_N, Kdif_bhbt_Bhb_N) ;

v_atpsynf_Fadh_N	=  hill(Fadh_N, Vmax_atpsynf_Fadh_N, Km_atpsynf_Fadh_N, 1)*hill(Adp_N, 1, Km_atpsynf_Adp_N, 1) ;	
v_atpsynn_Nadh_N	=  hill(Nadh_N, Vmax_atpsynn_Nadh_N, Km_atpsynn_Nadh_N, 1)*hill(Adp_N, 1, Km_atpsynn_Adp_N, 1)  ;
v_ampreg_Amp_N	=  0 ;
v_gdpreg_Gdp_N	=  0 ;
v_udpreg_Udp_N	=  hill(Udp_N, Vmax_udpreg_Udp_N, Km_udpreg_Udp_N, 1) * hill(Atp_N, 1, Km_udpreg_Atp_N, 1);
v_nadhk_Nadh_N	=  0 ;

v_atpuse_Atp_N	=  hill(Atp_N, Vmax_atpuse_Atp_N, Km_atpuse_Atp_N, 1) ;	
v_gtpuse_Gtp_N	=  0 ;
v_utpuse_Utp_N	=  hill(Utp_N, Vmax_utpuse_Utp_N, Km_utpuse_Utp_N, 1) ;
v_nadhuse_Nadh_N =  hill(Nadh_N, Vmax_nadhuse_Nadh_N, Km_nadhuse_Nadh_N, 1); 
v_nadphuse_Nadph_N	=  0 ;
v_fadhuse_Fadh_N	=  hill(Fadh_N, Vmax_fadhuse_Fadh_N, Km_fadhuse_Fadh_N, 1) ;

v_ck_Cre_N = Vmax_ck_Cre_N* (Cre_N*Atp_N - Crep_N*Adp_N/Keq_ck_Crep_N) ...
/((1 + Atp_N/Km_ck_Atp_N)*(1 + Cre_N/Km_ck_Cre_N) + (1+Crep_N/Km_ck_Crep_N)*(1+Adp_N/Km_ck_Adp_N) - 1);
v_ck_for_Cre_N = Vmax_ck_Cre_N* (Cre_N*Atp_N)/((1 + Atp_N/Km_ck_Atp_N)*(1 + Cre_N/Km_ck_Cre_N) + (1+Crep_N/Km_ck_Crep_N)*(1+Adp_N/Km_ck_Adp_N) - 1);
v_ck_bac_Crep_N = Vmax_ck_Cre_N* (Crep_N*Adp_N/Keq_ck_Crep_N)/((1 + Atp_N/Km_ck_Atp_N)*(1 + Cre_N/Km_ck_Cre_N) + (1+Crep_N/Km_ck_Crep_N)*(1+Adp_N/Km_ck_Adp_N) - 1);


%fin_organ_flux

%begin_f_v
flux(1)	=	v_feed_Glc_B ;
flux(2)	=	v_feed_TG_B  ;
flux(3)	=	v_inssyn_B;
flux(4)	=	v_inssyn_Glc_B ;
flux(5)	=	v_inssyn_FFA_B ;
flux(6)	=	v_insdeg_Ins_B ;
flux(7)	=	v_choluse_Chol_B;
flux(8)	=	alpha_L;
flux(9)	=	v_glut2_Glc_B_L;
flux(10)	=	v_gk_Glc_L;
flux(11)	=	v_g6pase_G6p_L;
flux(12)	=	v_ppp_G6p_L;
flux(13)	=	v_gs_G6p_L;
flux(14)	=	v_gd_Glygn_L;
flux(15)	=	v_pfk_G6p_L;
flux(16)	=	v_fbp_Gap_L;
flux(17)	=	v_pk_Gap_L;
flux(18)	=	v_pepck_Pyr_L ;
flux(19)	=	v_pyrt_Pyr_B_L;
flux(20)	=	v_lact_Lac_B_L;
flux(21)	=	v_ldh_Pyr_L ;
flux(22)	=	v_alat_Ala_B_L;
flux(23)	=	v_alata_Pyr_L ;
flux(24)	=	v_pdh_Pyr_L ;
flux(25)	=	v_tca_Accoa_LM ;
flux(26)	=	v_accoat_Accoa_LM_LC;
flux(27)	=	v_ffat_FFA_B_L;
flux(28)	=	v_ffat_FFA_B_L_d;
flux(29)	=	v_ffat_FFA_B_L_a ;
flux(30)	=	v_tgsyn_FFA_L;
flux(31)	=	v_tgdeg_TG_L;
flux(32)	=	v_glyct_Glyc_B_L;
flux(33)	=	v_glyk_Glyc_L;
flux(34)	=	v_tgt_TG_B_L;
flux(35)	=	v_tgt_TG_B_L_d;
flux(36)	=	v_tgt_TG_B_L_a;
flux(37)	=	v_g3pd_Gap_L;
flux(38)	=	v_boxid_FFA_L;
flux(39)	=	v_bhbsyn_Accoa_LM ;
flux(40)	=	v_bhbdeg_Bhb_LM ;
flux(41)	=	v_bhbt_Bhb_B_L;
flux(42)	=	v_lipog1_Accoa_LC ;
flux(43)	=	v_lipog2_Malcoa_L;
flux(44)	=	v_cholsyn1_Accoa_LC ;
flux(45)	=	v_cholsyn2_Hmgcoa_L;
flux(46)	=	v_cholt_Chol_B_L;
flux(47)	=	v_atpsynn_Nadh_L;
flux(48)	=	v_atpsynf_Fadh_L;
flux(49)	=	v_ampreg_Amp_L;
flux(50)	=	v_gdpreg_Gdp_L;
flux(51)	=	v_udpreg_Udp_L;
flux(52)	=	v_nadhk_Nadh_L;
flux(53)	=	v_atpuse_Atp_L;
flux(54)	=	v_gtpuse_Gtp_L;
flux(55)	=	v_utpuse_Utp_L;
flux(56)	=	v_nadhuse_Nadh_L;
flux(57)	=	v_nadphuse_Nadph_L;
flux(58)	=	v_fadhuse_Fadh_L;
flux(59)	=	v_ck_Cre_L;
flux(60)	=	v_ck_for_Cre_L;
flux(61)	=	v_ck_bac_Crep_L;
flux(62)	=	alpha_M;
flux(63)	=	v_glut4_Glc_B_M;
flux(64)	=	v_hk_Glc_M;
flux(65)	=	v_g6pase_G6p_M;
flux(66)	=	v_ppp_G6p_M;
flux(67)	=	v_gs_G6p_M;
flux(68)	=	v_gd_Glygn_M;
flux(69)	=	v_pfk_G6p_M;
flux(70)	=	v_fbp_Gap_M;
flux(71)	=	v_pk_Gap_M;
flux(72)	=	v_pepck_Pyr_M ;
flux(73)	=	v_pyrt_Pyr_B_M;
flux(74)	=	v_lact_Lac_B_M;
flux(75)	=	v_ldh_Pyr_M ;
flux(76)	=	v_alat_Ala_B_M;
flux(77)	=	v_alata_Pyr_M ;
flux(78)	=	v_pdh_Pyr_M ;
flux(79)	=	v_tca_Accoa_MM ;
flux(80)	=	v_accoat_Accoa_MM_MC;
flux(81)	=	v_ffat_FFA_B_M;
flux(82)	=	v_ffat_FFA_B_M_d;
flux(83)	=	v_ffat_FFA_B_M_a ;
flux(84)	=	v_tgsyn_FFA_M;
flux(85)	=	v_tgdeg_TG_M;
flux(86)	=	v_glyct_Glyc_B_M;
flux(87)	=	v_glyk_Glyc_M;
flux(88)	=	v_tgt_TG_B_M;
flux(89)	=	v_tgt_TG_B_M_d;
flux(90)	=	v_tgt_TG_B_M_a;
flux(91)	=	v_g3pd_Gap_M;
flux(92)	=	v_boxid_FFA_M;
flux(93)	=	v_bhbsyn_Accoa_MM ;
flux(94)	=	v_bhbdeg_Bhb_MM ;
flux(95)	=	v_bhbt_Bhb_B_M;
flux(96)	=	v_lipog1_Accoa_MC ;
flux(97)	=	v_lipog2_Malcoa_M;
flux(98)	=	v_cholsyn1_Accoa_MC ;
flux(99)	=	v_cholsyn2_Hmgcoa_M;
flux(100)	=	v_cholt_Chol_B_M;
flux(101)	=	v_atpsynn_Nadh_M;
flux(102)	=	v_atpsynf_Fadh_M;
flux(103)	=	v_ampreg_Amp_M;
flux(104)	=	v_gdpreg_Gdp_M;
flux(105)	=	v_udpreg_Udp_M;
flux(106)	=	v_nadhk_Nadh_M;
flux(107)	=	v_atpuse_Atp_M;
flux(108)	=	v_gtpuse_Gtp_M;
flux(109)	=	v_utpuse_Utp_M;
flux(110)	=	v_nadhuse_Nadh_M;
flux(111)	=	v_nadphuse_Nadph_M;
flux(112)	=	v_fadhuse_Fadh_M;
flux(113)	=	v_ck_Cre_M;
flux(114)	=	v_ck_for_Cre_M;
flux(115)	=	v_ck_bac_Crep_M;
flux(116)	=	alpha_A;
flux(117)	=	v_glut4_Glc_B_A;
flux(118)	=	v_hk_Glc_A;
flux(119)	=	v_g6pase_G6p_A;
flux(120)	=	v_ppp_G6p_A;
flux(121)	=	v_gs_G6p_A;
flux(122)	=	v_gd_Glygn_A;
flux(123)	=	v_pfk_G6p_A;
flux(124)	=	v_fbp_Gap_A;
flux(125)	=	v_pk_Gap_A;
flux(126)	=	v_pepck_Pyr_A ;
flux(127)	=	v_pyrt_Pyr_B_A;
flux(128)	=	v_lact_Lac_B_A;
flux(129)	=	v_ldh_Pyr_A ;
flux(130)	=	v_alat_Ala_B_A;
flux(131)	=	v_alata_Pyr_A ;
flux(132)	=	v_pdh_Pyr_A ;
flux(133)	=	v_tca_Accoa_AM ;
flux(134)	=	v_accoat_Accoa_AM_AC;
flux(135)	=	v_ffat_FFA_B_A;
flux(136)	=	v_ffat_FFA_B_A_d;
flux(137)	=	v_ffat_FFA_B_A_a ;
flux(138)	=	v_tgsyn_FFA_A;
flux(139)	=	v_tgdeg_TG_A;
flux(140)	=	v_glyct_Glyc_B_A;
flux(141)	=	v_glyk_Glyc_A;
flux(142)	=	v_tgt_TG_B_A;
flux(143)	=	v_tgt_TG_B_A_d;
flux(144)	=	v_tgt_TG_B_A_a;
flux(145)	=	v_g3pd_Gap_A;
flux(146)	=	v_boxid_FFA_A;
flux(147)	=	v_bhbsyn_Accoa_AM ;
flux(148)	=	v_bhbdeg_Bhb_AM ;
flux(149)	=	v_bhbt_Bhb_B_A;
flux(150)	=	v_lipog1_Accoa_AC ;
flux(151)	=	v_lipog2_Malcoa_A;
flux(152)	=	v_cholsyn1_Accoa_AC ;
flux(153)	=	v_cholsyn2_Hmgcoa_A;
flux(154)	=	v_cholt_Chol_B_A;
flux(155)	=	v_atpsynn_Nadh_A;
flux(156)	=	v_atpsynf_Fadh_A;
flux(157)	=	v_ampreg_Amp_A;
flux(158)	=	v_gdpreg_Gdp_A;
flux(159)	=	v_udpreg_Udp_A;
flux(160)	=	v_nadhk_Nadh_A;
flux(161)	=	v_atpuse_Atp_A;
flux(162)	=	v_gtpuse_Gtp_A;
flux(163)	=	v_utpuse_Utp_A;
flux(164)	=	v_nadhuse_Nadh_A;
flux(165)	=	v_nadphuse_Nadph_A;
flux(166)	=	v_fadhuse_Fadh_A;
flux(167)	=	v_ck_Cre_A;
flux(168)	=	v_ck_for_Cre_A;
flux(169)	=	v_ck_bac_Crep_A;
flux(170)	=	alpha_G;
flux(171)	=	v_glut2_Glc_B_G;
flux(172)	=	v_hk_Glc_G;
flux(173)	=	v_g6pase_G6p_G;
flux(174)	=	v_ppp_G6p_G;
flux(175)	=	v_gs_G6p_G;
flux(176)	=	v_gd_Glygn_G;
flux(177)	=	v_pfk_G6p_G;
flux(178)	=	v_fbp_Gap_G;
flux(179)	=	v_pk_Gap_G;
flux(180)	=	v_pepck_Pyr_G ;
flux(181)	=	v_pyrt_Pyr_B_G;
flux(182)	=	v_lact_Lac_B_G;
flux(183)	=	v_ldh_Pyr_G ;
flux(184)	=	v_alat_Ala_B_G;
flux(185)	=	v_alata_Pyr_G ;
flux(186)	=	v_pdh_Pyr_G ;
flux(187)	=	v_tca_Accoa_GM ;
flux(188)	=	v_accoat_Accoa_GM_GC;
flux(189)	=	v_ffat_FFA_B_G;
flux(190)	=	v_ffat_FFA_B_G_d;
flux(191)	=	v_ffat_FFA_B_G_a ;
flux(192)	=	v_tgsyn_FFA_G;
flux(193)	=	v_tgdeg_TG_G;
flux(194)	=	v_glyct_Glyc_B_G;
flux(195)	=	v_glyk_Glyc_G;
flux(196)	=	v_tgt_TG_B_G;
flux(197)	=	v_tgt_TG_B_G_d;
flux(198)	=	v_tgt_TG_B_G_a;
flux(199)	=	v_g3pd_Gap_G;
flux(200)	=	v_boxid_FFA_G;
flux(201)	=	v_bhbsyn_Accoa_GM ;
flux(202)	=	v_bhbdeg_Bhb_GM ;
flux(203)	=	v_bhbt_Bhb_B_G;
flux(204)	=	v_lipog1_Accoa_GC ;
flux(205)	=	v_lipog2_Malcoa_G;
flux(206)	=	v_cholsyn1_Accoa_GC ;
flux(207)	=	v_cholsyn2_Hmgcoa_G;
flux(208)	=	v_cholt_Chol_B_G;
flux(209)	=	v_atpsynn_Nadh_G;
flux(210)	=	v_atpsynf_Fadh_G;
flux(211)	=	v_ampreg_Amp_G;
flux(212)	=	v_gdpreg_Gdp_G;
flux(213)	=	v_udpreg_Udp_G;
flux(214)	=	v_nadhk_Nadh_G;
flux(215)	=	v_atpuse_Atp_G;
flux(216)	=	v_gtpuse_Gtp_G;
flux(217)	=	v_utpuse_Utp_G;
flux(218)	=	v_nadhuse_Nadh_G;
flux(219)	=	v_nadphuse_Nadph_G;
flux(220)	=	v_fadhuse_Fadh_G;
flux(221)	=	v_ck_Cre_G;
flux(222)	=	v_ck_for_Cre_G;
flux(223)	=	v_ck_bac_Crep_G;
flux(224)	=	alpha_H;
flux(225)	=	v_glut2_Glc_B_H;
flux(226)	=	v_hk_Glc_H;
flux(227)	=	v_g6pase_G6p_H;
flux(228)	=	v_ppp_G6p_H;
flux(229)	=	v_gs_G6p_H;
flux(230)	=	v_gd_Glygn_H;
flux(231)	=	v_pfk_G6p_H;
flux(232)	=	v_fbp_Gap_H;
flux(233)	=	v_pk_Gap_H;
flux(234)	=	v_pepck_Pyr_H ;
flux(235)	=	v_pyrt_Pyr_B_H;
flux(236)	=	v_lact_Lac_B_H;
flux(237)	=	v_ldh_Pyr_H ;
flux(238)	=	v_alat_Ala_B_H;
flux(239)	=	v_alata_Pyr_H ;
flux(240)	=	v_pdh_Pyr_H ;
flux(241)	=	v_tca_Accoa_HM ;
flux(242)	=	v_accoat_Accoa_HM_HC ;
flux(243)	=	v_ffat_FFA_B_H;
flux(244)	=	v_ffat_FFA_B_H_d;
flux(245)	=	v_ffat_FFA_B_H_a ;
flux(246)	=	v_tgsyn_FFA_H;
flux(247)	=	v_tgdeg_TG_H;
flux(248)	=	v_glyct_Glyc_B_H;
flux(249)	=	v_glyk_Glyc_H;
flux(250)	=	v_tgt_TG_B_H;
flux(251)	=	v_tgt_TG_B_H_d;
flux(252)	=	v_tgt_TG_B_H_a;
flux(253)	=	v_g3pd_Gap_H;
flux(254)	=	v_boxid_FFA_H;
flux(255)	=	v_bhbsyn_Accoa_HM ;
flux(256)	=	v_bhbdeg_Bhb_HM ;
flux(257)	=	v_bhbt_Bhb_B_H;
flux(258)	=	v_lipog1_Accoa_HC ;
flux(259)	=	v_lipog2_Malcoa_H;
flux(260)	=	v_cholsyn1_Accoa_HC ;
flux(261)	=	v_cholsyn2_Hmgcoa_H;
flux(262)	=	v_cholt_Chol_B_H;
flux(263)	=	v_atpsynn_Nadh_H;
flux(264)	=	v_atpsynf_Fadh_H;
flux(265)	=	v_ampreg_Amp_H;
flux(266)	=	v_gdpreg_Gdp_H;
flux(267)	=	v_udpreg_Udp_H;
flux(268)	=	v_nadhk_Nadh_H;
flux(269)	=	v_atpuse_Atp_H;
flux(270)	=	v_gtpuse_Gtp_H;
flux(271)	=	v_utpuse_Utp_H;
flux(272)	=	v_nadhuse_Nadh_H;
flux(273)	=	v_nadphuse_Nadph_H;
flux(274)	=	v_fadhuse_Fadh_H;
flux(275)	=	v_ck_Cre_H;
flux(276)	=	v_ck_for_Cre_H;
flux(277)	=	v_ck_bac_Crep_H;
flux(278)	=	alpha_N;
flux(279)	=	v_glut3_Glc_B_N;
flux(280)	=	v_hk_Glc_N;
flux(281)	=	v_g6pase_G6p_N;
flux(282)	=	v_ppp_G6p_N;
flux(283)	=	v_gs_G6p_N;
flux(284)	=	v_gd_Glygn_N;
flux(285)	=	v_pfk_G6p_N;
flux(286)	=	v_fbp_Gap_N;
flux(287)	=	v_pk_Gap_N;
flux(288)	=	v_pepck_Pyr_N ;
flux(289)	=	v_pyrt_Pyr_B_N;
flux(290)	=	v_lact_Lac_B_N;
flux(291)	=	v_ldh_Pyr_N ;
flux(292)	=	v_alat_Ala_B_N;
flux(293)	=	v_alata_Pyr_N ;
flux(294)	=	v_pdh_Pyr_N ;
flux(295)	=	v_tca_Accoa_NM ;
flux(296)	=	v_accoat_Accoa_NM_NC;
flux(297)	=	v_ffat_FFA_B_N;
flux(298)	=	v_ffat_FFA_B_N_d;
flux(299)	=	v_ffat_FFA_B_N_a ;
flux(300)	=	v_tgsyn_FFA_N;
flux(301)	=	v_tgdeg_TG_N;
flux(302)	=	v_glyct_Glyc_B_N;
flux(303)	=	v_glyk_Glyc_N;
flux(304)	=	v_tgt_TG_B_N;
flux(305)	=	v_tgt_TG_B_N_d;
flux(306)	=	v_tgt_TG_B_N_a;
flux(307)	=	v_g3pd_Gap_N;
flux(308)	=	v_boxid_FFA_N;
flux(309)	=	v_bhbsyn_Accoa_NM ;
flux(310)	=	v_bhbdeg_Bhb_NM ;
flux(311)	=	v_bhbt_Bhb_B_N;
flux(312)	=	v_lipog1_Accoa_NC ;
flux(313)	=	v_lipog2_Malcoa_N;
flux(314)	=	v_cholsyn1_Accoa_NC ;
flux(315)	=	v_cholsyn2_Hmgcoa_N;
flux(316)	=	v_cholt_Chol_B_N;
flux(317)	=	v_atpsynn_Nadh_N;
flux(318)	=	v_atpsynf_Fadh_N;
flux(319)	=	v_ampreg_Amp_N;
flux(320)	=	v_gdpreg_Gdp_N;
flux(321)	=	v_udpreg_Udp_N;
flux(322)	=	v_nadhk_Nadh_N;
flux(323)	=	v_atpuse_Atp_N;
flux(324)	=	v_gtpuse_Gtp_N;
flux(325)	=	v_utpuse_Utp_N;
flux(326)	=	v_nadhuse_Nadh_N;
flux(327)	=	v_nadphuse_Nadph_N;
flux(328)	=	v_fadhuse_Fadh_N;
flux(329)	=	v_ck_Cre_N;
flux(330)	=	v_ck_for_Cre_N;
flux(331)	=	v_ck_bac_Crep_N;
flux(332)	=	alpha_T;
flux(333)	=	v_glutT_Glc_B_T ;
flux(334)	=	v_tgt_TG_B_T;
flux(335)	=	v_ffat_FFA_B_T;
flux(336)	=	v_lact_Lac_B_T;
flux(337)	=	v_alat_Ala_B_T;
flux(338)	=	v_glyct_Glyc_B_T;
flux(339)	=	v_pyrt_Pyr_B_T;
%fin_f_v
end

function val = hill(x, Vmax, Km, n)
val=Vmax*x^n/(Km^n+x^n);
end

function val = hill_inh(x, Vmax, Ki, n)
val=Vmax*Ki^n/(Ki^n+x^n);
end

function val = diff(s,p,Vmax,Ks,Kp)
val = Vmax*(s-p)/(1 +s/Ks +p/Kp);
end

function [x] = input_parameter(pathology)

%begin_p_value
tot_Glc_B 	=	410;
t_delay_Glc_B 	=	50;
tot_TG_B 	=	38;
t_delay_TG_B 	=	240;
k_inssyn_B 	=	6.97e-05;
Vmax_inssyn_Glc_B 	=	0.0018;
Km_inssyn_Glc_B	=	7.5;
n_inssyn_Glc_B	=	8;
k_inssyn_FFA_B	=	1e-05;
k_insdeg_Ins_B	=	2500;
k_choluse_Chol_B	=	0.0002;
alpha_base_L 	=	0.05;
alpha_band_L 	=	0.9;
Km_Ins_B_L 	=	8e-08;
n_Ins_B_L 	=	4;
Vdif_glut2_Glc_B_L	=	12;
Kdif_glut2_Glc_B_L	=	17;
Kdif_glut2_Glc_L	=	17;
Vmax_gk_Glc_L	=	22;
Km1_gk_Glc_L	=	15;
n1_gk_Glc_L	=	2;
Km2_gk_Glc_L	=	7.5;
n2_gk_Glc_L	=	1.6;
Km_gk_Atp_L	=	0.26;
Vmax_ppp_G6p_L	=	0.2;
Km_ppp_G6p_L	=	0.1;
Km_ppp_Nadp_L	=	0.1;
Vmax_g6pase_G6p_L	=	12;
Km_g6pase_G6p_L	=	2.41;
Vmax_gs_G6p_L	=	12;
Km_gs_G6p_L	=	0.05;
n_gs_G6p_L	=	1;
Km_gs_Utp_L	=	0.048;
Glygn_L_max	=	375;
Km_gs_Glygn_L	=	75;
Vmax_gd_Glygn_L	=	2;
Km_gd_Glygn_L	=	10;
Km_gd_Phos_L	=	4;
Vmax_pfk_G6p_L	=	12.6317;
Km_pfk_G6p_L	=	0.005;
Km_pfk_Atp_L	=	0.0425;
Ki_pfk_Atp_L	=	2.1;
Km_pfk_Adp_L	=	0.0836;
Ki_pfk_Gap_L	=	0.0207;
b_pfk_Gap_L	=	0.75;
Vmax_fbp_Gap_L	=	8;
Km_fbp_Gap_L	=	0.25;
Vmax_pk_Gap_L	=	275.471;
Km_pk_Gap_L	=	0.24;
b_pk_Accoa_LM	=	0.8;
Ki_pk_Accoa_LM	=	0.03;
Km_pk_Adp_L	=	0.24;
Vmax_pepck_Pyr_L	=	32.9661;
Km_pepck_Pyr_L	=	2.44218;
Km_pepck_Atp_L	=	0.01;
Km_pepck_Gtp_L	=	0.064;
Vdif_pyrt_Pyr_B_L	=	0;
Kdif_pyrt_Pyr_B_L	=	1;
Kdif_pyrt_Pyr_L	=	1;
Vdif_lact_Lac_B_L	=	12;
Kdif_lact_Lac_L	=	2.42;
Kdif_lact_Lac_B_L	=	2.42;
Vmax_ldh_Pyr_L	=	10;
Km_ldh_Pyr_L	=	0.15;
Km_ldh_Nadh_L	=	0.015;
Km_ldh_Lac_L	=	36;
Km_ldh_Nad_L	=	0.11;
Keq_ldh_Lac_L	=	0.1;
Vdif_alat_Ala_B_L	=	12;
Kdif_alat_Ala_L	=	2.42;
Kdif_alat_Ala_B_L	=	2.42;
Vmax_alata_Pyr_L	=	4;
Km_alata_Pyr_L	=	0.15;
Km_alata_Ala_L	=	36;
Keq_alata_Ala_L	=	1;
Vmax_pdh_Pyr_L	=	1;
Km_pdh_Pyr_L	=	0.54;
Ki_pdh_Accoa_LM	=	0.035;
Km_pdh_Nad_L	=	0.01;
Vmax_tca_Accoa_LM	=	13.8048;
Km_tca_Accoa_LM	=	0.0004;
Km_tca_Phos_L	=	1;
Km_tca_Adp_L	=	0.41;
Km_tca_Pyr_L	=	0.349899;
Km_tca_Nad_L	=	0.1;
Km_tca_Fad_L	=	0.1;
Vdif_ffat_FFA_B_L	=	1.70891;
Kdif_ffat_FFA_B_L	=	0.2;
Kdif_ffat_FFA_L	=	0.2;
Vmax_ffat_FFA_B_L	=	0;
Km_ffat_FFA_B_L	=	0.002;
Vmax_tgsyn_FFA_L	=	0.4;
Km_tgsyn_FFA_L	=	0.645;
Km_tgsyn_Glycp_L	=	0.46;
Km_tgsyn_Atp_L	=	0.1;
TG_L_max	=	0;
Km_tgsyn_TG_L	=	0;
Vmax_tgdeg_TG_L	=	0.09;
Km_tgdeg_TG_L	=	50.7;
Vdif_glyct_Glyc_B_L	=	4;
Kdif_glyct_Glyc_B_L	=	0.27;
Kdif_glyct_Glyc_L	=	0.27;
Vmax_glyk_Glyc_L	=	0.5;
Km_glyk_Glyc_L	=	0.04;
Km_glyk_Atp_L	=	0.058;
Ki_glyk_Gap_L	=	0.58;
Vdif_tgt_TG_B_L	=	0;
Kdif_tgt_TG_B_L	=	1;
Keq_tgt_TG_L	=	33.81;
Vmax_tgt_TG_B_L	=	0.42;
Km_tgt_TG_L	=	33.81;
Vmax_g3pd_Gap_L	=	100;
Km_g3pd_Gap_L	=	0.16;
Km_g3pd_Glycp_L	=	0.22;
Km_g3pd_Nadh_L	=	0.008;
Km_g3pd_Nad_L	=	0.013;
Keq_g3pd_Glycp_L	=	50;
Vmax_boxid_FFA_L	=	0.888434;
Km_boxid_FFA_L	=	0.005;
Km_boxid_Atp_L	=	0.087;
Ki_boxid_Accoa_LM	=	0.12;
Ki_boxid_Malcoa_L	=	1;
Km_boxid_Nad_L	=	0.1;
Km_boxid_Fad_L	=	0.1;
Vmax_accoat_Accoa_LM_LC	=	10;
Km_accoat_Accoa_LM	=	0.058;
Km_accoat_Atp_L	=	0.1;
Km_accoat_Pyr_L	=	10;
Vmax_bhbsyn_Accoa_LM	=	50;
Km_bhbsyn_Accoa_LM	=	0.1;
Km_bhbsyn_Nadh_L	=	0.1;
n_bhbsyn_Pyr_L	=	4;
Ki_bhbsyn_Pyr_L	=	0.04;
Vmax_bhbdeg_Bhb_L	=	0;
Km_bhbdeg_Bhb_L	=	0.1;
Km_bhbdeg_Atp_L	=	0.1;
Km_bhbdeg_Nad_L	=	0.1;
Vdif_bhbt_Bhb_B_L 	=	10;
Kdif_bhbt_Bhb_B_L	=	1;
Kdif_bhbt_Bhb_L	=	1;
Vmax_lipog1_Accoa_LC	=	0.12;
Km_lipog1_Accoa_LC	=	10;
Km_lipog1_Atp_L	=	0.1;
Vmax_lipog2_Malcoa_L	=	1;
Km_lipog2_Malcoa_L	=	0.01;
Km_lipog2_Adp_L	=	0.1;
Km_lipog2_Nadph_L	=	0.01;
Vmax_cholsyn1_Accoa_LC	=	0.02;
Km_cholsyn1_Accoa_LC	=	0.1;
Vmax_cholsyn2_Hmgcoa_L	=	0.9;
Km_cholsyn2_Hmgcoa_L	=	0.1;
Km_cholsyn2_Atp_L	=	0.1;
Km_cholsyn2_Fadh_L	=	0.1;
Km_cholsyn2_Nadph_L	=	0.1;
Vmax_cholt_Chol_L	=	1;
Km_cholt_Chol_L	=	0.1;
Vmax_atpsynf_Fadh_L	=	3.94062;
Km_atpsynf_Fadh_L	=	0.1;
Km_atpsynf_Adp_L	=	0.1;
Vmax_atpsynn_Nadh_L	=	6.8;
Km_atpsynn_Nadh_L	=	0.1;
Km_atpsynn_Adp_L	=	0.1;
Vmax_atpuse_Atp_L	=	5;
Km_atpuse_Atp_L	=	2.5;
Vmax_ampreg_Amp_L	=	10;
Km_ampreg_Amp_L	=	0.08;
Km_ampreg_Atp_L	=	0.09;
Km_ampreg_Adp_L	=	0.11;
Vmax_nadhk_Nadh_L	=	0;
Km_nadhk_Nadh_L	=	0.1;
Km_nadhk_Atp_L	=	0;
Vmax_nadhuse_Nadh_L	=	0.4;
Km_nadhuse_Nadh_L	=	0.1;
Vmax_gdpreg_Gdp_L	=	800;
Km_gdpreg_Gdp_L	=	0.031;
Km_gdpreg_Atp_L	=	1.33;
Km_gdpreg_Gtp_L	=	0.15;
Km_gdpreg_Adp_L	=	0.042;
Keq_gdpreg_Gtp_L	=	1000;
Vmax_gtpuse_Gtp_L	=	0;
Km_gtpuse_Gtp_L	=	0.1;
Vmax_udpreg_Udp_L	=	40;
Km_udpreg_Udp_L	=	0.19;
Km_udpreg_Atp_L	=	1.33;
Km_udpreg_Utp_L	=	16;
Km_udpreg_Adp_L	=	0.042;
Keq_udpreg_Utp_L	=	1000;
Vmax_utpuse_Utp_L	=	0;
Km_utpuse_Utp_L	=	0.1;
Vmax_nadphuse_Nadph_L	=	0;
Km_nadphuse_Nadph_L	=	0.1;
Vmax_fadhuse_Fadh_L	=	0;
Km_fadhuse_Fadh_L	=	0.1;
Vmax_ck_Cre_L	=	0;
Km_ck_Cre_L	=	1;
Km_ck_Atp_L	=	0.03;
Km_ck_Crep_L	=	15;
Km_ck_Adp_L	=	0.1;
Keq_ck_Crep_L	=	1;
Phos_L	=	5;
alpha_base_M 	=	0.05;
alpha_band_M 	=	0.95;
Km_Ins_B_M	=	8e-08;
n_Ins_B_M 	=	4;
Vdif_glut4_Glc_B_M	=	6;
Kdif_glut4_Glc_B_M	=	5;
Kdif_glut4_Glc_M	=	5;
Vmax_hk_Glc_M	=	6;
Km_hk_Glc_M	=	1;
Ki_hk_G6p_M	=	0.5;
Km_hk_Atp_M	=	2.09;
Ki_hk_Atp_M	=	0.19;
Vmax_ppp_G6p_M	=	0;
Km_ppp_G6p_M	=	0.1;
Km_ppp_Nadp_M	=	0.1;
Vmax_g6pase_G6p_M	=	0;
Km_g6pase_G6p_M	=	2.41;
Vmax_gs_G6p_M	=	5;
Km_gs_G6p_M	=	0.05;
n_gs_G6p_M	=	1;
Km_gs_Utp_M	=	0.048;
Glygn_M_max	=	46;
Km_gs_Glygn_M	=	10;
Vmax_gd_Glygn_M	=	1.2;
Km_gd_Glygn_M	=	10;
Km_gd_Phos_M	=	4;
Vmax_pfk_G6p_M	=	5;
Km_pfk_G6p_M	=	0.005;
Km_pfk_Atp_M	=	0.0425;
Ki_pfk_Atp_M	=	2.1;
Km_pfk_Adp_M	=	0.0836;
Ki_pfk_Gap_M	=	0.0207;
b_pfk_Gap_M	=	0.75;
Vmax_fbp_Gap_M	=	0;
Km_fbp_Gap_M	=	0.25;
Vmax_pk_Gap_M	=	149.684;
Km_pk_Gap_M	=	0.24;
b_pk_Accoa_MM	=	0.8;
Ki_pk_Accoa_MM	=	0.03;
Km_pk_Adp_M	=	0.24;
Vmax_pepck_Pyr_M	=	0;
Km_pepck_Pyr_M	=	1.13989;
Km_pepck_Atp_M	=	0.01;
Km_pepck_Gtp_M	=	0.064;
Vdif_pyrt_Pyr_B_M	=	0.014;
Kdif_pyrt_Pyr_B_M	=	1;
Kdif_pyrt_Pyr_M	=	1;
Vdif_lact_Lac_B_M	=	8.0718;
Kdif_lact_Lac_M	=	2.42;
Kdif_lact_Lac_B_M	=	2.42;
Vmax_ldh_Pyr_M	=	100;
Km_ldh_Pyr_M	=	0.15;
Km_ldh_Nadh_M	=	0.015;
Km_ldh_Lac_M	=	36;
Km_ldh_Nad_M	=	0.11;
Keq_ldh_Lac_M	=	1000;
Vdif_alat_Ala_B_M	=	7.2005;
Kdif_alat_Ala_M	=	2.42;
Kdif_alat_Ala_B_M	=	2.42;
Vmax_alata_Pyr_M	=	0.467357;
Km_alata_Pyr_M	=	0.15;
Km_alata_Ala_M	=	36;
Keq_alata_Ala_M	=	1000;
Vmax_pdh_Pyr_M	=	20;
Km_pdh_Pyr_M	=	0.54;
Ki_pdh_Accoa_MM	=	0.03;
Km_pdh_Nad_M	=	0.1;
Vmax_tca_Accoa_MM	=	48.1571;
Km_tca_Accoa_MM	=	0.0004;
Km_tca_Phos_M	=	1;
Km_tca_Adp_M	=	0.41;
Km_tca_Pyr_M	=	0.386103;
Km_tca_Nad_M	=	0.01;
Km_tca_Fad_M	=	0.1;
Vdif_ffat_FFA_B_M	=	0.37;
Kdif_ffat_FFA_B_M	=	0.2;
Kdif_ffat_FFA_M	=	0.2;
Vmax_ffat_FFA_B_M	=	0;
Km_ffat_FFA_B_M	=	0.002;
Vmax_tgsyn_FFA_M	=	3;
Km_tgsyn_FFA_M	=	0.645;
Km_tgsyn_Glycp_M	=	0.46;
Km_tgsyn_Atp_M	=	0.1;
TG_M_max	=	14.8;
Km_tgsyn_TG_M	=	10;
Vmax_tgdeg_TG_M	=	1.8;
Km_tgdeg_TG_M	=	50.7;
Vdif_glyct_Glyc_B_M	=	0.1199;
Kdif_glyct_Glyc_B_M	=	0.27;
Kdif_glyct_Glyc_M	=	0.27;
Vmax_glyk_Glyc_M	=	4;
Km_glyk_Glyc_M	=	0.001;
Km_glyk_Atp_M	=	0.1;
Ki_glyk_Gap_M	=	0.1;
Vdif_tgt_TG_B_M	=	0.08;
Kdif_tgt_TG_B_M	=	1;
Keq_tgt_TG_M	=	33.81;
Vmax_tgt_TG_B_M	=	0;
Km_tgt_TG_M	=	33.81;
Vmax_g3pd_Gap_M	=	1;
Km_g3pd_Gap_M	=	1;
Km_g3pd_Glycp_M	=	1;
Km_g3pd_Nadh_M	=	0.1;
Km_g3pd_Nad_M	=	0.1;
Keq_g3pd_Glycp_M	=	1000;
Vmax_boxid_FFA_M	=	0.8;
Km_boxid_FFA_M	=	0.005;
Km_boxid_Atp_M	=	0.087;
Ki_boxid_Accoa_MM	=	0.12;
Ki_boxid_Malcoa_M	=	0.06;
Km_boxid_Nad_M	=	0.1;
Km_boxid_Fad_M	=	0.01;
Vmax_accoat_Accoa_MM_MC	=	0;
Km_accoat_Accoa_MM	=	0.0004;
Km_accoat_Atp_M	=	1;
Km_accoat_Pyr_M	=	0.01;
Vmax_bhbsyn_Accoa_MM	=	0;
Km_bhbsyn_Accoa_MM	=	0.1;
Km_bhbsyn_Nadh_M	=	0.1;
n_bhbsyn_Pyr_M	=	4;
Ki_bhbsyn_Pyr_M	=	0.01;
Vmax_bhbdeg_Bhb_M	=	0;
Km_bhbdeg_Bhb_M	=	0.1;
Km_bhbdeg_Atp_M	=	0.1;
Km_bhbdeg_Nad_M	=	0.1;
Vdif_bhbt_Bhb_B_M 	=	0;
Kdif_bhbt_Bhb_B_M	=	1;
Kdif_bhbt_Bhb_M	=	1;
Vmax_lipog1_Accoa_MC	=	0;
Km_lipog1_Accoa_MC	=	0.01;
Km_lipog1_Atp_M	=	0.1;
Vmax_lipog2_Malcoa_M	=	0;
Km_lipog2_Malcoa_M	=	0.01;
Km_lipog2_Adp_M	=	0.1;
Km_lipog2_Nadph_M	=	0.01;
Vmax_cholsyn1_Accoa_MC	=	0;
Km_cholsyn1_Accoa_MC	=	0.1;
Vmax_cholsyn2_Hmgcoa_M	=	0;
Km_cholsyn2_Hmgcoa_M	=	0.1;
Km_cholsyn2_Atp_M	=	0.1;
Km_cholsyn2_Fadh_M	=	0.1;
Km_cholsyn2_Nadph_M	=	0.1;
Vmax_cholt_Chol_M	=	0;
Km_cholt_Chol_M	=	0.1;
Vmax_atpsynf_Fadh_M	=	5.98933;
Km_atpsynf_Fadh_M	=	0.1;
Km_atpsynf_Adp_M	=	0.1;
Vmax_atpsynn_Nadh_M	=	10;
Km_atpsynn_Nadh_M	=	0.1;
Km_atpsynn_Adp_M	=	0.1;
Vmax_atpuse_Atp_M	=	9.09424;
Km_atpuse_Atp_M	=	2.5;
Vmax_ampreg_Amp_M	=	10;
Km_ampreg_Amp_M	=	0.08;
Km_ampreg_Atp_M	=	0.09;
Km_ampreg_Adp_M	=	0.11;
Vmax_nadhk_Nadh_M	=	0;
Km_nadhk_Nadh_M	=	0.1;
Km_nadhk_Atp_M	=	0.1;
Vmax_nadhuse_Nadh_M	=	1;
Km_nadhuse_Nadh_M	=	0.1;
Vmax_gdpreg_Gdp_M	=	1731.32;
Km_gdpreg_Gdp_M	=	0.031;
Km_gdpreg_Atp_M	=	1.33;
Km_gdpreg_Gtp_M	=	0.15;
Km_gdpreg_Adp_M	=	0.042;
Keq_gdpreg_Gtp_M	=	1000;
Vmax_gtpuse_Gtp_M	=	0;
Km_gtpuse_Gtp_M	=	0.1;
Vmax_udpreg_Udp_M	=	91.1396;
Km_udpreg_Udp_M	=	0.19;
Km_udpreg_Atp_M	=	1.33;
Km_udpreg_Utp_M	=	16;
Km_udpreg_Adp_M	=	0.042;
Keq_udpreg_Utp_M	=	1000;
Vmax_utpuse_Utp_M	=	0;
Km_utpuse_Utp_M	=	0.1;
Vmax_nadphuse_Nadph_M	=	0.5;
Km_nadphuse_Nadph_M	=	0.1;
Vmax_fadhuse_Fadh_M	=	0;
Km_fadhuse_Fadh_M	=	0.1;
Vmax_ck_Cre_M	=	0;
Km_ck_Cre_M	=	1;
Km_ck_Atp_M	=	0.03;
Km_ck_Crep_M	=	15;
Km_ck_Adp_M	=	0.1;
Keq_ck_Crep_M	=	1;
Phos_M	=	5;
alpha_base_A 	=	0.05;
alpha_band_A 	=	0.6;
Km_Ins_B_A	=	8e-08;
n_Ins_B_A 	=	4;
Vdif_glut4_Glc_B_A	=	0.15489;
Kdif_glut4_Glc_B_A	=	5;
Kdif_glut4_Glc_A	=	1;
Vmax_hk_Glc_A	=	0.78298;
Km_hk_Glc_A	=	0.42;
Ki_hk_G6p_A	=	0.5;
Km_hk_Atp_A	=	2.09;
Ki_hk_Atp_A	=	0.19;
Vmax_ppp_G6p_A	=	0;
Km_ppp_G6p_A	=	0.8653;
Km_ppp_Nadp_A	=	0.1548;
Vmax_g6pase_G6p_A	=	0;
Km_g6pase_G6p_A	=	1;
Vmax_gs_G6p_A	=	0;
Km_gs_G6p_A	=	0.05;
n_gs_G6p_A	=	1;
Km_gs_Utp_A	=	0.048;
Glygn_A_max	=	0;
Km_gs_Glygn_A	=	9.2;
Vmax_gd_Glygn_A	=	0;
Km_gd_Glygn_A	=	10;
Km_gd_Phos_A	=	4;
Vmax_pfk_G6p_A	=	126.435;
Km_pfk_G6p_A	=	0.005;
Km_pfk_Atp_A	=	0.0425;
Ki_pfk_Atp_A	=	2.1;
Km_pfk_Adp_A	=	0.0836;
Ki_pfk_Gap_A	=	0.0207;
b_pfk_Gap_A	=	0.75;
Vmax_fbp_Gap_A	=	0;
Km_fbp_Gap_A	=	0.25;
Vmax_pk_Gap_A	=	1.3;
Km_pk_Gap_A	=	0.24;
b_pk_Accoa_AM	=	0.8;
Ki_pk_Accoa_AM	=	0.03;
Km_pk_Adp_A	=	0.24;
Vmax_pepck_Pyr_A	=	0;
Km_pepck_Pyr_A	=	1;
Km_pepck_Atp_A	=	0.01;
Km_pepck_Gtp_A	=	0.064;
Vdif_pyrt_Pyr_B_A	=	0;
Kdif_pyrt_Pyr_B_A	=	1;
Kdif_pyrt_Pyr_A	=	1;
Vdif_lact_Lac_B_A	=	12;
Kdif_lact_Lac_A	=	2.42;
Kdif_lact_Lac_B_A	=	2.42;
Vmax_ldh_Pyr_A	=	100;
Km_ldh_Pyr_A	=	0.15;
Km_ldh_Nadh_A	=	0.015;
Km_ldh_Lac_A	=	36;
Km_ldh_Nad_A	=	0.11;
Keq_ldh_Lac_A	=	1000;
Vdif_alat_Ala_B_A	=	0;
Kdif_alat_Ala_A	=	2.42;
Kdif_alat_Ala_B_A	=	2.42;
Vmax_alata_Pyr_A	=	0;
Km_alata_Pyr_A	=	0.15;
Km_alata_Ala_A	=	36;
Keq_alata_Ala_A	=	1000;
Vmax_pdh_Pyr_A	=	50;
Km_pdh_Pyr_A	=	0.54;
Ki_pdh_Accoa_AM	=	0.035;
Km_pdh_Nad_A	=	0.01;
Vmax_tca_Accoa_AM	=	7.05408;
Km_tca_Accoa_AM	=	0.0004;
Km_tca_Phos_A	=	1;
Km_tca_Adp_A	=	0.41;
Km_tca_Pyr_A	=	0.111777;
Km_tca_Nad_A	=	0.1;
Km_tca_Fad_A	=	0.1;
Vdif_ffat_FFA_B_A	=	0;
Kdif_ffat_FFA_B_A	=	0.2;
Kdif_ffat_FFA_A	=	0.2;
Vmax_ffat_FFA_B_A	=	0.22;
Km_ffat_FFA_B_A	=	0.4;
Vmax_tgsyn_FFA_A	=	0.55;
Km_tgsyn_FFA_A	=	0.2;
Km_tgsyn_Glycp_A	=	0.46;
Km_tgsyn_Atp_A	=	0.1;
TG_A_max	=	900;
Km_tgsyn_TG_A	=	10;
Vmax_tgdeg_TG_A	=	0.092;
Km_tgdeg_TG_A	=	50.7;
Vdif_glyct_Glyc_B_A	=	10;
Kdif_glyct_Glyc_B_A	=	0.27;
Kdif_glyct_Glyc_A	=	0.27;
Vmax_glyk_Glyc_A	=	0;
Km_glyk_Glyc_A	=	0.001;
Km_glyk_Atp_A	=	1;
Ki_glyk_Gap_A	=	1;
Vdif_tgt_TG_B_A	=	6;
Kdif_tgt_TG_B_A	=	1;
Keq_tgt_TG_A	=	600;
Vmax_tgt_TG_B_A	=	0;
Km_tgt_TG_A	=	33.81;
Vmax_g3pd_Gap_A	=	3;
Km_g3pd_Gap_A	=	1;
Km_g3pd_Glycp_A	=	1;
Km_g3pd_Nadh_A	=	1;
Km_g3pd_Nad_A	=	1;
Keq_g3pd_Glycp_A	=	1000;
Vmax_boxid_FFA_A	=	0.15;
Km_boxid_FFA_A	=	0.005;
Km_boxid_Atp_A	=	0.087;
Ki_boxid_Accoa_AM	=	0.1195;
Ki_boxid_Malcoa_A	=	1;
Km_boxid_Nad_A	=	0.1;
Km_boxid_Fad_A	=	0.1;
Vmax_accoat_Accoa_AM_AC	=	0;
Km_accoat_Accoa_AM	=	0.1;
Km_accoat_Atp_A	=	0.01;
Km_accoat_Pyr_A	=	1;
Vmax_bhbsyn_Accoa_AM	=	0;
Km_bhbsyn_Accoa_AM	=	0.1;
Km_bhbsyn_Nadh_A	=	0.1;
n_bhbsyn_Pyr_A	=	4;
Ki_bhbsyn_Pyr_A	=	0.01;
Vmax_bhbdeg_Bhb_A	=	0;
Km_bhbdeg_Bhb_A	=	0.1;
Km_bhbdeg_Atp_A	=	0.1;
Km_bhbdeg_Nad_A	=	0.1;
Vdif_bhbt_Bhb_B_A 	=	10;
Kdif_bhbt_Bhb_B_A	=	1;
Kdif_bhbt_Bhb_A	=	1;
Vmax_lipog1_Accoa_AC	=	0;
Km_lipog1_Accoa_AC	=	0.01;
Km_lipog1_Atp_A	=	0.1;
Vmax_lipog2_Malcoa_A	=	0;
Km_lipog2_Malcoa_A	=	0.1;
Km_lipog2_Adp_A	=	0.1;
Km_lipog2_Nadph_A	=	0.01;
Vmax_cholsyn1_Accoa_AC	=	0;
Km_cholsyn1_Accoa_AC	=	0.1;
Vmax_cholsyn2_Hmgcoa_A	=	0;
Km_cholsyn2_Hmgcoa_A	=	0.1;
Km_cholsyn2_Atp_A	=	0.1;
Km_cholsyn2_Fadh_A	=	0.1;
Km_cholsyn2_Nadph_A	=	0.1;
Vmax_cholt_Chol_A	=	0;
Km_cholt_Chol_A	=	0.1;
Vmax_atpsynf_Fadh_A	=	1;
Km_atpsynf_Fadh_A	=	1.1451;
Km_atpsynf_Adp_A	=	0.4307;
Vmax_atpsynn_Nadh_A	=	0.5;
Km_atpsynn_Nadh_A	=	0.1;
Km_atpsynn_Adp_A	=	0.1;
Vmax_atpuse_Atp_A	=	2.7497;
Km_atpuse_Atp_A	=	2.5;
Vmax_ampreg_Amp_A	=	10;
Km_ampreg_Amp_A	=	0.08;
Km_ampreg_Atp_A	=	0.09;
Km_ampreg_Adp_A	=	0.11;
Vmax_nadhk_Nadh_A	=	0;
Km_nadhk_Nadh_A	=	0.1;
Km_nadhk_Atp_A	=	0.1;
Vmax_nadhuse_Nadh_A	=	0.0925714;
Km_nadhuse_Nadh_A	=	0.1;
Vmax_gdpreg_Gdp_A	=	0;
Km_gdpreg_Gdp_A	=	0.031;
Km_gdpreg_Atp_A	=	1.33;
Km_gdpreg_Gtp_A	=	0.15;
Km_gdpreg_Adp_A	=	0.042;
Keq_gdpreg_Gtp_A	=	1000;
Vmax_gtpuse_Gtp_A	=	0;
Km_gtpuse_Gtp_A	=	0.1;
Vmax_udpreg_Udp_A	=	0;
Km_udpreg_Udp_A	=	0.19;
Km_udpreg_Atp_A	=	1.33;
Km_udpreg_Utp_A	=	16;
Km_udpreg_Adp_A	=	0.042;
Keq_udpreg_Utp_A	=	1000;
Vmax_utpuse_Utp_A	=	0;
Km_utpuse_Utp_A	=	0.1;
Vmax_nadphuse_Nadph_A	=	0;
Km_nadphuse_Nadph_A	=	0.1;
Vmax_fadhuse_Fadh_A	=	0;
Km_fadhuse_Fadh_A	=	0.1;
Vmax_ck_Cre_A	=	0;
Km_ck_Cre_A	=	1;
Km_ck_Atp_A	=	0.03;
Km_ck_Crep_A	=	15;
Km_ck_Adp_A	=	0.1;
Keq_ck_Crep_A	=	1;
Phos_A	=	5;
alpha_base_G 	=	0.1;
alpha_band_G 	=	0.6;
Km_Ins_B_G	=	8e-08;
n_Ins_B_G	=	4;
Vdif_glut2_Glc_B_G	=	0.02;
Kdif_glut2_Glc_B_G	=	17;
Kdif_glut2_Glc_G	=	17;
Vmax_hk_Glc_G	=	1;
Km_hk_Glc_G	=	0.42;
Ki_hk_G6p_G	=	0.5;
Km_hk_Atp_G	=	2.09;
Ki_hk_Atp_G	=	0.19;
Vmax_ppp_G6p_G	=	0;
Km_ppp_G6p_G	=	0.1;
Km_ppp_Nadp_G	=	0.1;
Vmax_g6pase_G6p_G	=	0;
Km_g6pase_G6p_G	=	2.41;
Vmax_gs_G6p_G	=	0;
Km_gs_G6p_G	=	0.05;
n_gs_G6p_G	=	1;
Km_gs_Utp_G	=	0.048;
Glygn_G_max	=	33;
Km_gs_Glygn_G	=	9.2;
Vmax_gd_Glygn_G	=	0;
Km_gd_Glygn_G	=	10;
Km_gd_Phos_G	=	4;
Vmax_pfk_G6p_G	=	25;
Km_pfk_G6p_G	=	0.005;
Km_pfk_Atp_G	=	0.0425;
Ki_pfk_Atp_G	=	2.1;
Km_pfk_Adp_G	=	0.0836;
Ki_pfk_Gap_G	=	0.0207;
b_pfk_Gap_G	=	0.75;
Vmax_fbp_Gap_G	=	0;
Km_fbp_Gap_G	=	0.25;
Vmax_pk_Gap_G	=	4;
Km_pk_Gap_G	=	0.24;
b_pk_Accoa_GM	=	0.8;
Ki_pk_Accoa_GM	=	0.03;
Km_pk_Adp_G	=	0.24;
Vmax_pepck_Pyr_G	=	0;
Km_pepck_Pyr_G	=	1;
Km_pepck_Atp_G	=	0.01;
Km_pepck_Gtp_G	=	0.064;
Vdif_pyrt_Pyr_B_G	=	0;
Kdif_pyrt_Pyr_B_G	=	1;
Kdif_pyrt_Pyr_G	=	1;
Vdif_lact_Lac_B_G	=	10;
Kdif_lact_Lac_G	=	2.42;
Kdif_lact_Lac_B_G	=	2.42;
Vmax_ldh_Pyr_G	=	1;
Km_ldh_Pyr_G	=	0.15;
Km_ldh_Nadh_G	=	0.015;
Km_ldh_Lac_G	=	36;
Km_ldh_Nad_G	=	0.11;
Keq_ldh_Lac_G	=	1000;
Vdif_alat_Ala_B_G	=	0;
Kdif_alat_Ala_G	=	2.42;
Kdif_alat_Ala_B_G	=	2.42;
Vmax_alata_Pyr_G	=	0;
Km_alata_Pyr_G	=	0.15;
Km_alata_Ala_G	=	36;
Keq_alata_Ala_G	=	1000;
Vmax_pdh_Pyr_G	=	100;
Km_pdh_Pyr_G	=	0.54;
Ki_pdh_Accoa_GM	=	0.035;
Km_pdh_Nad_G	=	0.01;
Vmax_tca_Accoa_GM	=	20;
Km_tca_Accoa_GM	=	0.0004;
Km_tca_Phos_G	=	1;
Km_tca_Adp_G	=	0.41;
Km_tca_Pyr_G	=	0.03;
Km_tca_Nad_G	=	0.01;
Km_tca_Fad_G	=	0.01;
Vdif_ffat_FFA_B_G	=	5;
Kdif_ffat_FFA_B_G	=	0.2;
Kdif_ffat_FFA_G	=	0.2;
Vmax_ffat_FFA_B_G	=	0;
Km_ffat_FFA_B_G	=	0.002;
Vmax_tgsyn_FFA_G	=	0.15;
Km_tgsyn_FFA_G	=	0.1;
Km_tgsyn_Glycp_G	=	0.46;
Km_tgsyn_Atp_G	=	0.1;
TG_G_max	=	450;
Km_tgsyn_TG_G	=	10;
Vmax_tgdeg_TG_G	=	0.07;
Km_tgdeg_TG_G	=	50.7;
Vdif_glyct_Glyc_B_G	=	10;
Kdif_glyct_Glyc_B_G	=	0.27;
Kdif_glyct_Glyc_G	=	0.27;
Vmax_glyk_Glyc_G	=	0;
Km_glyk_Glyc_G	=	0.04;
Km_glyk_Atp_G	=	0.058;
Ki_glyk_Gap_G	=	0.58;
Vdif_tgt_TG_B_G	=	0;
Kdif_tgt_TG_B_G	=	1;
Keq_tgt_TG_G	=	33.81;
Vmax_tgt_TG_B_G	=	2.2;
Km_tgt_TG_G	=	33.81;
Vmax_g3pd_Gap_G	=	20;
Km_g3pd_Gap_G	=	0.16;
Km_g3pd_Glycp_G	=	0.22;
Km_g3pd_Nadh_G	=	0.008;
Km_g3pd_Nad_G	=	0.013;
Keq_g3pd_Glycp_G	=	1000;
Vmax_boxid_FFA_G	=	0.05;
Km_boxid_FFA_G	=	0.005;
Km_boxid_Atp_G	=	0.087;
Ki_boxid_Accoa_GM	=	0.12;
Ki_boxid_Malcoa_G	=	1;
Km_boxid_Nad_G	=	0.1;
Km_boxid_Fad_G	=	0.1;
Vmax_accoat_Accoa_GM_GC	=	0;
Km_accoat_Accoa_GM	=	0.058;
Km_accoat_Atp_G	=	0.1;
Km_accoat_Pyr_G	=	1;
Vmax_bhbsyn_Accoa_GM	=	0;
Km_bhbsyn_Accoa_GM	=	0.1;
Km_bhbsyn_Nadh_G	=	0.1;
n_bhbsyn_Pyr_G	=	4;
Ki_bhbsyn_Pyr_G	=	0.01;
Vmax_bhbdeg_Bhb_G	=	0;
Km_bhbdeg_Bhb_G	=	0.1;
Km_bhbdeg_Atp_G	=	0.1;
Km_bhbdeg_Nad_G	=	0.1;
Vdif_bhbt_Bhb_B_G 	=	0;
Kdif_bhbt_Bhb_B_G	=	1;
Kdif_bhbt_Bhb_G	=	1;
Vmax_lipog1_Accoa_GC	=	0;
Km_lipog1_Accoa_GC	=	0.01;
Km_lipog1_Atp_G	=	0.1;
Vmax_lipog2_Malcoa_G	=	0;
Km_lipog2_Malcoa_G	=	0.01;
Km_lipog2_Adp_G	=	0.1;
Km_lipog2_Nadph_G	=	0.01;
Vmax_cholsyn1_Accoa_GC	=	0;
Km_cholsyn1_Accoa_GC	=	0.1;
Vmax_cholsyn2_Hmgcoa_G	=	0;
Km_cholsyn2_Hmgcoa_G	=	0.1;
Km_cholsyn2_Atp_G	=	0.1;
Km_cholsyn2_Fadh_G	=	0.1;
Km_cholsyn2_Nadph_G	=	0.1;
Vmax_cholt_Chol_G	=	0;
Km_cholt_Chol_G	=	0.1;
Vmax_atpsynf_Fadh_G	=	0.43;
Km_atpsynf_Fadh_G	=	0.1;
Km_atpsynf_Adp_G	=	0.1;
Vmax_atpsynn_Nadh_G	=	1;
Km_atpsynn_Nadh_G	=	0.1;
Km_atpsynn_Adp_G	=	0.1;
Vmax_atpuse_Atp_G	=	3.9;
Km_atpuse_Atp_G	=	2.5;
Vmax_ampreg_Amp_G	=	10;
Km_ampreg_Amp_G	=	0.08;
Km_ampreg_Atp_G	=	0.09;
Km_ampreg_Adp_G	=	0.11;
Vmax_nadhk_Nadh_G	=	0;
Km_nadhk_Nadh_G	=	0.1;
Km_nadhk_Atp_A	=	0.1;
Vmax_nadhuse_Nadh_G	=	1.2;
Km_nadhuse_Nadh_G	=	0.1;
Vmax_gdpreg_Gdp_G	=	0;
Km_gdpreg_Gdp_G	=	0.031;
Km_gdpreg_Atp_G	=	1.33;
Km_gdpreg_Gtp_G	=	0.15;
Km_gdpreg_Adp_G	=	0.042;
Keq_gdpreg_Gtp_G	=	1000;
Vmax_gtpuse_Gtp_G	=	0;
Km_gtpuse_Gtp_G	=	0.1;
Vmax_udpreg_Udp_G	=	100;
Km_udpreg_Udp_G	=	0.19;
Km_udpreg_Atp_G	=	1.33;
Km_udpreg_Utp_G	=	16;
Km_udpreg_Adp_G	=	0.042;
Keq_udpreg_Utp_G	=	1000;
Vmax_utpuse_Utp_G	=	0;
Km_utpuse_Utp_G	=	0.1;
Vmax_nadphuse_Nadph_G	=	0;
Km_nadphuse_Nadph_G	=	0.1;
Vmax_fadhuse_Fadh_G	=	0.5;
Km_fadhuse_Fadh_G	=	0.1;
Vmax_ck_Cre_G	=	86;
Km_ck_Cre_G	=	1;
Km_ck_Atp_G	=	0.03;
Km_ck_Crep_G	=	15;
Km_ck_Adp_G	=	0.1;
Keq_ck_Crep_G	=	1;
Phos_G	=	5;
alpha_base_H 	=	0.1;
alpha_band_H 	=	0.1;
Km_Ins_B_H	=	8e-08;
n_Ins_B_H 	=	4;
Vdif_glut2_Glc_B_H	=	0.0161338;
Kdif_glut2_Glc_B_H	=	5;
Kdif_glut2_Glc_H	=	5;
Vmax_hk_Glc_H	=	5.02936;
Km_hk_Glc_H	=	0.42;
Ki_hk_G6p_H	=	0.5;
Km_hk_Atp_H	=	2.09;
Ki_hk_Atp_H	=	0.19;
Vmax_ppp_G6p_H	=	0.2;
Km_ppp_G6p_H	=	0.1;
Km_ppp_Nadp_H	=	0.1;
Vmax_g6pase_G6p_H	=	0;
Km_g6pase_G6p_H	=	2.41;
Vmax_gs_G6p_H	=	2.78819;
Km_gs_G6p_H	=	0.05;
n_gs_G6p_H	=	0.0421275;
Km_gs_Utp_H	=	0.048;
Glygn_H_max	=	375;
Km_gs_Glygn_H	=	75;
Vmax_gd_Glygn_H	=	8.58089;
Km_gd_Glygn_H	=	10;
Km_gd_Phos_H	=	4;
Vmax_pfk_G6p_H	=	20;
Km_pfk_G6p_H	=	0.005;
Km_pfk_Atp_H	=	0.0425;
Ki_pfk_Atp_H	=	2.1;
Km_pfk_Adp_H	=	0.0836;
Ki_pfk_Gap_H	=	0.0207;
b_pfk_Gap_H	=	0.75;
Vmax_fbp_Gap_H	=	0;
Km_fbp_Gap_H	=	0.25;
Vmax_pk_Gap_H	=	50;
Km_pk_Gap_H	=	0.24;
b_pk_Accoa_HM	=	0.8;
Ki_pk_Accoa_HM	=	0.03;
Km_pk_Adp_H	=	0.24;
Vmax_pepck_Pyr_H	=	0;
Km_pepck_Pyr_H	=	0.629097;
Km_pepck_Atp_H	=	0.01;
Km_pepck_Gtp_H	=	0.064;
Vdif_pyrt_Pyr_B_H	=	0;
Kdif_pyrt_Pyr_B_H	=	1;
Kdif_pyrt_Pyr_H	=	1;
Vdif_lact_Lac_B_H	=	0.0847951;
Kdif_lact_Lac_H	=	2.42;
Kdif_lact_Lac_B_H	=	2.42;
Vmax_ldh_Pyr_H	=	20;
Km_ldh_Pyr_H	=	0.15;
Km_ldh_Nadh_H	=	0.015;
Km_ldh_Lac_H	=	36;
Km_ldh_Nad_H	=	0.11;
Keq_ldh_Lac_H	=	0.5;
Vdif_alat_Ala_B_H	=	0;
Kdif_alat_Ala_H	=	2.42;
Kdif_alat_Ala_B_H	=	2.42;
Vmax_alata_Pyr_H	=	0;
Km_alata_Pyr_H	=	0.15;
Km_alata_Ala_H	=	36;
Keq_alata_Ala_H	=	1;
Vmax_pdh_Pyr_H	=	10;
Km_pdh_Pyr_H	=	0.54;
Ki_pdh_Accoa_HM	=	0.035;
Km_pdh_Nad_H	=	0.01;
Vmax_tca_Accoa_HM	=	24.9374;
Km_tca_Accoa_HM	=	0.0004;
Km_tca_Phos_H	=	0.0804724;
Km_tca_Adp_H	=	0.41;
Km_tca_Pyr_H	=	0.110806;
Km_tca_Nad_H	=	0.1;
Km_tca_Fad_H	=	0.1;
Vdif_ffat_FFA_B_H	=	2.47936;
Kdif_ffat_FFA_B_H	=	0.2;
Kdif_ffat_FFA_H	=	0.2;
Vmax_ffat_FFA_B_H	=	0.0441369;
Km_ffat_FFA_B_H	=	0.002;
Vmax_tgsyn_FFA_H	=	0.0001;
Km_tgsyn_FFA_H	=	0.645;
Km_tgsyn_Glycp_H	=	0.46;
Km_tgsyn_Atp_H	=	0.1;
TG_H_max	=	3.12;
Km_tgsyn_TG_H	=	10;
Vmax_tgdeg_TG_H	=	0.00269;
Km_tgdeg_TG_H	=	50.7;
Vdif_glyct_Glyc_B_H	=	1;
Kdif_glyct_Glyc_B_H	=	0.27;
Kdif_glyct_Glyc_H	=	0.27;
Vmax_glyk_Glyc_H	=	1.29837;
Km_glyk_Glyc_H	=	0.001;
Km_glyk_Atp_H	=	0.015;
Ki_glyk_Gap_H	=	1;
Vdif_tgt_TG_B_H	=	0;
Kdif_tgt_TG_B_H	=	1;
Keq_tgt_TG_H	=	33.81;
Vmax_tgt_TG_B_H	=	0;
Km_tgt_TG_H	=	33.81;
Vmax_g3pd_Gap_H	=	0;
Km_g3pd_Gap_H	=	1;
Km_g3pd_Glycp_H	=	1;
Km_g3pd_Nadh_H	=	1;
Km_g3pd_Nad_H	=	1;
Keq_g3pd_Glycp_H	=	1337.27;
Vmax_boxid_FFA_H	=	0.6;
Km_boxid_FFA_H	=	0.005;
Km_boxid_Atp_H	=	0.087;
Ki_boxid_Accoa_HM	=	0.12;
Ki_boxid_Malcoa_H	=	1;
Km_boxid_Nad_H	=	0.1;
Km_boxid_Fad_H	=	0.1;
Vmax_accoat_Accoa_HM_HC	=	0;
Km_accoat_Accoa_HM	=	0.058;
Km_accoat_Atp_H	=	0.1;
Km_accoat_Pyr_H	=	1;
Vmax_bhbsyn_Accoa_HM	=	0;
Km_bhbsyn_Accoa_HM	=	0.1;
Km_bhbsyn_Nadh_H	=	0.1;
n_bhbsyn_Pyr_H	=	4;
Ki_bhbsyn_Pyr_H	=	0.01;
Vmax_bhbdeg_Bhb_H	=	0;
Km_bhbdeg_Bhb_H	=	0.1;
Km_bhbdeg_Atp_H	=	0.1;
Km_bhbdeg_Nad_H	=	0.1;
Vdif_bhbt_Bhb_B_H	=	0;
Kdif_bhbt_Bhb_B_H	=	1;
Kdif_bhbt_Bhb_H	=	1;
Vmax_lipog1_Accoa_HC	=	0;
Km_lipog1_Accoa_HC	=	0.01;
Km_lipog1_Atp_H	=	0.1;
Vmax_lipog2_Malcoa_H	=	0;
Km_lipog2_Malcoa_H	=	0.01;
Km_lipog2_Adp_H	=	0.1;
Km_lipog2_Nadph_H	=	0.01;
Vmax_cholsyn1_Accoa_HC	=	0;
Km_cholsyn1_Accoa_HC	=	0.1;
Vmax_cholsyn2_Hmgcoa_H	=	0;
Km_cholsyn2_Hmgcoa_H	=	0.1;
Km_cholsyn2_Atp_H	=	0.1;
Km_cholsyn2_Fadh_H	=	0.1;
Km_cholsyn2_Nadph_H	=	0.1;
Vmax_cholt_Chol_H	=	0;
Km_cholt_Chol_H	=	0.1;
Vmax_atpsynf_Fadh_H	=	5;
Km_atpsynf_Fadh_H	=	0.1;
Km_atpsynf_Adp_H	=	0.1;
Vmax_atpsynn_Nadh_H	=	28.5018;
Km_atpsynn_Nadh_H	=	0.1;
Km_atpsynn_Adp_H	=	0.1;
Vmax_atpuse_Atp_H	=	10;
Km_atpuse_Atp_H	=	2.5;
Vmax_ampreg_Amp_H	=	10;
Km_ampreg_Amp_H	=	0.08;
Km_ampreg_Atp_H	=	0.09;
Km_ampreg_Adp_H	=	0.11;
Vmax_nadhk_Nadh_H	=	0;
Km_nadhk_Nadh_H	=	0.1;
Km_nadhk_Atp_H	=	0.1;
Vmax_nadhuse_Nadh_H	=	0.256399;
Km_nadhuse_Nadh_H	=	0.1;
Vmax_gdpreg_Gdp_H	=	10;
Km_gdpreg_Gdp_H	=	0.0335;
Km_gdpreg_Atp_H	=	0.29;
Km_gdpreg_Gtp_H	=	0.12;
Km_gdpreg_Adp_H	=	0.024;
Keq_gdpreg_Gtp_H	=	1000;
Vmax_gtpuse_Gtp_H	=	0;
Km_gtpuse_Gtp_H	=	0.1;
Vmax_udpreg_Udp_H	=	10;
Km_udpreg_Udp_H	=	0.175;
Km_udpreg_Atp_H	=	0.29;
Km_udpreg_Utp_H	=	0.0215;
Km_udpreg_Adp_H	=	0.024;
Keq_udpreg_Utp_H	=	1000;
Vmax_utpuse_Utp_H	=	0;
Km_utpuse_Utp_H	=	0.1;
Vmax_nadphuse_Nadph_H	=	0;
Km_nadphuse_Nadph_H	=	0.1;
Vmax_fadhuse_Fadh_H	=	0;
Km_fadhuse_Fadh_H	=	0.1;
Vmax_ck_Cre_H	=	0;
Km_ck_Cre_H	=	1;
Km_ck_Atp_H	=	0.03;
Km_ck_Crep_H	=	15;
Km_ck_Adp_H	=	0.1;
Keq_ck_Crep_H	=	1;
Phos_H	=	5;
alpha_base_N 	=	0.1;
alpha_band_N 	=	0.1;
Km_Ins_B_N	=	8e-08;
n_Ins_B_N	=	4;
Vdif_glut3_Glc_B_N	=	0.5;
Kdif_glut3_Glc_B_N	=	2.9;
Kdif_glut3_Glc_N	=	2.9;
Vmax_hk_Glc_N	=	2.5;
Km_hk_Glc_N	=	7.5;
Ki_hk_G6p_N	=	0.5;
Km_hk_Atp_N	=	2.09;
Ki_hk_Atp_N	=	0.19;
Vmax_ppp_G6p_N	=	0;
Km_ppp_G6p_N	=	0.1;
Km_ppp_Nadp_N	=	0.1;
Vmax_g6pase_G6p_N	=	0;
Km_g6pase_G6p_N	=	2.41;
Vmax_gs_G6p_N	=	0.16;
Km_gs_G6p_N	=	0.05;
n_gs_G6p_N	=	1;
Km_gs_Utp_N	=	0.048;
Glygn_N_max	=	46;
Km_gs_Glygn_N	=	9.2;
Vmax_gd_Glygn_N	=	0.03;
Km_gd_Glygn_N	=	10;
Km_gd_Phos_N	=	4;
Vmax_pfk_G6p_N	=	10;
Km_pfk_G6p_N	=	0.005;
Km_pfk_Atp_N	=	0.0425;
Ki_pfk_Atp_N	=	2.1;
Km_pfk_Adp_N	=	0.0836;
Ki_pfk_Gap_N	=	0.0207;
b_pfk_Gap_N	=	0.75;
Vmax_fbp_Gap_N	=	0;
Km_fbp_Gap_N	=	0.25;
Vmax_pk_Gap_N	=	6.5808;
Km_pk_Gap_N	=	0.24;
b_pk_Accoa_NM	=	0.8;
Ki_pk_Accoa_NM	=	0.03;
Km_pk_Adp_N	=	0.24;
Vmax_pepck_Pyr_N	=	0;
Km_pepck_Pyr_N	=	1.13989;
Km_pepck_Atp_N	=	0.01;
Km_pepck_Gtp_N	=	0.064;
Vdif_pyrt_Pyr_B_N	=	0;
Kdif_pyrt_Pyr_B_N	=	1;
Kdif_pyrt_Pyr_N	=	1;
Vdif_lact_Lac_B_N	=	0;
Kdif_lact_Lac_N	=	2.42;
Kdif_lact_Lac_B_N	=	2.42;
Vmax_ldh_Pyr_N	=	0;
Km_ldh_Pyr_N	=	0.15;
Km_ldh_Nadh_N	=	0.015;
Km_ldh_Lac_N	=	36;
Km_ldh_Nad_N	=	0.11;
Keq_ldh_Lac_N	=	0.5;
Vdif_alat_Ala_B_N	=	0;
Kdif_alat_Ala_N	=	2.42;
Kdif_alat_Ala_B_N	=	2.42;
Vmax_alata_Pyr_N	=	0;
Km_alata_Pyr_N	=	0.15;
Km_alata_Ala_N	=	36;
Keq_alata_Ala_N	=	1;
Vmax_pdh_Pyr_N	=	20;
Km_pdh_Pyr_N	=	0.54;
Ki_pdh_Accoa_NM	=	0.035;
Km_pdh_Nad_N	=	0.01;
Vmax_tca_Accoa_NM	=	60;
Km_tca_Accoa_NM	=	0.0004;
Km_tca_Phos_N	=	1;
Km_tca_Adp_N	=	0.41;
Km_tca_Pyr_N	=	0;
Km_tca_Nad_N	=	0.01;
Km_tca_Fad_N	=	0.01;
Vdif_ffat_FFA_B_N	=	0;
Kdif_ffat_FFA_B_N	=	0.2;
Kdif_ffat_FFA_N	=	0.2;
Vmax_ffat_FFA_B_N	=	0;
Km_ffat_FFA_B_N	=	0.002;
Vmax_tgsyn_FFA_N	=	0;
Km_tgsyn_FFA_N	=	0.645;
Km_tgsyn_Glycp_N	=	0.46;
Km_tgsyn_Atp_N	=	0.1;
TG_N_max	=	999;
Km_tgsyn_TG_N	=	999;
Vmax_tgdeg_TG_N	=	0;
Km_tgdeg_TG_N	=	50.7;
Vdif_glyct_Glyc_B_N	=	4;
Kdif_glyct_Glyc_B_N	=	0.27;
Kdif_glyct_Glyc_N	=	0.27;
Vmax_glyk_Glyc_N	=	0;
Km_glyk_Glyc_N	=	0.04;
Km_glyk_Atp_N	=	0.058;
Ki_glyk_Gap_N	=	0.58;
Vdif_tgt_TG_B_N	=	0;
Kdif_tgt_TG_B_N	=	1;
Keq_tgt_TG_N	=	33.81;
Vmax_tgt_TG_B_N	=	0;
Km_tgt_TG_N	=	33.81;
Vmax_g3pd_Gap_N	=	0;
Km_g3pd_Gap_N	=	0.16;
Km_g3pd_Glycp_N	=	0.22;
Km_g3pd_Nadh_N	=	0.008;
Km_g3pd_Nad_N	=	0.013;
Keq_g3pd_Glycp_N	=	1000;
Vmax_boxid_FFA_N	=	0;
Km_boxid_FFA_N	=	0.005;
Km_boxid_Atp_N	=	0.087;
Ki_boxid_Accoa_NM	=	0.12;
Ki_boxid_Malcoa_N	=	1;
Km_boxid_Nad_N	=	0.1;
Km_boxid_Fad_N	=	0.1;
Vmax_accoat_Accoa_NM_NC	=	1;
Km_accoat_Accoa_NM	=	0.058;
Km_accoat_Atp_N	=	0.1;
Km_accoat_Pyr_N	=	1;
Vmax_bhbsyn_Accoa_NM	=	0;
Km_bhbsyn_Accoa_NM	=	0.1;
Km_bhbsyn_Nadh_N	=	0.1;
n_bhbsyn_Pyr_N	=	4;
Ki_bhbsyn_Pyr_N	=	0.01;
Vmax_bhbdeg_Bhb_N	=	200;
Km_bhbdeg_Bhb_N	=	0.1;
Km_bhbdeg_Atp_N	=	0.1;
Km_bhbdeg_Nad_N	=	0.1;
Vdif_bhbt_Bhb_B_N 	=	1;
Kdif_bhbt_Bhb_B_N	=	2;
Kdif_bhbt_Bhb_N	=	2;
Vmax_lipog1_Accoa_NC	=	0;
Km_lipog1_Accoa_NC	=	0.01;
Km_lipog1_Atp_N	=	0.1;
Vmax_lipog2_Malcoa_N	=	0;
Km_lipog2_Malcoa_N	=	0.01;
Km_lipog2_Adp_N	=	0.1;
Km_lipog2_Nadph_N	=	0.01;
Vmax_cholsyn1_Accoa_NC	=	0;
Km_cholsyn1_Accoa_NC	=	0.1;
Vmax_cholsyn2_Hmgcoa_N	=	0;
Km_cholsyn2_Hmgcoa_N	=	0.1;
Km_cholsyn2_Atp_N	=	0.1;
Km_cholsyn2_Fadh_N	=	0.1;
Km_cholsyn2_Nadph_N	=	0.1;
Vmax_cholt_Chol_N	=	0;
Km_cholt_Chol_N	=	0.1;
Vmax_atpsynf_Fadh_N	=	1;
Km_atpsynf_Fadh_N	=	0.1;
Km_atpsynf_Adp_N	=	0.1;
Vmax_atpsynn_Nadh_N	=	9;
Km_atpsynn_Nadh_N	=	0.1;
Km_atpsynn_Adp_N	=	0.1;
Vmax_atpuse_Atp_N	=	33.465;
Km_atpuse_Atp_N	=	4.5165;
Vmax_ampreg_Amp_N	=	0;
Km_ampreg_Amp_N	=	0.08;
Km_ampreg_Atp_N	=	0.09;
Km_ampreg_Adp_N	=	0.11;
Vmax_nadhk_Nadh_N	=	0;
Km_nadhk_Nadh_N	=	0.1;
Km_nadhk_Atp_N	=	0.1;
Vmax_nadhuse_Nadh_N	=	2;
Km_nadhuse_Nadh_N	=	0.0712;
Vmax_gdpreg_Gdp_N	=	0;
Km_gdpreg_Gdp_N	=	0.031;
Km_gdpreg_Atp_N	=	1.33;
Km_gdpreg_Gtp_N	=	0.15;
Km_gdpreg_Adp_N	=	0.042;
Keq_gdpreg_Gtp_N	=	1000;
Vmax_gtpuse_Gtp_N	=	0;
Km_gtpuse_Gtp_N	=	0.1;
Vmax_udpreg_Udp_N	=	15.709;
Km_udpreg_Udp_N	=	0.19;
Km_udpreg_Atp_N	=	1.33;
Km_udpreg_Utp_N	=	16;
Km_udpreg_Adp_N	=	0.042;
Keq_udpreg_Utp_N	=	1000;
Vmax_utpuse_Utp_N	=	0.5216;
Km_utpuse_Utp_N	=	0.1863;
Vmax_nadphuse_Nadph_N	=	0;
Km_nadphuse_Nadph_N	=	0.1;
Vmax_fadhuse_Fadh_N	=	0.1;
Km_fadhuse_Fadh_N	=	0.1;
Vmax_ck_Cre_N	=	6.7518;
Km_ck_Cre_N	=	4.913;
Km_ck_Atp_N	=	0.6678;
Km_ck_Crep_N	=	7.3287;
Km_ck_Adp_N	=	0.6555;
Keq_ck_Crep_N	=	7.3287;
Phos_N	=	5;
%fin_p_value

if ~isempty(pathology)
%hyperlipidemia
    Vmax_accoat_Accoa_LM_LC	=pathology.Vmax_accoat_Accoa_LM_LC;
    Vmax_lipog1_Accoa_LC	=pathology.Vmax_lipog1_Accoa_LC;
    Vmax_lipog2_Malcoa_L	=pathology.Vmax_lipog2_Malcoa_L;
    Vmax_tgsyn_FFA_L	=pathology.Vmax_tgsyn_FFA_L; 
    Vmax_cholsyn1_Accoa_LC	=pathology.Vmax_cholsyn1_Accoa_LC;
%IR
    Vmax_inssyn_Glc_B=pathology.Vmax_inssyn_Glc_B;
    Km_inssyn_Glc_B=pathology.Km_inssyn_Glc_B;
    Km_Ins_B_L=pathology.Km_Ins_B_L;    
    Km_Ins_B_M=pathology.Km_Ins_B_M;
    Km_Ins_B_A=pathology.Km_Ins_B_A;    
    Km_Ins_B_G=pathology.Km_Ins_B_G;
    alpha_band_L=pathology.alpha_band_L;
    alpha_base_L=pathology.alpha_base_L;
    alpha_band_M=pathology.alpha_band_M;
    alpha_base_M=pathology.alpha_base_M;
    alpha_band_A=pathology.alpha_band_A;
    alpha_base_A=pathology.alpha_base_A;
%medication
    Vmax_ldh_Pyr_L= pathology.Vmax_ldh_Pyr_L; %metformin
    Vmax_boxid_FFA_L= pathology.Vmax_boxid_FFA_L;

    Vmax_tgsyn_FFA_A= pathology.Vmax_tgsyn_FFA_A;%TZD
    Vmax_tgsyn_FFA_L= pathology.Vmax_tgsyn_FFA_L;
    Vmax_hk_Glc_M = pathology.Vmax_hk_Glc_M;

    Vmax_glyk_Glyc_L= pathology.Vmax_glyk_Glyc_L; %glyk inhibitor
end

%begin_x_p
x(1)	=	tot_Glc_B ;
x(2)	=	t_delay_Glc_B ;
x(3)	=	tot_TG_B ;
x(4)	=	t_delay_TG_B ;
x(5)	=	k_inssyn_B ;
x(6)	=	Vmax_inssyn_Glc_B ;
x(7)	=	Km_inssyn_Glc_B;
x(8)	=	n_inssyn_Glc_B;
x(9)	=	k_inssyn_FFA_B;
x(10)	=	k_insdeg_Ins_B;
x(11)	=	k_choluse_Chol_B;
x(12)	=	alpha_base_L ;
x(13)	=	alpha_band_L ;
x(14)	=	Km_Ins_B_L ;
x(15)	=	n_Ins_B_L ;
x(16)	=	Vdif_glut2_Glc_B_L;
x(17)	=	Kdif_glut2_Glc_B_L;
x(18)	=	Kdif_glut2_Glc_L;
x(19)	=	Vmax_gk_Glc_L;
x(20)	=	Km1_gk_Glc_L;
x(21)	=	n1_gk_Glc_L;
x(22)	=	Km2_gk_Glc_L;
x(23)	=	n2_gk_Glc_L;
x(24)	=	Km_gk_Atp_L;
x(25)	=	Vmax_ppp_G6p_L;
x(26)	=	Km_ppp_G6p_L;
x(27)	=	Km_ppp_Nadp_L;
x(28)	=	Vmax_g6pase_G6p_L;
x(29)	=	Km_g6pase_G6p_L;
x(30)	=	Vmax_gs_G6p_L;
x(31)	=	Km_gs_G6p_L;
x(32)	=	n_gs_G6p_L;
x(33)	=	Km_gs_Utp_L;
x(34)	=	Glygn_L_max;
x(35)	=	Km_gs_Glygn_L;
x(36)	=	Vmax_gd_Glygn_L;
x(37)	=	Km_gd_Glygn_L;
x(38)	=	Km_gd_Phos_L;
x(39)	=	Vmax_pfk_G6p_L;
x(40)	=	Km_pfk_G6p_L;
x(41)	=	Km_pfk_Atp_L;
x(42)	=	Ki_pfk_Atp_L;
x(43)	=	Km_pfk_Adp_L;
x(44)	=	Ki_pfk_Gap_L;
x(45)	=	b_pfk_Gap_L;
x(46)	=	Vmax_fbp_Gap_L;
x(47)	=	Km_fbp_Gap_L;
x(48)	=	Vmax_pk_Gap_L;
x(49)	=	Km_pk_Gap_L;
x(50)	=	b_pk_Accoa_LM;
x(51)	=	Ki_pk_Accoa_LM;
x(52)	=	Km_pk_Adp_L;
x(53)	=	Vmax_pepck_Pyr_L;
x(54)	=	Km_pepck_Pyr_L;
x(55)	=	Km_pepck_Atp_L;
x(56)	=	Km_pepck_Gtp_L;
x(57)	=	Vdif_pyrt_Pyr_B_L;
x(58)	=	Kdif_pyrt_Pyr_B_L;
x(59)	=	Kdif_pyrt_Pyr_L;
x(60)	=	Vdif_lact_Lac_B_L;
x(61)	=	Kdif_lact_Lac_L;
x(62)	=	Kdif_lact_Lac_B_L;
x(63)	=	Vmax_ldh_Pyr_L;
x(64)	=	Km_ldh_Pyr_L;
x(65)	=	Km_ldh_Nadh_L;
x(66)	=	Km_ldh_Lac_L;
x(67)	=	Km_ldh_Nad_L;
x(68)	=	Keq_ldh_Lac_L;
x(69)	=	Vdif_alat_Ala_B_L;
x(70)	=	Kdif_alat_Ala_L;
x(71)	=	Kdif_alat_Ala_B_L;
x(72)	=	Vmax_alata_Pyr_L;
x(73)	=	Km_alata_Pyr_L;
x(74)	=	Km_alata_Ala_L;
x(75)	=	Keq_alata_Ala_L;
x(76)	=	Vmax_pdh_Pyr_L;
x(77)	=	Km_pdh_Pyr_L;
x(78)	=	Ki_pdh_Accoa_LM;
x(79)	=	Km_pdh_Nad_L;
x(80)	=	Vmax_tca_Accoa_LM;
x(81)	=	Km_tca_Accoa_LM;
x(82)	=	Km_tca_Phos_L;
x(83)	=	Km_tca_Adp_L;
x(84)	=	Km_tca_Pyr_L;
x(85)	=	Km_tca_Nad_L;
x(86)	=	Km_tca_Fad_L;
x(87)	=	Vdif_ffat_FFA_B_L;
x(88)	=	Kdif_ffat_FFA_B_L;
x(89)	=	Kdif_ffat_FFA_L;
x(90)	=	Vmax_ffat_FFA_B_L;
x(91)	=	Km_ffat_FFA_B_L;
x(92)	=	Vmax_tgsyn_FFA_L;
x(93)	=	Km_tgsyn_FFA_L;
x(94)	=	Km_tgsyn_Glycp_L;
x(95)	=	Km_tgsyn_Atp_L;
x(96)	=	TG_L_max;
x(97)	=	Km_tgsyn_TG_L;
x(98)	=	Vmax_tgdeg_TG_L;
x(99)	=	Km_tgdeg_TG_L;
x(100)	=	Vdif_glyct_Glyc_B_L;
x(101)	=	Kdif_glyct_Glyc_B_L;
x(102)	=	Kdif_glyct_Glyc_L;
x(103)	=	Vmax_glyk_Glyc_L;
x(104)	=	Km_glyk_Glyc_L;
x(105)	=	Km_glyk_Atp_L;
x(106)	=	Ki_glyk_Gap_L;
x(107)	=	Vdif_tgt_TG_B_L;
x(108)	=	Kdif_tgt_TG_B_L;
x(109)	=	Keq_tgt_TG_L;
x(110)	=	Vmax_tgt_TG_B_L;
x(111)	=	Km_tgt_TG_L;
x(112)	=	Vmax_g3pd_Gap_L;
x(113)	=	Km_g3pd_Gap_L;
x(114)	=	Km_g3pd_Glycp_L;
x(115)	=	Km_g3pd_Nadh_L;
x(116)	=	Km_g3pd_Nad_L;
x(117)	=	Keq_g3pd_Glycp_L;
x(118)	=	Vmax_boxid_FFA_L;
x(119)	=	Km_boxid_FFA_L;
x(120)	=	Km_boxid_Atp_L;
x(121)	=	Ki_boxid_Accoa_LM;
x(122)	=	Ki_boxid_Malcoa_L;
x(123)	=	Km_boxid_Nad_L;
x(124)	=	Km_boxid_Fad_L;
x(125)	=	Vmax_accoat_Accoa_LM_LC;
x(126)	=	Km_accoat_Accoa_LM;
x(127)	=	Km_accoat_Atp_L;
x(128)	=	Km_accoat_Pyr_L;
x(129)	=	Vmax_bhbsyn_Accoa_LM;
x(130)	=	Km_bhbsyn_Accoa_LM;
x(131)	=	Km_bhbsyn_Nadh_L;
x(132)	=	n_bhbsyn_Pyr_L;
x(133)	=	Ki_bhbsyn_Pyr_L;
x(134)	=	Vmax_bhbdeg_Bhb_L;
x(135)	=	Km_bhbdeg_Bhb_L;
x(136)	=	Km_bhbdeg_Atp_L;
x(137)	=	Km_bhbdeg_Nad_L;
x(138)	=	Vdif_bhbt_Bhb_B_L ;
x(139)	=	Kdif_bhbt_Bhb_B_L;
x(140)	=	Kdif_bhbt_Bhb_L;
x(141)	=	Vmax_lipog1_Accoa_LC;
x(142)	=	Km_lipog1_Accoa_LC;
x(143)	=	Km_lipog1_Atp_L;
x(144)	=	Vmax_lipog2_Malcoa_L;
x(145)	=	Km_lipog2_Malcoa_L;
x(146)	=	Km_lipog2_Adp_L;
x(147)	=	Km_lipog2_Nadph_L;
x(148)	=	Vmax_cholsyn1_Accoa_LC;
x(149)	=	Km_cholsyn1_Accoa_LC;
x(150)	=	Vmax_cholsyn2_Hmgcoa_L;
x(151)	=	Km_cholsyn2_Hmgcoa_L;
x(152)	=	Km_cholsyn2_Atp_L;
x(153)	=	Km_cholsyn2_Fadh_L;
x(154)	=	Km_cholsyn2_Nadph_L;
x(155)	=	Vmax_cholt_Chol_L;
x(156)	=	Km_cholt_Chol_L;
x(157)	=	Vmax_atpsynf_Fadh_L;
x(158)	=	Km_atpsynf_Fadh_L;
x(159)	=	Km_atpsynf_Adp_L;
x(160)	=	Vmax_atpsynn_Nadh_L;
x(161)	=	Km_atpsynn_Nadh_L;
x(162)	=	Km_atpsynn_Adp_L;
x(163)	=	Vmax_atpuse_Atp_L;
x(164)	=	Km_atpuse_Atp_L;
x(165)	=	Vmax_ampreg_Amp_L;
x(166)	=	Km_ampreg_Amp_L;
x(167)	=	Km_ampreg_Atp_L;
x(168)	=	Km_ampreg_Adp_L;
x(169)	=	Vmax_nadhk_Nadh_L;
x(170)	=	Km_nadhk_Nadh_L;
x(171)	=	Km_nadhk_Atp_L;
x(172)	=	Vmax_nadhuse_Nadh_L;
x(173)	=	Km_nadhuse_Nadh_L;
x(174)	=	Vmax_gdpreg_Gdp_L;
x(175)	=	Km_gdpreg_Gdp_L;
x(176)	=	Km_gdpreg_Atp_L;
x(177)	=	Km_gdpreg_Gtp_L;
x(178)	=	Km_gdpreg_Adp_L;
x(179)	=	Keq_gdpreg_Gtp_L;
x(180)	=	Vmax_gtpuse_Gtp_L;
x(181)	=	Km_gtpuse_Gtp_L;
x(182)	=	Vmax_udpreg_Udp_L;
x(183)	=	Km_udpreg_Udp_L;
x(184)	=	Km_udpreg_Atp_L;
x(185)	=	Km_udpreg_Utp_L;
x(186)	=	Km_udpreg_Adp_L;
x(187)	=	Keq_udpreg_Utp_L;
x(188)	=	Vmax_utpuse_Utp_L;
x(189)	=	Km_utpuse_Utp_L;
x(190)	=	Vmax_nadphuse_Nadph_L;
x(191)	=	Km_nadphuse_Nadph_L;
x(192)	=	Vmax_fadhuse_Fadh_L;
x(193)	=	Km_fadhuse_Fadh_L;
x(194)	=	Vmax_ck_Cre_L;
x(195)	=	Km_ck_Cre_L;
x(196)	=	Km_ck_Atp_L;
x(197)	=	Km_ck_Crep_L;
x(198)	=	Km_ck_Adp_L;
x(199)	=	Keq_ck_Crep_L;
x(200)	=	Phos_L;
x(201)	=	alpha_base_M ;
x(202)	=	alpha_band_M ;
x(203)	=	Km_Ins_B_M;
x(204)	=	n_Ins_B_M ;
x(205)	=	Vdif_glut4_Glc_B_M;
x(206)	=	Kdif_glut4_Glc_B_M;
x(207)	=	Kdif_glut4_Glc_M;
x(208)	=	Vmax_hk_Glc_M;
x(209)	=	Km_hk_Glc_M;
x(210)	=	Ki_hk_G6p_M;
x(211)	=	Km_hk_Atp_M;
x(212)	=	Ki_hk_Atp_M;
x(213)	=	Vmax_ppp_G6p_M;
x(214)	=	Km_ppp_G6p_M;
x(215)	=	Km_ppp_Nadp_M;
x(216)	=	Vmax_g6pase_G6p_M;
x(217)	=	Km_g6pase_G6p_M;
x(218)	=	Vmax_gs_G6p_M;
x(219)	=	Km_gs_G6p_M;
x(220)	=	n_gs_G6p_M;
x(221)	=	Km_gs_Utp_M;
x(222)	=	Glygn_M_max;
x(223)	=	Km_gs_Glygn_M;
x(224)	=	Vmax_gd_Glygn_M;
x(225)	=	Km_gd_Glygn_M;
x(226)	=	Km_gd_Phos_M;
x(227)	=	Vmax_pfk_G6p_M;
x(228)	=	Km_pfk_G6p_M;
x(229)	=	Km_pfk_Atp_M;
x(230)	=	Ki_pfk_Atp_M;
x(231)	=	Km_pfk_Adp_M;
x(232)	=	Ki_pfk_Gap_M;
x(233)	=	b_pfk_Gap_M;
x(234)	=	Vmax_fbp_Gap_M;
x(235)	=	Km_fbp_Gap_M;
x(236)	=	Vmax_pk_Gap_M;
x(237)	=	Km_pk_Gap_M;
x(238)	=	b_pk_Accoa_MM;
x(239)	=	Ki_pk_Accoa_MM;
x(240)	=	Km_pk_Adp_M;
x(241)	=	Vmax_pepck_Pyr_M;
x(242)	=	Km_pepck_Pyr_M;
x(243)	=	Km_pepck_Atp_M;
x(244)	=	Km_pepck_Gtp_M;
x(245)	=	Vdif_pyrt_Pyr_B_M;
x(246)	=	Kdif_pyrt_Pyr_B_M;
x(247)	=	Kdif_pyrt_Pyr_M;
x(248)	=	Vdif_lact_Lac_B_M;
x(249)	=	Kdif_lact_Lac_M;
x(250)	=	Kdif_lact_Lac_B_M;
x(251)	=	Vmax_ldh_Pyr_M;
x(252)	=	Km_ldh_Pyr_M;
x(253)	=	Km_ldh_Nadh_M;
x(254)	=	Km_ldh_Lac_M;
x(255)	=	Km_ldh_Nad_M;
x(256)	=	Keq_ldh_Lac_M;
x(257)	=	Vdif_alat_Ala_B_M;
x(258)	=	Kdif_alat_Ala_M;
x(259)	=	Kdif_alat_Ala_B_M;
x(260)	=	Vmax_alata_Pyr_M;
x(261)	=	Km_alata_Pyr_M;
x(262)	=	Km_alata_Ala_M;
x(263)	=	Keq_alata_Ala_M;
x(264)	=	Vmax_pdh_Pyr_M;
x(265)	=	Km_pdh_Pyr_M;
x(266)	=	Ki_pdh_Accoa_MM;
x(267)	=	Km_pdh_Nad_M;
x(268)	=	Vmax_tca_Accoa_MM;
x(269)	=	Km_tca_Accoa_MM;
x(270)	=	Km_tca_Phos_M;
x(271)	=	Km_tca_Adp_M;
x(272)	=	Km_tca_Pyr_M;
x(273)	=	Km_tca_Nad_M;
x(274)	=	Km_tca_Fad_M;
x(275)	=	Vdif_ffat_FFA_B_M;
x(276)	=	Kdif_ffat_FFA_B_M;
x(277)	=	Kdif_ffat_FFA_M;
x(278)	=	Vmax_ffat_FFA_B_M;
x(279)	=	Km_ffat_FFA_B_M;
x(280)	=	Vmax_tgsyn_FFA_M;
x(281)	=	Km_tgsyn_FFA_M;
x(282)	=	Km_tgsyn_Glycp_M;
x(283)	=	Km_tgsyn_Atp_M;
x(284)	=	TG_M_max;
x(285)	=	Km_tgsyn_TG_M;
x(286)	=	Vmax_tgdeg_TG_M;
x(287)	=	Km_tgdeg_TG_M;
x(288)	=	Vdif_glyct_Glyc_B_M;
x(289)	=	Kdif_glyct_Glyc_B_M;
x(290)	=	Kdif_glyct_Glyc_M;
x(291)	=	Vmax_glyk_Glyc_M;
x(292)	=	Km_glyk_Glyc_M;
x(293)	=	Km_glyk_Atp_M;
x(294)	=	Ki_glyk_Gap_M;
x(295)	=	Vdif_tgt_TG_B_M;
x(296)	=	Kdif_tgt_TG_B_M;
x(297)	=	Keq_tgt_TG_M;
x(298)	=	Vmax_tgt_TG_B_M;
x(299)	=	Km_tgt_TG_M;
x(300)	=	Vmax_g3pd_Gap_M;
x(301)	=	Km_g3pd_Gap_M;
x(302)	=	Km_g3pd_Glycp_M;
x(303)	=	Km_g3pd_Nadh_M;
x(304)	=	Km_g3pd_Nad_M;
x(305)	=	Keq_g3pd_Glycp_M;
x(306)	=	Vmax_boxid_FFA_M;
x(307)	=	Km_boxid_FFA_M;
x(308)	=	Km_boxid_Atp_M;
x(309)	=	Ki_boxid_Accoa_MM;
x(310)	=	Ki_boxid_Malcoa_M;
x(311)	=	Km_boxid_Nad_M;
x(312)	=	Km_boxid_Fad_M;
x(313)	=	Vmax_accoat_Accoa_MM_MC;
x(314)	=	Km_accoat_Accoa_MM;
x(315)	=	Km_accoat_Atp_M;
x(316)	=	Km_accoat_Pyr_M;
x(317)	=	Vmax_bhbsyn_Accoa_MM;
x(318)	=	Km_bhbsyn_Accoa_MM;
x(319)	=	Km_bhbsyn_Nadh_M;
x(320)	=	n_bhbsyn_Pyr_M;
x(321)	=	Ki_bhbsyn_Pyr_M;
x(322)	=	Vmax_bhbdeg_Bhb_M;
x(323)	=	Km_bhbdeg_Bhb_M;
x(324)	=	Km_bhbdeg_Atp_M;
x(325)	=	Km_bhbdeg_Nad_M;
x(326)	=	Vdif_bhbt_Bhb_B_M ;
x(327)	=	Kdif_bhbt_Bhb_B_M;
x(328)	=	Kdif_bhbt_Bhb_M;
x(329)	=	Vmax_lipog1_Accoa_MC;
x(330)	=	Km_lipog1_Accoa_MC;
x(331)	=	Km_lipog1_Atp_M;
x(332)	=	Vmax_lipog2_Malcoa_M;
x(333)	=	Km_lipog2_Malcoa_M;
x(334)	=	Km_lipog2_Adp_M;
x(335)	=	Km_lipog2_Nadph_M;
x(336)	=	Vmax_cholsyn1_Accoa_MC;
x(337)	=	Km_cholsyn1_Accoa_MC;
x(338)	=	Vmax_cholsyn2_Hmgcoa_M;
x(339)	=	Km_cholsyn2_Hmgcoa_M;
x(340)	=	Km_cholsyn2_Atp_M;
x(341)	=	Km_cholsyn2_Fadh_M;
x(342)	=	Km_cholsyn2_Nadph_M;
x(343)	=	Vmax_cholt_Chol_M;
x(344)	=	Km_cholt_Chol_M;
x(345)	=	Vmax_atpsynf_Fadh_M;
x(346)	=	Km_atpsynf_Fadh_M;
x(347)	=	Km_atpsynf_Adp_M;
x(348)	=	Vmax_atpsynn_Nadh_M;
x(349)	=	Km_atpsynn_Nadh_M;
x(350)	=	Km_atpsynn_Adp_M;
x(351)	=	Vmax_atpuse_Atp_M;
x(352)	=	Km_atpuse_Atp_M;
x(353)	=	Vmax_ampreg_Amp_M;
x(354)	=	Km_ampreg_Amp_M;
x(355)	=	Km_ampreg_Atp_M;
x(356)	=	Km_ampreg_Adp_M;
x(357)	=	Vmax_nadhk_Nadh_M;
x(358)	=	Km_nadhk_Nadh_M;
x(359)	=	Km_nadhk_Atp_M;
x(360)	=	Vmax_nadhuse_Nadh_M;
x(361)	=	Km_nadhuse_Nadh_M;
x(362)	=	Vmax_gdpreg_Gdp_M;
x(363)	=	Km_gdpreg_Gdp_M;
x(364)	=	Km_gdpreg_Atp_M;
x(365)	=	Km_gdpreg_Gtp_M;
x(366)	=	Km_gdpreg_Adp_M;
x(367)	=	Keq_gdpreg_Gtp_M;
x(368)	=	Vmax_gtpuse_Gtp_M;
x(369)	=	Km_gtpuse_Gtp_M;
x(370)	=	Vmax_udpreg_Udp_M;
x(371)	=	Km_udpreg_Udp_M;
x(372)	=	Km_udpreg_Atp_M;
x(373)	=	Km_udpreg_Utp_M;
x(374)	=	Km_udpreg_Adp_M;
x(375)	=	Keq_udpreg_Utp_M;
x(376)	=	Vmax_utpuse_Utp_M;
x(377)	=	Km_utpuse_Utp_M;
x(378)	=	Vmax_nadphuse_Nadph_M;
x(379)	=	Km_nadphuse_Nadph_M;
x(380)	=	Vmax_fadhuse_Fadh_M;
x(381)	=	Km_fadhuse_Fadh_M;
x(382)	=	Vmax_ck_Cre_M;
x(383)	=	Km_ck_Cre_M;
x(384)	=	Km_ck_Atp_M;
x(385)	=	Km_ck_Crep_M;
x(386)	=	Km_ck_Adp_M;
x(387)	=	Keq_ck_Crep_M;
x(388)	=	Phos_M;
x(389)	=	alpha_base_A ;
x(390)	=	alpha_band_A ;
x(391)	=	Km_Ins_B_A;
x(392)	=	n_Ins_B_A ;
x(393)	=	Vdif_glut4_Glc_B_A;
x(394)	=	Kdif_glut4_Glc_B_A;
x(395)	=	Kdif_glut4_Glc_A;
x(396)	=	Vmax_hk_Glc_A;
x(397)	=	Km_hk_Glc_A;
x(398)	=	Ki_hk_G6p_A;
x(399)	=	Km_hk_Atp_A;
x(400)	=	Ki_hk_Atp_A;
x(401)	=	Vmax_ppp_G6p_A;
x(402)	=	Km_ppp_G6p_A;
x(403)	=	Km_ppp_Nadp_A;
x(404)	=	Vmax_g6pase_G6p_A;
x(405)	=	Km_g6pase_G6p_A;
x(406)	=	Vmax_gs_G6p_A;
x(407)	=	Km_gs_G6p_A;
x(408)	=	n_gs_G6p_A;
x(409)	=	Km_gs_Utp_A;
x(410)	=	Glygn_A_max;
x(411)	=	Km_gs_Glygn_A;
x(412)	=	Vmax_gd_Glygn_A;
x(413)	=	Km_gd_Glygn_A;
x(414)	=	Km_gd_Phos_A;
x(415)	=	Vmax_pfk_G6p_A;
x(416)	=	Km_pfk_G6p_A;
x(417)	=	Km_pfk_Atp_A;
x(418)	=	Ki_pfk_Atp_A;
x(419)	=	Km_pfk_Adp_A;
x(420)	=	Ki_pfk_Gap_A;
x(421)	=	b_pfk_Gap_A;
x(422)	=	Vmax_fbp_Gap_A;
x(423)	=	Km_fbp_Gap_A;
x(424)	=	Vmax_pk_Gap_A;
x(425)	=	Km_pk_Gap_A;
x(426)	=	b_pk_Accoa_AM;
x(427)	=	Ki_pk_Accoa_AM;
x(428)	=	Km_pk_Adp_A;
x(429)	=	Vmax_pepck_Pyr_A;
x(430)	=	Km_pepck_Pyr_A;
x(431)	=	Km_pepck_Atp_A;
x(432)	=	Km_pepck_Gtp_A;
x(433)	=	Vdif_pyrt_Pyr_B_A;
x(434)	=	Kdif_pyrt_Pyr_B_A;
x(435)	=	Kdif_pyrt_Pyr_A;
x(436)	=	Vdif_lact_Lac_B_A;
x(437)	=	Kdif_lact_Lac_A;
x(438)	=	Kdif_lact_Lac_B_A;
x(439)	=	Vmax_ldh_Pyr_A;
x(440)	=	Km_ldh_Pyr_A;
x(441)	=	Km_ldh_Nadh_A;
x(442)	=	Km_ldh_Lac_A;
x(443)	=	Km_ldh_Nad_A;
x(444)	=	Keq_ldh_Lac_A;
x(445)	=	Vdif_alat_Ala_B_A;
x(446)	=	Kdif_alat_Ala_A;
x(447)	=	Kdif_alat_Ala_B_A;
x(448)	=	Vmax_alata_Pyr_A;
x(449)	=	Km_alata_Pyr_A;
x(450)	=	Km_alata_Ala_A;
x(451)	=	Keq_alata_Ala_A;
x(452)	=	Vmax_pdh_Pyr_A;
x(453)	=	Km_pdh_Pyr_A;
x(454)	=	Ki_pdh_Accoa_AM;
x(455)	=	Km_pdh_Nad_A;
x(456)	=	Vmax_tca_Accoa_AM;
x(457)	=	Km_tca_Accoa_AM;
x(458)	=	Km_tca_Phos_A;
x(459)	=	Km_tca_Adp_A;
x(460)	=	Km_tca_Pyr_A;
x(461)	=	Km_tca_Nad_A;
x(462)	=	Km_tca_Fad_A;
x(463)	=	Vdif_ffat_FFA_B_A;
x(464)	=	Kdif_ffat_FFA_B_A;
x(465)	=	Kdif_ffat_FFA_A;
x(466)	=	Vmax_ffat_FFA_B_A;
x(467)	=	Km_ffat_FFA_B_A;
x(468)	=	Vmax_tgsyn_FFA_A;
x(469)	=	Km_tgsyn_FFA_A;
x(470)	=	Km_tgsyn_Glycp_A;
x(471)	=	Km_tgsyn_Atp_A;
x(472)	=	TG_A_max;
x(473)	=	Km_tgsyn_TG_A;
x(474)	=	Vmax_tgdeg_TG_A;
x(475)	=	Km_tgdeg_TG_A;
x(476)	=	Vdif_glyct_Glyc_B_A;
x(477)	=	Kdif_glyct_Glyc_B_A;
x(478)	=	Kdif_glyct_Glyc_A;
x(479)	=	Vmax_glyk_Glyc_A;
x(480)	=	Km_glyk_Glyc_A;
x(481)	=	Km_glyk_Atp_A;
x(482)	=	Ki_glyk_Gap_A;
x(483)	=	Vdif_tgt_TG_B_A;
x(484)	=	Kdif_tgt_TG_B_A;
x(485)	=	Keq_tgt_TG_A;
x(486)	=	Vmax_tgt_TG_B_A;
x(487)	=	Km_tgt_TG_A;
x(488)	=	Vmax_g3pd_Gap_A;
x(489)	=	Km_g3pd_Gap_A;
x(490)	=	Km_g3pd_Glycp_A;
x(491)	=	Km_g3pd_Nadh_A;
x(492)	=	Km_g3pd_Nad_A;
x(493)	=	Keq_g3pd_Glycp_A;
x(494)	=	Vmax_boxid_FFA_A;
x(495)	=	Km_boxid_FFA_A;
x(496)	=	Km_boxid_Atp_A;
x(497)	=	Ki_boxid_Accoa_AM;
x(498)	=	Ki_boxid_Malcoa_A;
x(499)	=	Km_boxid_Nad_A;
x(500)	=	Km_boxid_Fad_A;
x(501)	=	Vmax_accoat_Accoa_AM_AC;
x(502)	=	Km_accoat_Accoa_AM;
x(503)	=	Km_accoat_Atp_A;
x(504)	=	Km_accoat_Pyr_A;
x(505)	=	Vmax_bhbsyn_Accoa_AM;
x(506)	=	Km_bhbsyn_Accoa_AM;
x(507)	=	Km_bhbsyn_Nadh_A;
x(508)	=	n_bhbsyn_Pyr_A;
x(509)	=	Ki_bhbsyn_Pyr_A;
x(510)	=	Vmax_bhbdeg_Bhb_A;
x(511)	=	Km_bhbdeg_Bhb_A;
x(512)	=	Km_bhbdeg_Atp_A;
x(513)	=	Km_bhbdeg_Nad_A;
x(514)	=	Vdif_bhbt_Bhb_B_A ;
x(515)	=	Kdif_bhbt_Bhb_B_A;
x(516)	=	Kdif_bhbt_Bhb_A;
x(517)	=	Vmax_lipog1_Accoa_AC;
x(518)	=	Km_lipog1_Accoa_AC;
x(519)	=	Km_lipog1_Atp_A;
x(520)	=	Vmax_lipog2_Malcoa_A;
x(521)	=	Km_lipog2_Malcoa_A;
x(522)	=	Km_lipog2_Adp_A;
x(523)	=	Km_lipog2_Nadph_A;
x(524)	=	Vmax_cholsyn1_Accoa_AC;
x(525)	=	Km_cholsyn1_Accoa_AC;
x(526)	=	Vmax_cholsyn2_Hmgcoa_A;
x(527)	=	Km_cholsyn2_Hmgcoa_A;
x(528)	=	Km_cholsyn2_Atp_A;
x(529)	=	Km_cholsyn2_Fadh_A;
x(530)	=	Km_cholsyn2_Nadph_A;
x(531)	=	Vmax_cholt_Chol_A;
x(532)	=	Km_cholt_Chol_A;
x(533)	=	Vmax_atpsynf_Fadh_A;
x(534)	=	Km_atpsynf_Fadh_A;
x(535)	=	Km_atpsynf_Adp_A;
x(536)	=	Vmax_atpsynn_Nadh_A;
x(537)	=	Km_atpsynn_Nadh_A;
x(538)	=	Km_atpsynn_Adp_A;
x(539)	=	Vmax_atpuse_Atp_A;
x(540)	=	Km_atpuse_Atp_A;
x(541)	=	Vmax_ampreg_Amp_A;
x(542)	=	Km_ampreg_Amp_A;
x(543)	=	Km_ampreg_Atp_A;
x(544)	=	Km_ampreg_Adp_A;
x(545)	=	Vmax_nadhk_Nadh_A;
x(546)	=	Km_nadhk_Nadh_A;
x(547)	=	Km_nadhk_Atp_A;
x(548)	=	Vmax_nadhuse_Nadh_A;
x(549)	=	Km_nadhuse_Nadh_A;
x(550)	=	Vmax_gdpreg_Gdp_A;
x(551)	=	Km_gdpreg_Gdp_A;
x(552)	=	Km_gdpreg_Atp_A;
x(553)	=	Km_gdpreg_Gtp_A;
x(554)	=	Km_gdpreg_Adp_A;
x(555)	=	Keq_gdpreg_Gtp_A;
x(556)	=	Vmax_gtpuse_Gtp_A;
x(557)	=	Km_gtpuse_Gtp_A;
x(558)	=	Vmax_udpreg_Udp_A;
x(559)	=	Km_udpreg_Udp_A;
x(560)	=	Km_udpreg_Atp_A;
x(561)	=	Km_udpreg_Utp_A;
x(562)	=	Km_udpreg_Adp_A;
x(563)	=	Keq_udpreg_Utp_A;
x(564)	=	Vmax_utpuse_Utp_A;
x(565)	=	Km_utpuse_Utp_A;
x(566)	=	Vmax_nadphuse_Nadph_A;
x(567)	=	Km_nadphuse_Nadph_A;
x(568)	=	Vmax_fadhuse_Fadh_A;
x(569)	=	Km_fadhuse_Fadh_A;
x(570)	=	Vmax_ck_Cre_A;
x(571)	=	Km_ck_Cre_A;
x(572)	=	Km_ck_Atp_A;
x(573)	=	Km_ck_Crep_A;
x(574)	=	Km_ck_Adp_A;
x(575)	=	Keq_ck_Crep_A;
x(576)	=	Phos_A;
x(577)	=	alpha_base_G ;
x(578)	=	alpha_band_G ;
x(579)	=	Km_Ins_B_G;
x(580)	=	n_Ins_B_G;
x(581)	=	Vdif_glut2_Glc_B_G;
x(582)	=	Kdif_glut2_Glc_B_G;
x(583)	=	Kdif_glut2_Glc_G;
x(584)	=	Vmax_hk_Glc_G;
x(585)	=	Km_hk_Glc_G;
x(586)	=	Ki_hk_G6p_G;
x(587)	=	Km_hk_Atp_G;
x(588)	=	Ki_hk_Atp_G;
x(589)	=	Vmax_ppp_G6p_G;
x(590)	=	Km_ppp_G6p_G;
x(591)	=	Km_ppp_Nadp_G;
x(592)	=	Vmax_g6pase_G6p_G;
x(593)	=	Km_g6pase_G6p_G;
x(594)	=	Vmax_gs_G6p_G;
x(595)	=	Km_gs_G6p_G;
x(596)	=	n_gs_G6p_G;
x(597)	=	Km_gs_Utp_G;
x(598)	=	Glygn_G_max;
x(599)	=	Km_gs_Glygn_G;
x(600)	=	Vmax_gd_Glygn_G;
x(601)	=	Km_gd_Glygn_G;
x(602)	=	Km_gd_Phos_G;
x(603)	=	Vmax_pfk_G6p_G;
x(604)	=	Km_pfk_G6p_G;
x(605)	=	Km_pfk_Atp_G;
x(606)	=	Ki_pfk_Atp_G;
x(607)	=	Km_pfk_Adp_G;
x(608)	=	Ki_pfk_Gap_G;
x(609)	=	b_pfk_Gap_G;
x(610)	=	Vmax_fbp_Gap_G;
x(611)	=	Km_fbp_Gap_G;
x(612)	=	Vmax_pk_Gap_G;
x(613)	=	Km_pk_Gap_G;
x(614)	=	b_pk_Accoa_GM;
x(615)	=	Ki_pk_Accoa_GM;
x(616)	=	Km_pk_Adp_G;
x(617)	=	Vmax_pepck_Pyr_G;
x(618)	=	Km_pepck_Pyr_G;
x(619)	=	Km_pepck_Atp_G;
x(620)	=	Km_pepck_Gtp_G;
x(621)	=	Vdif_pyrt_Pyr_B_G;
x(622)	=	Kdif_pyrt_Pyr_B_G;
x(623)	=	Kdif_pyrt_Pyr_G;
x(624)	=	Vdif_lact_Lac_B_G;
x(625)	=	Kdif_lact_Lac_G;
x(626)	=	Kdif_lact_Lac_B_G;
x(627)	=	Vmax_ldh_Pyr_G;
x(628)	=	Km_ldh_Pyr_G;
x(629)	=	Km_ldh_Nadh_G;
x(630)	=	Km_ldh_Lac_G;
x(631)	=	Km_ldh_Nad_G;
x(632)	=	Keq_ldh_Lac_G;
x(633)	=	Vdif_alat_Ala_B_G;
x(634)	=	Kdif_alat_Ala_G;
x(635)	=	Kdif_alat_Ala_B_G;
x(636)	=	Vmax_alata_Pyr_G;
x(637)	=	Km_alata_Pyr_G;
x(638)	=	Km_alata_Ala_G;
x(639)	=	Keq_alata_Ala_G;
x(640)	=	Vmax_pdh_Pyr_G;
x(641)	=	Km_pdh_Pyr_G;
x(642)	=	Ki_pdh_Accoa_GM;
x(643)	=	Km_pdh_Nad_G;
x(644)	=	Vmax_tca_Accoa_GM;
x(645)	=	Km_tca_Accoa_GM;
x(646)	=	Km_tca_Phos_G;
x(647)	=	Km_tca_Adp_G;
x(648)	=	Km_tca_Pyr_G;
x(649)	=	Km_tca_Nad_G;
x(650)	=	Km_tca_Fad_G;
x(651)	=	Vdif_ffat_FFA_B_G;
x(652)	=	Kdif_ffat_FFA_B_G;
x(653)	=	Kdif_ffat_FFA_G;
x(654)	=	Vmax_ffat_FFA_B_G;
x(655)	=	Km_ffat_FFA_B_G;
x(656)	=	Vmax_tgsyn_FFA_G;
x(657)	=	Km_tgsyn_FFA_G;
x(658)	=	Km_tgsyn_Glycp_G;
x(659)	=	Km_tgsyn_Atp_G;
x(660)	=	TG_G_max;
x(661)	=	Km_tgsyn_TG_G;
x(662)	=	Vmax_tgdeg_TG_G;
x(663)	=	Km_tgdeg_TG_G;
x(664)	=	Vdif_glyct_Glyc_B_G;
x(665)	=	Kdif_glyct_Glyc_B_G;
x(666)	=	Kdif_glyct_Glyc_G;
x(667)	=	Vmax_glyk_Glyc_G;
x(668)	=	Km_glyk_Glyc_G;
x(669)	=	Km_glyk_Atp_G;
x(670)	=	Ki_glyk_Gap_G;
x(671)	=	Vdif_tgt_TG_B_G;
x(672)	=	Kdif_tgt_TG_B_G;
x(673)	=	Keq_tgt_TG_G;
x(674)	=	Vmax_tgt_TG_B_G;
x(675)	=	Km_tgt_TG_G;
x(676)	=	Vmax_g3pd_Gap_G;
x(677)	=	Km_g3pd_Gap_G;
x(678)	=	Km_g3pd_Glycp_G;
x(679)	=	Km_g3pd_Nadh_G;
x(680)	=	Km_g3pd_Nad_G;
x(681)	=	Keq_g3pd_Glycp_G;
x(682)	=	Vmax_boxid_FFA_G;
x(683)	=	Km_boxid_FFA_G;
x(684)	=	Km_boxid_Atp_G;
x(685)	=	Ki_boxid_Accoa_GM;
x(686)	=	Ki_boxid_Malcoa_G;
x(687)	=	Km_boxid_Nad_G;
x(688)	=	Km_boxid_Fad_G;
x(689)	=	Vmax_accoat_Accoa_GM_GC;
x(690)	=	Km_accoat_Accoa_GM;
x(691)	=	Km_accoat_Atp_G;
x(692)	=	Km_accoat_Pyr_G;
x(693)	=	Vmax_bhbsyn_Accoa_GM;
x(694)	=	Km_bhbsyn_Accoa_GM;
x(695)	=	Km_bhbsyn_Nadh_G;
x(696)	=	n_bhbsyn_Pyr_G;
x(697)	=	Ki_bhbsyn_Pyr_G;
x(698)	=	Vmax_bhbdeg_Bhb_G;
x(699)	=	Km_bhbdeg_Bhb_G;
x(700)	=	Km_bhbdeg_Atp_G;
x(701)	=	Km_bhbdeg_Nad_G;
x(702)	=	Vdif_bhbt_Bhb_B_G ;
x(703)	=	Kdif_bhbt_Bhb_B_G;
x(704)	=	Kdif_bhbt_Bhb_G;
x(705)	=	Vmax_lipog1_Accoa_GC;
x(706)	=	Km_lipog1_Accoa_GC;
x(707)	=	Km_lipog1_Atp_G;
x(708)	=	Vmax_lipog2_Malcoa_G;
x(709)	=	Km_lipog2_Malcoa_G;
x(710)	=	Km_lipog2_Adp_G;
x(711)	=	Km_lipog2_Nadph_G;
x(712)	=	Vmax_cholsyn1_Accoa_GC;
x(713)	=	Km_cholsyn1_Accoa_GC;
x(714)	=	Vmax_cholsyn2_Hmgcoa_G;
x(715)	=	Km_cholsyn2_Hmgcoa_G;
x(716)	=	Km_cholsyn2_Atp_G;
x(717)	=	Km_cholsyn2_Fadh_G;
x(718)	=	Km_cholsyn2_Nadph_G;
x(719)	=	Vmax_cholt_Chol_G;
x(720)	=	Km_cholt_Chol_G;
x(721)	=	Vmax_atpsynf_Fadh_G;
x(722)	=	Km_atpsynf_Fadh_G;
x(723)	=	Km_atpsynf_Adp_G;
x(724)	=	Vmax_atpsynn_Nadh_G;
x(725)	=	Km_atpsynn_Nadh_G;
x(726)	=	Km_atpsynn_Adp_G;
x(727)	=	Vmax_atpuse_Atp_G;
x(728)	=	Km_atpuse_Atp_G;
x(729)	=	Vmax_ampreg_Amp_G;
x(730)	=	Km_ampreg_Amp_G;
x(731)	=	Km_ampreg_Atp_G;
x(732)	=	Km_ampreg_Adp_G;
x(733)	=	Vmax_nadhk_Nadh_G;
x(734)	=	Km_nadhk_Nadh_G;
x(735)	=	Km_nadhk_Atp_A;
x(736)	=	Vmax_nadhuse_Nadh_G;
x(737)	=	Km_nadhuse_Nadh_G;
x(738)	=	Vmax_gdpreg_Gdp_G;
x(739)	=	Km_gdpreg_Gdp_G;
x(740)	=	Km_gdpreg_Atp_G;
x(741)	=	Km_gdpreg_Gtp_G;
x(742)	=	Km_gdpreg_Adp_G;
x(743)	=	Keq_gdpreg_Gtp_G;
x(744)	=	Vmax_gtpuse_Gtp_G;
x(745)	=	Km_gtpuse_Gtp_G;
x(746)	=	Vmax_udpreg_Udp_G;
x(747)	=	Km_udpreg_Udp_G;
x(748)	=	Km_udpreg_Atp_G;
x(749)	=	Km_udpreg_Utp_G;
x(750)	=	Km_udpreg_Adp_G;
x(751)	=	Keq_udpreg_Utp_G;
x(752)	=	Vmax_utpuse_Utp_G;
x(753)	=	Km_utpuse_Utp_G;
x(754)	=	Vmax_nadphuse_Nadph_G;
x(755)	=	Km_nadphuse_Nadph_G;
x(756)	=	Vmax_fadhuse_Fadh_G;
x(757)	=	Km_fadhuse_Fadh_G;
x(758)	=	Vmax_ck_Cre_G;
x(759)	=	Km_ck_Cre_G;
x(760)	=	Km_ck_Atp_G;
x(761)	=	Km_ck_Crep_G;
x(762)	=	Km_ck_Adp_G;
x(763)	=	Keq_ck_Crep_G;
x(764)	=	Phos_G;
x(765)	=	alpha_base_H ;
x(766)	=	alpha_band_H ;
x(767)	=	Km_Ins_B_H;
x(768)	=	n_Ins_B_H ;
x(769)	=	Vdif_glut2_Glc_B_H;
x(770)	=	Kdif_glut2_Glc_B_H;
x(771)	=	Kdif_glut2_Glc_H;
x(772)	=	Vmax_hk_Glc_H;
x(773)	=	Km_hk_Glc_H;
x(774)	=	Ki_hk_G6p_H;
x(775)	=	Km_hk_Atp_H;
x(776)	=	Ki_hk_Atp_H;
x(777)	=	Vmax_ppp_G6p_H;
x(778)	=	Km_ppp_G6p_H;
x(779)	=	Km_ppp_Nadp_H;
x(780)	=	Vmax_g6pase_G6p_H;
x(781)	=	Km_g6pase_G6p_H;
x(782)	=	Vmax_gs_G6p_H;
x(783)	=	Km_gs_G6p_H;
x(784)	=	n_gs_G6p_H;
x(785)	=	Km_gs_Utp_H;
x(786)	=	Glygn_H_max;
x(787)	=	Km_gs_Glygn_H;
x(788)	=	Vmax_gd_Glygn_H;
x(789)	=	Km_gd_Glygn_H;
x(790)	=	Km_gd_Phos_H;
x(791)	=	Vmax_pfk_G6p_H;
x(792)	=	Km_pfk_G6p_H;
x(793)	=	Km_pfk_Atp_H;
x(794)	=	Ki_pfk_Atp_H;
x(795)	=	Km_pfk_Adp_H;
x(796)	=	Ki_pfk_Gap_H;
x(797)	=	b_pfk_Gap_H;
x(798)	=	Vmax_fbp_Gap_H;
x(799)	=	Km_fbp_Gap_H;
x(800)	=	Vmax_pk_Gap_H;
x(801)	=	Km_pk_Gap_H;
x(802)	=	b_pk_Accoa_HM;
x(803)	=	Ki_pk_Accoa_HM;
x(804)	=	Km_pk_Adp_H;
x(805)	=	Vmax_pepck_Pyr_H;
x(806)	=	Km_pepck_Pyr_H;
x(807)	=	Km_pepck_Atp_H;
x(808)	=	Km_pepck_Gtp_H;
x(809)	=	Vdif_pyrt_Pyr_B_H;
x(810)	=	Kdif_pyrt_Pyr_B_H;
x(811)	=	Kdif_pyrt_Pyr_H;
x(812)	=	Vdif_lact_Lac_B_H;
x(813)	=	Kdif_lact_Lac_H;
x(814)	=	Kdif_lact_Lac_B_H;
x(815)	=	Vmax_ldh_Pyr_H;
x(816)	=	Km_ldh_Pyr_H;
x(817)	=	Km_ldh_Nadh_H;
x(818)	=	Km_ldh_Lac_H;
x(819)	=	Km_ldh_Nad_H;
x(820)	=	Keq_ldh_Lac_H;
x(821)	=	Vdif_alat_Ala_B_H;
x(822)	=	Kdif_alat_Ala_H;
x(823)	=	Kdif_alat_Ala_B_H;
x(824)	=	Vmax_alata_Pyr_H;
x(825)	=	Km_alata_Pyr_H;
x(826)	=	Km_alata_Ala_H;
x(827)	=	Keq_alata_Ala_H;
x(828)	=	Vmax_pdh_Pyr_H;
x(829)	=	Km_pdh_Pyr_H;
x(830)	=	Ki_pdh_Accoa_HM;
x(831)	=	Km_pdh_Nad_H;
x(832)	=	Vmax_tca_Accoa_HM;
x(833)	=	Km_tca_Accoa_HM;
x(834)	=	Km_tca_Phos_H;
x(835)	=	Km_tca_Adp_H;
x(836)	=	Km_tca_Pyr_H;
x(837)	=	Km_tca_Nad_H;
x(838)	=	Km_tca_Fad_H;
x(839)	=	Vdif_ffat_FFA_B_H;
x(840)	=	Kdif_ffat_FFA_B_H;
x(841)	=	Kdif_ffat_FFA_H;
x(842)	=	Vmax_ffat_FFA_B_H;
x(843)	=	Km_ffat_FFA_B_H;
x(844)	=	Vmax_tgsyn_FFA_H;
x(845)	=	Km_tgsyn_FFA_H;
x(846)	=	Km_tgsyn_Glycp_H;
x(847)	=	Km_tgsyn_Atp_H;
x(848)	=	TG_H_max;
x(849)	=	Km_tgsyn_TG_H;
x(850)	=	Vmax_tgdeg_TG_H;
x(851)	=	Km_tgdeg_TG_H;
x(852)	=	Vdif_glyct_Glyc_B_H;
x(853)	=	Kdif_glyct_Glyc_B_H;
x(854)	=	Kdif_glyct_Glyc_H;
x(855)	=	Vmax_glyk_Glyc_H;
x(856)	=	Km_glyk_Glyc_H;
x(857)	=	Km_glyk_Atp_H;
x(858)	=	Ki_glyk_Gap_H;
x(859)	=	Vdif_tgt_TG_B_H;
x(860)	=	Kdif_tgt_TG_B_H;
x(861)	=	Keq_tgt_TG_H;
x(862)	=	Vmax_tgt_TG_B_H;
x(863)	=	Km_tgt_TG_H;
x(864)	=	Vmax_g3pd_Gap_H;
x(865)	=	Km_g3pd_Gap_H;
x(866)	=	Km_g3pd_Glycp_H;
x(867)	=	Km_g3pd_Nadh_H;
x(868)	=	Km_g3pd_Nad_H;
x(869)	=	Keq_g3pd_Glycp_H;
x(870)	=	Vmax_boxid_FFA_H;
x(871)	=	Km_boxid_FFA_H;
x(872)	=	Km_boxid_Atp_H;
x(873)	=	Ki_boxid_Accoa_HM;
x(874)	=	Ki_boxid_Malcoa_H;
x(875)	=	Km_boxid_Nad_H;
x(876)	=	Km_boxid_Fad_H;
x(877)	=	Vmax_accoat_Accoa_HM_HC;
x(878)	=	Km_accoat_Accoa_HM;
x(879)	=	Km_accoat_Atp_H;
x(880)	=	Km_accoat_Pyr_H;
x(881)	=	Vmax_bhbsyn_Accoa_HM;
x(882)	=	Km_bhbsyn_Accoa_HM;
x(883)	=	Km_bhbsyn_Nadh_H;
x(884)	=	n_bhbsyn_Pyr_H;
x(885)	=	Ki_bhbsyn_Pyr_H;
x(886)	=	Vmax_bhbdeg_Bhb_H;
x(887)	=	Km_bhbdeg_Bhb_H;
x(888)	=	Km_bhbdeg_Atp_H;
x(889)	=	Km_bhbdeg_Nad_H;
x(890)	=	Vdif_bhbt_Bhb_B_H;
x(891)	=	Kdif_bhbt_Bhb_B_H;
x(892)	=	Kdif_bhbt_Bhb_H;
x(893)	=	Vmax_lipog1_Accoa_HC;
x(894)	=	Km_lipog1_Accoa_HC;
x(895)	=	Km_lipog1_Atp_H;
x(896)	=	Vmax_lipog2_Malcoa_H;
x(897)	=	Km_lipog2_Malcoa_H;
x(898)	=	Km_lipog2_Adp_H;
x(899)	=	Km_lipog2_Nadph_H;
x(900)	=	Vmax_cholsyn1_Accoa_HC;
x(901)	=	Km_cholsyn1_Accoa_HC;
x(902)	=	Vmax_cholsyn2_Hmgcoa_H;
x(903)	=	Km_cholsyn2_Hmgcoa_H;
x(904)	=	Km_cholsyn2_Atp_H;
x(905)	=	Km_cholsyn2_Fadh_H;
x(906)	=	Km_cholsyn2_Nadph_H;
x(907)	=	Vmax_cholt_Chol_H;
x(908)	=	Km_cholt_Chol_H;
x(909)	=	Vmax_atpsynf_Fadh_H;
x(910)	=	Km_atpsynf_Fadh_H;
x(911)	=	Km_atpsynf_Adp_H;
x(912)	=	Vmax_atpsynn_Nadh_H;
x(913)	=	Km_atpsynn_Nadh_H;
x(914)	=	Km_atpsynn_Adp_H;
x(915)	=	Vmax_atpuse_Atp_H;
x(916)	=	Km_atpuse_Atp_H;
x(917)	=	Vmax_ampreg_Amp_H;
x(918)	=	Km_ampreg_Amp_H;
x(919)	=	Km_ampreg_Atp_H;
x(920)	=	Km_ampreg_Adp_H;
x(921)	=	Vmax_nadhk_Nadh_H;
x(922)	=	Km_nadhk_Nadh_H;
x(923)	=	Km_nadhk_Atp_H;
x(924)	=	Vmax_nadhuse_Nadh_H;
x(925)	=	Km_nadhuse_Nadh_H;
x(926)	=	Vmax_gdpreg_Gdp_H;
x(927)	=	Km_gdpreg_Gdp_H;
x(928)	=	Km_gdpreg_Atp_H;
x(929)	=	Km_gdpreg_Gtp_H;
x(930)	=	Km_gdpreg_Adp_H;
x(931)	=	Keq_gdpreg_Gtp_H;
x(932)	=	Vmax_gtpuse_Gtp_H;
x(933)	=	Km_gtpuse_Gtp_H;
x(934)	=	Vmax_udpreg_Udp_H;
x(935)	=	Km_udpreg_Udp_H;
x(936)	=	Km_udpreg_Atp_H;
x(937)	=	Km_udpreg_Utp_H;
x(938)	=	Km_udpreg_Adp_H;
x(939)	=	Keq_udpreg_Utp_H;
x(940)	=	Vmax_utpuse_Utp_H;
x(941)	=	Km_utpuse_Utp_H;
x(942)	=	Vmax_nadphuse_Nadph_H;
x(943)	=	Km_nadphuse_Nadph_H;
x(944)	=	Vmax_fadhuse_Fadh_H;
x(945)	=	Km_fadhuse_Fadh_H;
x(946)	=	Vmax_ck_Cre_H;
x(947)	=	Km_ck_Cre_H;
x(948)	=	Km_ck_Atp_H;
x(949)	=	Km_ck_Crep_H;
x(950)	=	Km_ck_Adp_H;
x(951)	=	Keq_ck_Crep_H;
x(952)	=	Phos_H;
x(953)	=	alpha_base_N ;
x(954)	=	alpha_band_N ;
x(955)	=	Km_Ins_B_N;
x(956)	=	n_Ins_B_N;
x(957)	=	Vdif_glut3_Glc_B_N;
x(958)	=	Kdif_glut3_Glc_B_N;
x(959)	=	Kdif_glut3_Glc_N;
x(960)	=	Vmax_hk_Glc_N;
x(961)	=	Km_hk_Glc_N;
x(962)	=	Ki_hk_G6p_N;
x(963)	=	Km_hk_Atp_N;
x(964)	=	Ki_hk_Atp_N;
x(965)	=	Vmax_ppp_G6p_N;
x(966)	=	Km_ppp_G6p_N;
x(967)	=	Km_ppp_Nadp_N;
x(968)	=	Vmax_g6pase_G6p_N;
x(969)	=	Km_g6pase_G6p_N;
x(970)	=	Vmax_gs_G6p_N;
x(971)	=	Km_gs_G6p_N;
x(972)	=	n_gs_G6p_N;
x(973)	=	Km_gs_Utp_N;
x(974)	=	Glygn_N_max;
x(975)	=	Km_gs_Glygn_N;
x(976)	=	Vmax_gd_Glygn_N;
x(977)	=	Km_gd_Glygn_N;
x(978)	=	Km_gd_Phos_N;
x(979)	=	Vmax_pfk_G6p_N;
x(980)	=	Km_pfk_G6p_N;
x(981)	=	Km_pfk_Atp_N;
x(982)	=	Ki_pfk_Atp_N;
x(983)	=	Km_pfk_Adp_N;
x(984)	=	Ki_pfk_Gap_N;
x(985)	=	b_pfk_Gap_N;
x(986)	=	Vmax_fbp_Gap_N;
x(987)	=	Km_fbp_Gap_N;
x(988)	=	Vmax_pk_Gap_N;
x(989)	=	Km_pk_Gap_N;
x(990)	=	b_pk_Accoa_NM;
x(991)	=	Ki_pk_Accoa_NM;
x(992)	=	Km_pk_Adp_N;
x(993)	=	Vmax_pepck_Pyr_N;
x(994)	=	Km_pepck_Pyr_N;
x(995)	=	Km_pepck_Atp_N;
x(996)	=	Km_pepck_Gtp_N;
x(997)	=	Vdif_pyrt_Pyr_B_N;
x(998)	=	Kdif_pyrt_Pyr_B_N;
x(999)	=	Kdif_pyrt_Pyr_N;
x(1000)	=	Vdif_lact_Lac_B_N;
x(1001)	=	Kdif_lact_Lac_N;
x(1002)	=	Kdif_lact_Lac_B_N;
x(1003)	=	Vmax_ldh_Pyr_N;
x(1004)	=	Km_ldh_Pyr_N;
x(1005)	=	Km_ldh_Nadh_N;
x(1006)	=	Km_ldh_Lac_N;
x(1007)	=	Km_ldh_Nad_N;
x(1008)	=	Keq_ldh_Lac_N;
x(1009)	=	Vdif_alat_Ala_B_N;
x(1010)	=	Kdif_alat_Ala_N;
x(1011)	=	Kdif_alat_Ala_B_N;
x(1012)	=	Vmax_alata_Pyr_N;
x(1013)	=	Km_alata_Pyr_N;
x(1014)	=	Km_alata_Ala_N;
x(1015)	=	Keq_alata_Ala_N;
x(1016)	=	Vmax_pdh_Pyr_N;
x(1017)	=	Km_pdh_Pyr_N;
x(1018)	=	Ki_pdh_Accoa_NM;
x(1019)	=	Km_pdh_Nad_N;
x(1020)	=	Vmax_tca_Accoa_NM;
x(1021)	=	Km_tca_Accoa_NM;
x(1022)	=	Km_tca_Phos_N;
x(1023)	=	Km_tca_Adp_N;
x(1024)	=	Km_tca_Pyr_N;
x(1025)	=	Km_tca_Nad_N;
x(1026)	=	Km_tca_Fad_N;
x(1027)	=	Vdif_ffat_FFA_B_N;
x(1028)	=	Kdif_ffat_FFA_B_N;
x(1029)	=	Kdif_ffat_FFA_N;
x(1030)	=	Vmax_ffat_FFA_B_N;
x(1031)	=	Km_ffat_FFA_B_N;
x(1032)	=	Vmax_tgsyn_FFA_N;
x(1033)	=	Km_tgsyn_FFA_N;
x(1034)	=	Km_tgsyn_Glycp_N;
x(1035)	=	Km_tgsyn_Atp_N;
x(1036)	=	TG_N_max;
x(1037)	=	Km_tgsyn_TG_N;
x(1038)	=	Vmax_tgdeg_TG_N;
x(1039)	=	Km_tgdeg_TG_N;
x(1040)	=	Vdif_glyct_Glyc_B_N;
x(1041)	=	Kdif_glyct_Glyc_B_N;
x(1042)	=	Kdif_glyct_Glyc_N;
x(1043)	=	Vmax_glyk_Glyc_N;
x(1044)	=	Km_glyk_Glyc_N;
x(1045)	=	Km_glyk_Atp_N;
x(1046)	=	Ki_glyk_Gap_N;
x(1047)	=	Vdif_tgt_TG_B_N;
x(1048)	=	Kdif_tgt_TG_B_N;
x(1049)	=	Keq_tgt_TG_N;
x(1050)	=	Vmax_tgt_TG_B_N;
x(1051)	=	Km_tgt_TG_N;
x(1052)	=	Vmax_g3pd_Gap_N;
x(1053)	=	Km_g3pd_Gap_N;
x(1054)	=	Km_g3pd_Glycp_N;
x(1055)	=	Km_g3pd_Nadh_N;
x(1056)	=	Km_g3pd_Nad_N;
x(1057)	=	Keq_g3pd_Glycp_N;
x(1058)	=	Vmax_boxid_FFA_N;
x(1059)	=	Km_boxid_FFA_N;
x(1060)	=	Km_boxid_Atp_N;
x(1061)	=	Ki_boxid_Accoa_NM;
x(1062)	=	Ki_boxid_Malcoa_N;
x(1063)	=	Km_boxid_Nad_N;
x(1064)	=	Km_boxid_Fad_N;
x(1065)	=	Vmax_accoat_Accoa_NM_NC;
x(1066)	=	Km_accoat_Accoa_NM;
x(1067)	=	Km_accoat_Atp_N;
x(1068)	=	Km_accoat_Pyr_N;
x(1069)	=	Vmax_bhbsyn_Accoa_NM;
x(1070)	=	Km_bhbsyn_Accoa_NM;
x(1071)	=	Km_bhbsyn_Nadh_N;
x(1072)	=	n_bhbsyn_Pyr_N;
x(1073)	=	Ki_bhbsyn_Pyr_N;
x(1074)	=	Vmax_bhbdeg_Bhb_N;
x(1075)	=	Km_bhbdeg_Bhb_N;
x(1076)	=	Km_bhbdeg_Atp_N;
x(1077)	=	Km_bhbdeg_Nad_N;
x(1078)	=	Vdif_bhbt_Bhb_B_N ;
x(1079)	=	Kdif_bhbt_Bhb_B_N;
x(1080)	=	Kdif_bhbt_Bhb_N;
x(1081)	=	Vmax_lipog1_Accoa_NC;
x(1082)	=	Km_lipog1_Accoa_NC;
x(1083)	=	Km_lipog1_Atp_N;
x(1084)	=	Vmax_lipog2_Malcoa_N;
x(1085)	=	Km_lipog2_Malcoa_N;
x(1086)	=	Km_lipog2_Adp_N;
x(1087)	=	Km_lipog2_Nadph_N;
x(1088)	=	Vmax_cholsyn1_Accoa_NC;
x(1089)	=	Km_cholsyn1_Accoa_NC;
x(1090)	=	Vmax_cholsyn2_Hmgcoa_N;
x(1091)	=	Km_cholsyn2_Hmgcoa_N;
x(1092)	=	Km_cholsyn2_Atp_N;
x(1093)	=	Km_cholsyn2_Fadh_N;
x(1094)	=	Km_cholsyn2_Nadph_N;
x(1095)	=	Vmax_cholt_Chol_N;
x(1096)	=	Km_cholt_Chol_N;
x(1097)	=	Vmax_atpsynf_Fadh_N;
x(1098)	=	Km_atpsynf_Fadh_N;
x(1099)	=	Km_atpsynf_Adp_N;
x(1100)	=	Vmax_atpsynn_Nadh_N;
x(1101)	=	Km_atpsynn_Nadh_N;
x(1102)	=	Km_atpsynn_Adp_N;
x(1103)	=	Vmax_atpuse_Atp_N;
x(1104)	=	Km_atpuse_Atp_N;
x(1105)	=	Vmax_ampreg_Amp_N;
x(1106)	=	Km_ampreg_Amp_N;
x(1107)	=	Km_ampreg_Atp_N;
x(1108)	=	Km_ampreg_Adp_N;
x(1109)	=	Vmax_nadhk_Nadh_N;
x(1110)	=	Km_nadhk_Nadh_N;
x(1111)	=	Km_nadhk_Atp_N;
x(1112)	=	Vmax_nadhuse_Nadh_N;
x(1113)	=	Km_nadhuse_Nadh_N;
x(1114)	=	Vmax_gdpreg_Gdp_N;
x(1115)	=	Km_gdpreg_Gdp_N;
x(1116)	=	Km_gdpreg_Atp_N;
x(1117)	=	Km_gdpreg_Gtp_N;
x(1118)	=	Km_gdpreg_Adp_N;
x(1119)	=	Keq_gdpreg_Gtp_N;
x(1120)	=	Vmax_gtpuse_Gtp_N;
x(1121)	=	Km_gtpuse_Gtp_N;
x(1122)	=	Vmax_udpreg_Udp_N;
x(1123)	=	Km_udpreg_Udp_N;
x(1124)	=	Km_udpreg_Atp_N;
x(1125)	=	Km_udpreg_Utp_N;
x(1126)	=	Km_udpreg_Adp_N;
x(1127)	=	Keq_udpreg_Utp_N;
x(1128)	=	Vmax_utpuse_Utp_N;
x(1129)	=	Km_utpuse_Utp_N;
x(1130)	=	Vmax_nadphuse_Nadph_N;
x(1131)	=	Km_nadphuse_Nadph_N;
x(1132)	=	Vmax_fadhuse_Fadh_N;
x(1133)	=	Km_fadhuse_Fadh_N;
x(1134)	=	Vmax_ck_Cre_N;
x(1135)	=	Km_ck_Cre_N;
x(1136)	=	Km_ck_Atp_N;
x(1137)	=	Km_ck_Crep_N;
x(1138)	=	Km_ck_Adp_N;
x(1139)	=	Keq_ck_Crep_N;
x(1140)	=	Phos_N;
%fin_x_p
end

